/*
    FingerJetFX OSE -- Fingerprint Feature Extractor, Open Source Edition

    Copyright (c) 2011 by DigitalPersona, Inc. All rights reserved.

    DigitalPersona, FingerJet, and FingerJetFX are registered trademarks 
    or trademarks of DigitalPersona, Inc. in the United States and other
    countries.

    FingerJetFX OSE is open source software that you may modify and/or
    redistribute under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation, either version 3 of the 
    License, or (at your option) any later version, provided that the 
    conditions specified in the COPYRIGHT.txt file provided with this 
    software are met.
 
    For more information, please visit digitalpersona.com/fingerjetfx.
*/ 
/*
      LIBRARY: libFRFXLLTestVectors.a - Test Vectors and Some Common Functions for the 
                                      Unit Tests for Fingerprint Feature Extractor
      
      ALGORITHM:      Alexander Ivanisov
                      Yi Chen
                      Salil Prabhakar
      IMPLEMENTATION: Alexander Ivanisov
                      Jacob Kaminsky
                      Lixin Wei
      DATE:           11/08/2011
*/

#include "TestAnsiImage.h"
// 100 * 100
const unsigned char TestAnsiImage_100_100[TEST_ANSI_IMAGE_100_100] = {
  0x46, 0x49, 0x52, 0x00, 0x30, 0x31, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x27, 0x42, 0x00, 0x33, 
  0xfe, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0xf4, 0x01, 0xf4, 0x01, 0xf4, 0x01, 0xf4, 
  0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x27, 0x1e, 0x01, 0x01, 0x01, 0xfe, 0x00, 0x00, 0x64, 0x00, 
  0x64, 0x00, 0xdf, 0xcf, 0xcf, 0xcf, 0xbf, 0xaf, 0x9f, 0xbf, 0xaf, 0xbf, 0xdf, 0xdf, 0xcf, 0xdf, 
  0xef, 0xff, 0xef, 0xdf, 0xef, 0xdf, 0xcf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xbf, 
  0xbf, 0x9f, 0x9f, 0xaf, 0xbf, 0xbf, 0xbf, 0xcf, 0xbf, 0xaf, 0xbf, 0xaf, 0xaf, 0xaf, 0xcf, 0xdf, 
  0xdf, 0xdf, 0xbf, 0xbf, 0xbf, 0xbf, 0x9f, 0xaf, 0x9f, 0x8f, 0x9f, 0xaf, 0xaf, 0x9f, 0xcf, 0xcf, 
  0xdf, 0xcf, 0xcf, 0xcf, 0xef, 0xef, 0xef, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xdf, 0xef, 0xef, 0xef, 0xef, 0xff, 0xef, 0xcf, 0xbf, 0xdf, 0xcf, 0xcf, 0xbf, 0xbf, 0xdf, 0xdf, 
  0xcf, 0xcf, 0xdf, 0xef, 0xdf, 0xff, 0xaf, 0xaf, 0x9f, 0xbf, 0xbf, 0xbf, 0xaf, 0xbf, 0xdf, 0xef, 
  0xef, 0xef, 0xef, 0xef, 0xff, 0xff, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xbf, 0xbf, 
  0xcf, 0xcf, 0xaf, 0xbf, 0xaf, 0xaf, 0x9f, 0xaf, 0xcf, 0xbf, 0xbf, 0xcf, 0xcf, 0xdf, 0xbf, 0xaf, 
  0xaf, 0xaf, 0xcf, 0xdf, 0xdf, 0xdf, 0xbf, 0xbf, 0xbf, 0xbf, 0x9f, 0xaf, 0x9f, 0x8f, 0x9f, 0xaf, 
  0xaf, 0x9f, 0xcf, 0xcf, 0xdf, 0xcf, 0xcf, 0xcf, 0xef, 0xef, 0xef, 0xef, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xff, 0xef, 0xcf, 0xbf, 0xdf, 0xcf, 0xcf, 
  0xbf, 0xbf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xef, 0xdf, 0xff, 0xaf, 0xaf, 0x9f, 0xbf, 0xbf, 0xaf, 
  0xaf, 0xbf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xff, 0xff, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xdf, 
  0xef, 0xdf, 0xbf, 0xbf, 0xcf, 0xcf, 0xaf, 0xbf, 0xaf, 0xaf, 0x9f, 0xaf, 0xcf, 0xbf, 0xbf, 0xcf, 
  0xcf, 0xdf, 0xef, 0xaf, 0xbf, 0xbf, 0xef, 0xef, 0xdf, 0xef, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xbf, 
  0x9f, 0xaf, 0xbf, 0xbf, 0x9f, 0xaf, 0xbf, 0xcf, 0xcf, 0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 0xcf, 0xcf, 
  0xdf, 0xef, 0xdf, 0xef, 0xff, 0xff, 0xff, 0xef, 0xef, 0xef, 0xcf, 0xef, 0xef, 0xff, 0xff, 0xef, 
  0xff, 0xef, 0xef, 0xdf, 0xbf, 0xbf, 0xcf, 0xcf, 0xcf, 0xaf, 0xcf, 0xcf, 0xef, 0xff, 0x9f, 0xbf, 
  0xbf, 0xbf, 0xbf, 0xcf, 0xdf, 0xef, 0xef, 0xff, 0xff, 0xef, 0xff, 0xef, 0xef, 0xff, 0xef, 0xef, 
  0xcf, 0xdf, 0xbf, 0xcf, 0xbf, 0xaf, 0x9f, 0xaf, 0xbf, 0xaf, 0xbf, 0xbf, 0xbf, 0xcf, 0xdf, 0xdf, 
  0xdf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 
  0xdf, 0xef, 0xef, 0xef, 0xbf, 0xcf, 0xdf, 0xef, 0xcf, 0xbf, 0xbf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 
  0xbf, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 
  0xdf, 0xff, 0xef, 0xef, 0xef, 0xef, 0xff, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xbf, 0xbf, 0xcf, 
  0xdf, 0xcf, 0xaf, 0xbf, 0xbf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xef, 0xdf, 
  0xdf, 0xef, 0xdf, 0xcf, 0xaf, 0xaf, 0x9f, 0xaf, 0x9f, 0x9f, 0xaf, 0xbf, 0xbf, 0xcf, 0xbf, 0xdf, 
  0xdf, 0xef, 0xef, 0xef, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 
  0xbf, 0xcf, 0xdf, 0xef, 0xef, 0xdf, 0xef, 0xcf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xef, 
  0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xdf, 0xef, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xdf, 
  0xdf, 0xcf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xcf, 
  0xbf, 0xbf, 0xcf, 0xcf, 0xef, 0xcf, 0xaf, 0xbf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xef, 
  0xef, 0xdf, 0xef, 0xdf, 0xdf, 0xef, 0xdf, 0xcf, 0xaf, 0xaf, 0xbf, 0xaf, 0x9f, 0x9f, 0xaf, 0xbf, 
  0xbf, 0xcf, 0xbf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 
  0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 0xcf, 0xdf, 0xef, 0xef, 0xdf, 0xef, 0xcf, 0xcf, 0xdf, 0xef, 0xef, 
  0xef, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xdf, 0xef, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 
  0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xef, 0xcf, 0xbf, 0xbf, 0xcf, 0xcf, 0xef, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xdf, 
  0xef, 0xdf, 0xef, 0xcf, 0xcf, 0xbf, 0xaf, 0xbf, 0xbf, 0xbf, 0xcf, 0xbf, 0x9f, 0xaf, 0xbf, 0xaf, 
  0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xef, 0xdf, 0xef, 0xdf, 0xef, 0xcf, 0xbf, 0xbf, 0xcf, 
  0xaf, 0xbf, 0xbf, 0xaf, 0xaf, 0xbf, 0xbf, 0xaf, 0xaf, 0xaf, 0xcf, 0xdf, 0xcf, 0xcf, 0xcf, 0xbf, 
  0xaf, 0xdf, 0xff, 0xff, 0xdf, 0xdf, 0xef, 0xef, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 
  0xef, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xbf, 0xef, 0xcf, 0xdf, 0xdf, 0xef, 0xdf, 0xcf, 0xdf, 0xdf, 
  0xff, 0xff, 0xff, 0xef, 0xdf, 0xef, 0xff, 0xef, 0xdf, 0xcf, 0xaf, 0xcf, 0xef, 0xdf, 0xff, 0xef, 
  0xef, 0xcf, 0xaf, 0xbf, 0xdf, 0xdf, 0xdf, 0xaf, 0xbf, 0xaf, 0xaf, 0xcf, 0xbf, 0xbf, 0x9f, 0x9f, 
  0xcf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xef, 0xef, 0xdf, 0xef, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xbf, 
  0xaf, 0x8f, 0x9f, 0x8f, 0x9f, 0x9f, 0x9f, 0xaf, 0x8f, 0xaf, 0x9f, 0xaf, 0xbf, 0xbf, 0xcf, 0xbf, 
  0xbf, 0xcf, 0xcf, 0xbf, 0xcf, 0xbf, 0xff, 0xef, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xef, 0xef, 0xff, 
  0xff, 0xff, 0xef, 0xef, 0xff, 0xef, 0xff, 0xff, 0xff, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xdf, 
  0xdf, 0xcf, 0xdf, 0xcf, 0xdf, 0xef, 0xff, 0xff, 0xef, 0xef, 0xef, 0xef, 0xff, 0xef, 0xef, 0xdf, 
  0xef, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xbf, 0xaf, 0xbf, 0xbf, 0xaf, 0xcf, 0xbf, 0xbf, 
  0xbf, 0xbf, 0x9f, 0xbf, 0xcf, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xcf, 0xaf, 0x9f, 
  0x9f, 0xbf, 0xaf, 0xaf, 0x8f, 0x8f, 0x9f, 0x8f, 0x9f, 0x9f, 0x9f, 0xaf, 0x8f, 0xaf, 0x9f, 0xaf, 
  0xbf, 0xbf, 0xcf, 0xbf, 0xbf, 0xcf, 0xcf, 0xbf, 0xcf, 0xbf, 0xff, 0xef, 0xdf, 0xdf, 0xcf, 0xcf, 
  0xdf, 0xef, 0xef, 0xff, 0xff, 0xff, 0xef, 0xef, 0xff, 0xef, 0xff, 0xff, 0xff, 0xef, 0xef, 0xef, 
  0xdf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xdf, 0xcf, 0xdf, 0xef, 0xff, 0xff, 0xef, 0xef, 0xef, 0xef, 
  0xff, 0xef, 0xef, 0xdf, 0xef, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xbf, 0xaf, 0xbf, 0xbf, 
  0xaf, 0xcf, 0xbf, 0xbf, 0xbf, 0xbf, 0x9f, 0xbf, 0xcf, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xcf, 0xcf, 
  0xdf, 0xcf, 0xaf, 0x9f, 0x9f, 0xbf, 0xaf, 0xaf, 0x8f, 0x8f, 0x7f, 0xaf, 0x9f, 0x9f, 0xaf, 0xbf, 
  0xbf, 0xcf, 0xbf, 0xcf, 0xcf, 0xcf, 0xdf, 0xcf, 0xbf, 0xcf, 0xbf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 
  0xbf, 0xaf, 0x9f, 0xbf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 
  0xef, 0xef, 0xef, 0xff, 0xff, 0xdf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xef, 0xcf, 0xdf, 0xef, 0xef, 
  0xdf, 0xef, 0xef, 0xef, 0xef, 0xff, 0xff, 0xff, 0xff, 0xef, 0xef, 0xdf, 0xef, 0xcf, 0xcf, 0xaf, 
  0xbf, 0xaf, 0xbf, 0xcf, 0xcf, 0xaf, 0xbf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xcf, 
  0xdf, 0xcf, 0xbf, 0xbf, 0xaf, 0x9f, 0x9f, 0x9f, 0x9f, 0xbf, 0xaf, 0xbf, 0xcf, 0xbf, 0xbf, 0xbf, 
  0xcf, 0xbf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 
  0xbf, 0xcf, 0xef, 0xef, 0xcf, 0xbf, 0xcf, 0xbf, 0xbf, 0xbf, 0xcf, 0xcf, 0xcf, 0xcf, 0xdf, 0xcf, 
  0xcf, 0xbf, 0xcf, 0xcf, 0xdf, 0xdf, 0xff, 0xff, 0xdf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xcf, 0xcf, 
  0xef, 0xdf, 0xdf, 0xdf, 0xbf, 0xcf, 0xdf, 0xef, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xef, 0xcf, 0xaf, 
  0xbf, 0xcf, 0xcf, 0xcf, 0xaf, 0xbf, 0xdf, 0xdf, 0xcf, 0xef, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xcf, 
  0xcf, 0xcf, 0xbf, 0xbf, 0x9f, 0xaf, 0xbf, 0xcf, 0xcf, 0xbf, 0x9f, 0x9f, 0xbf, 0xcf, 0xef, 0xdf, 
  0xef, 0xcf, 0xdf, 0xef, 0xdf, 0xef, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xaf, 0xbf, 0xcf, 0xbf, 0xbf, 
  0xbf, 0xbf, 0xbf, 0xbf, 0xaf, 0xcf, 0xdf, 0xdf, 0xcf, 0xef, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xbf, 
  0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 0x9f, 0x9f, 0xaf, 0xbf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xdf, 
  0xef, 0xef, 0xdf, 0xdf, 0xef, 0xef, 0xcf, 0xdf, 0xcf, 0xcf, 0xbf, 0xbf, 0xdf, 0xdf, 0xef, 0xff, 
  0xef, 0xff, 0xcf, 0xaf, 0xbf, 0xcf, 0xcf, 0xcf, 0xaf, 0xbf, 0xdf, 0xdf, 0xcf, 0xef, 0xdf, 0xef, 
  0xef, 0xef, 0xef, 0xcf, 0xcf, 0xcf, 0xbf, 0xbf, 0x9f, 0xaf, 0xbf, 0xcf, 0xcf, 0xbf, 0x9f, 0x9f, 
  0xbf, 0xcf, 0xef, 0xdf, 0xef, 0xcf, 0xdf, 0xef, 0xdf, 0xef, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xaf, 
  0xbf, 0xcf, 0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0xaf, 0xcf, 0xdf, 0xdf, 0xcf, 0xef, 0xdf, 0xdf, 
  0xdf, 0xdf, 0xdf, 0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 0x9f, 0x9f, 0xaf, 0xbf, 0xdf, 0xef, 0xef, 
  0xef, 0xef, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xef, 0xef, 0xcf, 0xdf, 0xcf, 0xcf, 0xbf, 0xbf, 
  0xdf, 0xdf, 0xef, 0xff, 0xef, 0xff, 0xcf, 0xaf, 0xbf, 0xcf, 0xcf, 0xbf, 0xdf, 0xcf, 0xff, 0xef, 
  0xef, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xbf, 0xcf, 0xbf, 0xaf, 0xaf, 0xaf, 0xbf, 0xbf, 0xcf, 
  0xef, 0xef, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 
  0xaf, 0xaf, 0xaf, 0xbf, 0xbf, 0xcf, 0xbf, 0xaf, 0xaf, 0xbf, 0xcf, 0xbf, 0xbf, 0xcf, 0xef, 0xff, 
  0xff, 0xff, 0xef, 0xff, 0xff, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 0xaf, 0xaf, 0xaf, 
  0xbf, 0xaf, 0xbf, 0xcf, 0xdf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 
  0xdf, 0xcf, 0xcf, 0xaf, 0xbf, 0xbf, 0xcf, 0xdf, 0xcf, 0xef, 0xcf, 0x9f, 0xaf, 0xbf, 0xbf, 0xcf, 
  0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xef, 0xdf, 0xef, 0xef, 0xef, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 
  0xcf, 0xcf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 
  0xbf, 0xcf, 0xbf, 0xbf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 
  0xef, 0xef, 0xef, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xef, 0xff, 0xef, 0xef, 0xdf, 0xef, 
  0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xaf, 0x9f, 0xbf, 0xaf, 0xbf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xcf, 0xbf, 0xdf, 0xbf, 0xcf, 0xdf, 0xcf, 0xbf, 0xbf, 0xbf, 
  0xcf, 0xdf, 0xbf, 0xcf, 0xef, 0xdf, 0xef, 0xdf, 0xdf, 0xef, 0xdf, 0xef, 0xef, 0xef, 0xcf, 0xcf, 
  0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 
  0xdf, 0xcf, 0xcf, 0xcf, 0xbf, 0xcf, 0xbf, 0xbf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 
  0xef, 0xef, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xef, 0xff, 
  0xef, 0xef, 0xdf, 0xef, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xaf, 0x9f, 0xbf, 0xaf, 0xbf, 0xcf, 
  0xdf, 0xef, 0xef, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xcf, 0xbf, 0xcf, 0xbf, 0xcf, 0xdf, 
  0xcf, 0xbf, 0xbf, 0xbf, 0xcf, 0xdf, 0xbf, 0xcf, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xbf, 0xcf, 
  0xdf, 0xef, 0xdf, 0xcf, 0xcf, 0xdf, 0xdf, 0xef, 0xff, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 
  0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xdf, 0xbf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xff, 0xef, 
  0xef, 0xdf, 0xdf, 0xef, 0xff, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xef, 0xef, 
  0xef, 0xff, 0xef, 0xef, 0xef, 0xff, 0xef, 0xef, 0xff, 0xff, 0xef, 0xef, 0xdf, 0xdf, 0xbf, 0xbf, 
  0xcf, 0xbf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xdf, 0xef, 0xff, 0xff, 0xff, 0xef, 0xef, 0xff, 0xdf, 
  0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xbf, 0xbf, 
  0xbf, 0xbf, 0x9f, 0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 0xbf, 0xdf, 0xef, 0xdf, 0xef, 0xdf, 0xef, 0xdf, 
  0xcf, 0xcf, 0x9f, 0x9f, 0x9f, 0xbf, 0xcf, 0xcf, 0xbf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 
  0xff, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xaf, 0xaf, 0xaf, 0xbf, 0xaf, 0xbf, 0xbf, 
  0xbf, 0xaf, 0xaf, 0xbf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xff, 0xef, 
  0xff, 0xef, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xef, 0xef, 0xbf, 0xbf, 0xcf, 0xcf, 0xdf, 0xef, 0xff, 
  0xef, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xdf, 0xdf, 0xcf, 0xef, 0xef, 0xef, 0xdf, 0xbf, 
  0xaf, 0x9f, 0x9f, 0xaf, 0xbf, 0xaf, 0xaf, 0xbf, 0xcf, 0xcf, 0xcf, 0xdf, 0xcf, 0xbf, 0xbf, 0xdf, 
  0xef, 0xef, 0xcf, 0xcf, 0xbf, 0x9f, 0x8f, 0x9f, 0xaf, 0xaf, 0xbf, 0xcf, 0xcf, 0xef, 0xef, 0xef, 
  0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xef, 0xcf, 0xaf, 0xaf, 0xbf, 0xcf, 0xaf, 0x9f, 0x9f, 0xaf, 
  0xbf, 0xcf, 0xcf, 0xaf, 0xaf, 0x9f, 0x9f, 0x9f, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 
  0xef, 0xef, 0xff, 0xef, 0xff, 0xef, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xef, 0xef, 0xbf, 0xbf, 0xcf, 
  0xcf, 0xdf, 0xef, 0xff, 0xef, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xdf, 0xdf, 0xcf, 0xef, 
  0xef, 0xdf, 0xdf, 0xbf, 0xaf, 0x9f, 0x9f, 0xaf, 0xbf, 0xaf, 0xaf, 0xbf, 0xcf, 0xcf, 0xcf, 0xdf, 
  0xcf, 0xbf, 0xbf, 0xdf, 0xef, 0xef, 0xcf, 0xcf, 0x9f, 0x9f, 0x8f, 0x9f, 0xaf, 0xaf, 0xbf, 0xcf, 
  0xcf, 0xef, 0xef, 0xef, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xef, 0xcf, 0xaf, 0xaf, 0xbf, 0xcf, 
  0xaf, 0x9f, 0x9f, 0xaf, 0xbf, 0xcf, 0xcf, 0xaf, 0xaf, 0x9f, 0x9f, 0x9f, 0xcf, 0xcf, 0xcf, 0xbf, 
  0xcf, 0xcf, 0xbf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xff, 0xef, 0xff, 0xef, 
  0xef, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xff, 0xdf, 0xdf, 0xef, 0xff, 0xff, 0xef, 0xef, 0xef, 
  0xef, 0xef, 0xbf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0xbf, 0x9f, 0x9f, 0x9f, 0xaf, 0xaf, 0xcf, 0xdf, 
  0xef, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xcf, 0xdf, 0xcf, 0xaf, 0x9f, 0x9f, 0x9f, 0xbf, 0xaf, 0xbf, 
  0xdf, 0xcf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xaf, 0xbf, 0xaf, 0xbf, 0xbf, 0xcf, 
  0xbf, 0xaf, 0x9f, 0xaf, 0xaf, 0x8f, 0xaf, 0xaf, 0xcf, 0xdf, 0xcf, 0xef, 0xdf, 0xdf, 0xcf, 0xbf, 
  0xcf, 0xbf, 0xbf, 0xbf, 0xcf, 0xcf, 0xbf, 0xaf, 0xaf, 0xaf, 0xcf, 0xcf, 0xbf, 0xdf, 0xdf, 0xdf, 
  0xef, 0xef, 0xef, 0xff, 0xef, 0xff, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xef, 0xcf, 0xaf, 0xcf, 0xdf, 
  0xef, 0xff, 0xef, 0xff, 0xff, 0xef, 0xcf, 0xcf, 0xbf, 0xaf, 0xaf, 0xcf, 0xdf, 0xcf, 0xbf, 0xaf, 
  0xbf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xbf, 0xbf, 0xbf, 0xaf, 0xaf, 0x9f, 0xbf, 
  0xbf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0x9f, 0x9f, 0xbf, 0xbf, 0xbf, 0xaf, 0xaf, 0xaf, 
  0xaf, 0x9f, 0xaf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xef, 0xef, 
  0xff, 0xff, 0xff, 0xef, 0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xbf, 0xbf, 0xaf, 0xaf, 0xbf, 0xbf, 
  0xbf, 0xaf, 0xaf, 0xaf, 0xcf, 0xdf, 0xdf, 0xef, 0xff, 0xef, 0xff, 0xef, 0xef, 0xef, 0xef, 0xcf, 
  0xcf, 0xaf, 0xaf, 0xaf, 0xbf, 0xbf, 0xdf, 0xef, 0xef, 0xef, 0xcf, 0xcf, 0xbf, 0xaf, 0xaf, 0xcf, 
  0xdf, 0xcf, 0xbf, 0xaf, 0xbf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xbf, 0xbf, 0xbf, 
  0xaf, 0x9f, 0x9f, 0xbf, 0xbf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0x9f, 0x9f, 0xbf, 0xbf, 
  0xbf, 0xaf, 0xaf, 0xaf, 0xaf, 0x9f, 0xaf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 
  0xdf, 0xdf, 0xef, 0xef, 0xff, 0xff, 0xff, 0xef, 0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xbf, 0xbf, 
  0xaf, 0xaf, 0xbf, 0xbf, 0xbf, 0xaf, 0xaf, 0xaf, 0xcf, 0xdf, 0xdf, 0xef, 0xff, 0xef, 0xff, 0xef, 
  0xef, 0xef, 0xef, 0xcf, 0xcf, 0xaf, 0xaf, 0xaf, 0xbf, 0xbf, 0xdf, 0xef, 0xef, 0xef, 0xbf, 0xaf, 
  0x8f, 0x8f, 0xaf, 0xbf, 0xdf, 0xcf, 0xdf, 0xbf, 0xcf, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xbf, 
  0x9f, 0x9f, 0xbf, 0xaf, 0xbf, 0x8f, 0xaf, 0xcf, 0xef, 0xdf, 0xdf, 0xcf, 0xdf, 0xcf, 0xaf, 0x9f, 
  0x8f, 0xaf, 0xaf, 0xcf, 0xbf, 0xbf, 0xcf, 0xbf, 0xcf, 0xcf, 0xcf, 0xdf, 0xef, 0xdf, 0xdf, 0xef, 
  0xdf, 0xef, 0xdf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xef, 0xef, 0xff, 0xff, 
  0xff, 0xff, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0xbf, 0xbf, 0xaf, 0xaf, 0xbf, 0xbf, 0xdf, 
  0xcf, 0xcf, 0xef, 0xef, 0xef, 0xff, 0xff, 0xff, 0xdf, 0xdf, 0xbf, 0xbf, 0xaf, 0xaf, 0xcf, 0xdf, 
  0xcf, 0xdf, 0xaf, 0x8f, 0x8f, 0x7f, 0x9f, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 
  0xcf, 0xbf, 0xcf, 0xcf, 0xbf, 0x9f, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xdf, 0xef, 0xbf, 0xaf, 
  0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xbf, 0xdf, 0xcf, 0xdf, 0xef, 0xdf, 0xdf, 0xef, 0xdf, 0xcf, 0xcf, 
  0xcf, 0xcf, 0xcf, 0xbf, 0xcf, 0xdf, 0xbf, 0xaf, 0xaf, 0xaf, 0xbf, 0xdf, 0xef, 0xdf, 0xef, 0xdf, 
  0xdf, 0xcf, 0xef, 0xef, 0xdf, 0xff, 0xef, 0xff, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xbf, 
  0xbf, 0xbf, 0xdf, 0xcf, 0xdf, 0xbf, 0xbf, 0xcf, 0xcf, 0xcf, 0xef, 0xdf, 0xef, 0xef, 0xef, 0xdf, 
  0xcf, 0xbf, 0xcf, 0xcf, 0xbf, 0xbf, 0xaf, 0x8f, 0x8f, 0x7f, 0x9f, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 
  0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xcf, 0xcf, 0xbf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 
  0xdf, 0xef, 0xbf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xbf, 0xdf, 0xcf, 0xdf, 0xef, 0xdf, 0xdf, 
  0xef, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 0xcf, 0xdf, 0xbf, 0xaf, 0xaf, 0xaf, 0xbf, 0xdf, 
  0xef, 0xdf, 0xef, 0xdf, 0xdf, 0xcf, 0xef, 0xef, 0xdf, 0xff, 0xef, 0xff, 0xdf, 0xef, 0xef, 0xef, 
  0xef, 0xdf, 0xcf, 0xbf, 0xbf, 0xbf, 0xdf, 0xcf, 0xdf, 0xbf, 0xbf, 0xcf, 0xcf, 0xcf, 0xef, 0xdf, 
  0xef, 0xef, 0xef, 0xdf, 0xcf, 0xbf, 0xaf, 0xcf, 0xbf, 0xbf, 0xbf, 0x9f, 0x9f, 0x8f, 0x9f, 0xbf, 
  0xbf, 0xbf, 0xcf, 0xcf, 0xbf, 0xdf, 0xbf, 0xaf, 0xbf, 0xbf, 0xcf, 0xbf, 0xcf, 0xdf, 0xdf, 0xef, 
  0xcf, 0xcf, 0xbf, 0xbf, 0xbf, 0xcf, 0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 0xef, 0xef, 0xdf, 
  0xdf, 0xcf, 0xcf, 0xdf, 0xef, 0xcf, 0x9f, 0xaf, 0xbf, 0xbf, 0xaf, 0xaf, 0xbf, 0xaf, 0xaf, 0xbf, 
  0xaf, 0x9f, 0x9f, 0xbf, 0xdf, 0xcf, 0xbf, 0xaf, 0xbf, 0x9f, 0xaf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 
  0xcf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xcf, 0xdf, 0xcf, 0xbf, 0xbf, 
  0xaf, 0x9f, 0xbf, 0xdf, 0xef, 0xdf, 0xff, 0xef, 0xff, 0xef, 0xcf, 0xbf, 0xcf, 0xbf, 0xdf, 0xcf, 
  0xcf, 0xcf, 0xcf, 0xbf, 0xbf, 0xaf, 0xbf, 0xbf, 0xaf, 0xaf, 0xbf, 0xaf, 0xaf, 0xbf, 0xdf, 0xdf, 
  0xdf, 0xef, 0xcf, 0xbf, 0xaf, 0x9f, 0x8f, 0x8f, 0xaf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xdf, 
  0xdf, 0xdf, 0xdf, 0xbf, 0xbf, 0x9f, 0xaf, 0xcf, 0xdf, 0xcf, 0x9f, 0x9f, 0xaf, 0xbf, 0xaf, 0xcf, 
  0xcf, 0xcf, 0x9f, 0xbf, 0xbf, 0xaf, 0xaf, 0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0xaf, 0xaf, 0xaf, 
  0xcf, 0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 
  0xef, 0xef, 0xdf, 0xcf, 0xbf, 0xaf, 0xaf, 0x9f, 0xbf, 0xcf, 0xdf, 0xdf, 0xff, 0xef, 0xef, 0xdf, 
  0xdf, 0xcf, 0xdf, 0xef, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0x9f, 0x9f, 0xaf, 0x8f, 0xaf, 0xbf, 0xcf, 
  0xcf, 0xdf, 0xdf, 0xcf, 0xaf, 0xbf, 0xaf, 0xbf, 0xaf, 0x9f, 0x8f, 0x8f, 0xaf, 0xcf, 0xcf, 0xcf, 
  0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xbf, 0xbf, 0x9f, 0xaf, 0xcf, 0xdf, 0xaf, 0x9f, 0x9f, 
  0xaf, 0xbf, 0xaf, 0xcf, 0xcf, 0xcf, 0x9f, 0xbf, 0xbf, 0xaf, 0xaf, 0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 
  0xaf, 0xaf, 0xaf, 0xaf, 0xcf, 0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 
  0xdf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xbf, 0xaf, 0xaf, 0x9f, 0xbf, 0xcf, 0xdf, 0xdf, 
  0xff, 0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xdf, 0xef, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0x9f, 0x9f, 0xaf, 
  0x8f, 0xaf, 0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xaf, 0xbf, 0xaf, 0x9f, 0x9f, 0x9f, 0x8f, 0x8f, 
  0xcf, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 0xdf, 0xbf, 0xcf, 0xbf, 0xbf, 0x9f, 0x9f, 0xaf, 0x9f, 0xbf, 
  0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xef, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xef, 
  0xdf, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xdf, 0xbf, 0xcf, 0xbf, 0xbf, 0xaf, 0xbf, 0xaf, 0xbf, 
  0xbf, 0x9f, 0xaf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 0xff, 0xef, 0xef, 0xef, 0xdf, 0xaf, 0xaf, 0xaf, 
  0xaf, 0xaf, 0xbf, 0xcf, 0xdf, 0xef, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xcf, 0xbf, 
  0x9f, 0x9f, 0x9f, 0xbf, 0xaf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0x8f, 0xaf, 0xaf, 0xaf, 
  0xaf, 0xaf, 0xbf, 0xbf, 0xcf, 0xdf, 0xcf, 0xcf, 0xbf, 0xaf, 0x9f, 0x9f, 0xbf, 0xbf, 0xcf, 0xaf, 
  0xbf, 0xbf, 0xbf, 0xdf, 0xdf, 0xff, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xef, 0xef, 
  0xdf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xef, 0xdf, 0xef, 0xdf, 0xdf, 0xdf, 0xdf, 
  0xbf, 0xbf, 0x9f, 0xcf, 0xaf, 0x9f, 0xbf, 0xaf, 0xbf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xef, 
  0xdf, 0xcf, 0xbf, 0xcf, 0xbf, 0xaf, 0x9f, 0xbf, 0xaf, 0xbf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xcf, 
  0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0x9f, 0xaf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0xaf, 0x9f, 
  0x9f, 0xbf, 0xbf, 0xaf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 0xaf, 0x9f, 0x8f, 0x8f, 0xaf, 0x8f, 
  0x9f, 0xbf, 0xbf, 0xbf, 0xdf, 0xdf, 0xcf, 0xcf, 0xef, 0xef, 0xff, 0xdf, 0xef, 0xdf, 0xdf, 0xbf, 
  0xbf, 0xcf, 0xbf, 0xcf, 0xbf, 0xcf, 0xcf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xef, 0xdf, 0xef, 
  0xdf, 0xdf, 0xdf, 0xdf, 0xbf, 0xbf, 0x9f, 0xcf, 0xaf, 0x9f, 0xbf, 0xaf, 0xbf, 0xcf, 0xdf, 0xdf, 
  0xef, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xbf, 0xcf, 0xbf, 0xaf, 0x9f, 0xbf, 0xaf, 0xbf, 0xdf, 0xef, 
  0xef, 0xef, 0xdf, 0xcf, 0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0xaf, 0xbf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 
  0xbf, 0xaf, 0xaf, 0x9f, 0x9f, 0xbf, 0xbf, 0xaf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 0xaf, 0x9f, 
  0x8f, 0x8f, 0xaf, 0x8f, 0x9f, 0xbf, 0xbf, 0xbf, 0xdf, 0xdf, 0xcf, 0xcf, 0xef, 0xef, 0xff, 0xdf, 
  0xef, 0xdf, 0xdf, 0xbf, 0xbf, 0xcf, 0xbf, 0xcf, 0xbf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 
  0xef, 0xef, 0xcf, 0xdf, 0xef, 0xff, 0xff, 0xff, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 0xaf, 0x9f, 0x9f, 
  0xbf, 0xaf, 0xbf, 0xdf, 0xcf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xef, 0xdf, 0xbf, 0xbf, 0xbf, 
  0xaf, 0xaf, 0xaf, 0xbf, 0xef, 0xef, 0xcf, 0xbf, 0xaf, 0xbf, 0xbf, 0xaf, 0xaf, 0xbf, 0xbf, 0xdf, 
  0xdf, 0xdf, 0xcf, 0xaf, 0x9f, 0x9f, 0x9f, 0x9f, 0xbf, 0xcf, 0xdf, 0xcf, 0xdf, 0xcf, 0xbf, 0xbf, 
  0x9f, 0x8f, 0x9f, 0x9f, 0x9f, 0xaf, 0xaf, 0xbf, 0xaf, 0xcf, 0xcf, 0xef, 0xff, 0xdf, 0xbf, 0xbf, 
  0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xaf, 0xaf, 0xbf, 0x9f, 0x8f, 0x8f, 0x8f, 0x8f, 0x9f, 0x9f, 0xbf, 
  0xbf, 0xaf, 0xbf, 0xbf, 0xcf, 0xbf, 0xbf, 0xaf, 0xcf, 0xef, 0xff, 0xff, 0xef, 0xef, 0xef, 0xef, 
  0xff, 0xdf, 0xbf, 0xaf, 0xbf, 0xcf, 0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 0xcf, 0xef, 0xff, 0xef, 
  0xff, 0xef, 0xdf, 0xcf, 0x9f, 0x8f, 0x8f, 0x9f, 0xdf, 0xef, 0xbf, 0xaf, 0x9f, 0xbf, 0xbf, 0xcf, 
  0xcf, 0xef, 0xdf, 0xcf, 0xcf, 0xbf, 0x9f, 0x8f, 0x7f, 0x8f, 0xbf, 0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 
  0xbf, 0x9f, 0x9f, 0xaf, 0x9f, 0x9f, 0x9f, 0xaf, 0xaf, 0xbf, 0xcf, 0xdf, 0xcf, 0xef, 0xdf, 0xef, 
  0xdf, 0xcf, 0xbf, 0xaf, 0xaf, 0xaf, 0xaf, 0xcf, 0xaf, 0x8f, 0x9f, 0xcf, 0xaf, 0x8f, 0x9f, 0x9f, 
  0x9f, 0x9f, 0x9f, 0xcf, 0xcf, 0xaf, 0x9f, 0xcf, 0xdf, 0xbf, 0xaf, 0x9f, 0xaf, 0xdf, 0xdf, 0xff, 
  0xef, 0xdf, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xef, 0xef, 0xcf, 0xdf, 0xbf, 0xbf, 0xbf, 0xcf, 0xbf, 
  0xaf, 0xcf, 0xef, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0x9f, 0x9f, 0x9f, 0xaf, 0xdf, 0xbf, 0x9f, 
  0xbf, 0xbf, 0xbf, 0xcf, 0xcf, 0xef, 0xdf, 0xcf, 0xcf, 0xbf, 0x9f, 0x8f, 0x7f, 0x8f, 0xbf, 0xbf, 
  0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 0x9f, 0x9f, 0xaf, 0x9f, 0x9f, 0x9f, 0xaf, 0xaf, 0xbf, 0xcf, 0xdf, 
  0xcf, 0xef, 0xdf, 0xef, 0xdf, 0xcf, 0xbf, 0xaf, 0xaf, 0xaf, 0xaf, 0xcf, 0xaf, 0x8f, 0x9f, 0xcf, 
  0xaf, 0x8f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0xcf, 0xcf, 0xaf, 0x9f, 0xcf, 0xdf, 0xbf, 0xaf, 0x9f, 
  0xaf, 0xdf, 0xdf, 0xff, 0xef, 0xdf, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xef, 0xef, 0xcf, 0xdf, 0xbf, 
  0xbf, 0xbf, 0xcf, 0xbf, 0xaf, 0xcf, 0xef, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0x9f, 0x9f, 0x9f, 
  0xaf, 0xdf, 0xaf, 0xaf, 0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xaf, 0xaf, 0xaf, 0x8f, 0x8f, 
  0x8f, 0xaf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xaf, 0x9f, 0x9f, 0x9f, 0xbf, 0xcf, 0xcf, 0xcf, 0xcf, 
  0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xef, 0xdf, 0xef, 0xdf, 0xbf, 0xbf, 0xaf, 0x9f, 0xaf, 0xbf, 0xcf, 
  0xcf, 0xaf, 0xbf, 0xaf, 0xaf, 0xcf, 0xcf, 0xcf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xaf, 0xaf, 0xcf, 
  0xcf, 0xbf, 0xbf, 0xaf, 0xaf, 0xcf, 0xcf, 0xbf, 0xcf, 0xdf, 0xcf, 0xcf, 0xef, 0xdf, 0xdf, 0xef, 
  0xff, 0xff, 0xef, 0xcf, 0xbf, 0xbf, 0xdf, 0xbf, 0xbf, 0x9f, 0xbf, 0xcf, 0xdf, 0xef, 0xff, 0xef, 
  0xef, 0xdf, 0xaf, 0xaf, 0xbf, 0xcf, 0xbf, 0xaf, 0xcf, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 0xaf, 0x9f, 
  0x8f, 0xaf, 0x9f, 0xbf, 0xbf, 0xcf, 0xdf, 0xcf, 0xbf, 0xaf, 0x9f, 0x9f, 0x9f, 0x9f, 0xbf, 0xcf, 
  0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xaf, 0xbf, 0x9f, 0x9f, 0xaf, 
  0x8f, 0x9f, 0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xef, 0xef, 0xff, 
  0xef, 0xef, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xaf, 0xbf, 0xcf, 0xcf, 0xbf, 
  0xbf, 0xbf, 0xcf, 0xdf, 0xdf, 0xff, 0xef, 0xff, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0xaf, 0xaf, 
  0xcf, 0xcf, 0xef, 0xdf, 0xef, 0xdf, 0xef, 0xbf, 0xbf, 0xcf, 0xbf, 0xaf, 0xcf, 0xdf, 0xef, 0xef, 
  0xdf, 0xcf, 0xaf, 0x9f, 0x8f, 0xaf, 0x9f, 0xbf, 0xbf, 0xcf, 0xdf, 0xcf, 0xbf, 0xaf, 0x9f, 0x9f, 
  0x9f, 0x9f, 0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xaf, 
  0xbf, 0x9f, 0x9f, 0xaf, 0x8f, 0x9f, 0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 
  0xcf, 0xef, 0xef, 0xff, 0xef, 0xef, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xaf, 
  0xbf, 0xcf, 0xcf, 0xbf, 0xbf, 0xbf, 0xcf, 0xdf, 0xdf, 0xff, 0xef, 0xff, 0xdf, 0xdf, 0xdf, 0xcf, 
  0xbf, 0xaf, 0xaf, 0xaf, 0xcf, 0xcf, 0xef, 0xdf, 0xef, 0xdf, 0xef, 0xbf, 0xbf, 0xcf, 0xcf, 0xcf, 
  0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0x9f, 0x9f, 0xaf, 0xbf, 0xdf, 0xdf, 0xdf, 0xbf, 0xaf, 
  0x9f, 0x8f, 0x8f, 0x8f, 0x9f, 0xbf, 0xdf, 0xef, 0xdf, 0xcf, 0xbf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 
  0xaf, 0xaf, 0xcf, 0xbf, 0xaf, 0xaf, 0xbf, 0xbf, 0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 
  0xbf, 0xdf, 0xdf, 0xcf, 0xbf, 0xdf, 0xdf, 0xef, 0xef, 0xff, 0xef, 0xef, 0xff, 0xdf, 0xef, 0xef, 
  0xdf, 0xcf, 0xdf, 0xaf, 0xbf, 0x9f, 0xaf, 0xaf, 0x9f, 0x9f, 0xaf, 0xbf, 0xbf, 0xcf, 0xdf, 0xff, 
  0xef, 0xef, 0xef, 0xdf, 0xdf, 0xbf, 0xaf, 0xaf, 0xbf, 0xcf, 0xcf, 0xcf, 0xef, 0xdf, 0xdf, 0xdf, 
  0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xbf, 0xaf, 0x9f, 0xaf, 0xbf, 0xcf, 0xcf, 0xdf, 
  0xcf, 0xcf, 0xaf, 0x9f, 0xaf, 0xaf, 0x9f, 0x9f, 0xaf, 0xbf, 0xdf, 0xdf, 0xcf, 0xbf, 0xcf, 0xcf, 
  0xcf, 0xaf, 0x9f, 0x9f, 0xaf, 0xbf, 0xbf, 0xcf, 0xbf, 0xbf, 0xdf, 0xef, 0xdf, 0xdf, 0xdf, 0xdf, 
  0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xef, 0xdf, 0xdf, 0xef, 0xdf, 
  0xef, 0xdf, 0xdf, 0xcf, 0xef, 0xdf, 0xff, 0xdf, 0xcf, 0xcf, 0x9f, 0x9f, 0x9f, 0x9f, 0xbf, 0x9f, 
  0xaf, 0x9f, 0xbf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xbf, 0xbf, 0xcf, 0xdf, 0xaf, 
  0xcf, 0xbf, 0xbf, 0xcf, 0xdf, 0xff, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xbf, 0xaf, 0x9f, 0xaf, 
  0xbf, 0xcf, 0xcf, 0xdf, 0xcf, 0xcf, 0xaf, 0x9f, 0xaf, 0xaf, 0x9f, 0x9f, 0xaf, 0xbf, 0xdf, 0xdf, 
  0xbf, 0xdf, 0xcf, 0xcf, 0xcf, 0xaf, 0x9f, 0x9f, 0xaf, 0xbf, 0xbf, 0xcf, 0xbf, 0xbf, 0xdf, 0xef, 
  0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xef, 
  0xdf, 0xdf, 0xef, 0xdf, 0xef, 0xdf, 0xcf, 0xcf, 0xef, 0xdf, 0xff, 0xdf, 0xcf, 0xcf, 0x9f, 0x9f, 
  0x9f, 0x9f, 0xbf, 0x9f, 0xaf, 0x9f, 0xbf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xbf, 
  0xbf, 0xcf, 0xdf, 0xaf, 0xcf, 0xbf, 0xbf, 0xcf, 0xdf, 0xff, 0xcf, 0xcf, 0xbf, 0xaf, 0xbf, 0xcf, 
  0xbf, 0xbf, 0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xbf, 0xaf, 0xaf, 0xaf, 0xbf, 0xdf, 0xcf, 0xcf, 
  0xbf, 0xbf, 0xdf, 0xcf, 0xbf, 0xbf, 0xbf, 0xbf, 0x9f, 0x9f, 0x9f, 0xaf, 0xdf, 0xdf, 0xdf, 0xdf, 
  0xdf, 0xef, 0xdf, 0xdf, 0xdf, 0xef, 0xcf, 0xdf, 0xbf, 0xaf, 0xbf, 0xaf, 0xcf, 0xdf, 0xcf, 0xbf, 
  0xaf, 0xaf, 0xaf, 0xbf, 0xbf, 0xaf, 0xaf, 0xaf, 0xcf, 0xcf, 0xcf, 0xcf, 0xdf, 0xef, 0xef, 0xff, 
  0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xbf, 0xaf, 0xaf, 0x9f, 0xaf, 0x9f, 0xaf, 0xcf, 0xbf, 0xcf, 0xcf, 
  0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xcf, 0xaf, 0xbf, 0xbf, 0xaf, 0xaf, 0xcf, 0xdf, 0xaf, 0xaf, 
  0x9f, 0xaf, 0xaf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xaf, 0xaf, 0xcf, 0xbf, 0xcf, 0xcf, 
  0xdf, 0xef, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 0x9f, 0x9f, 0xaf, 0xcf, 0xbf, 0xaf, 0xaf, 0xbf, 0xcf, 
  0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0x8f, 0x9f, 
  0xbf, 0xcf, 0xcf, 0xaf, 0x9f, 0x9f, 0xaf, 0xbf, 0xbf, 0x9f, 0x9f, 0x9f, 0xcf, 0xbf, 0xaf, 0xaf, 
  0xaf, 0xcf, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xbf, 0xaf, 0xbf, 
  0xaf, 0x9f, 0x8f, 0x9f, 0x9f, 0xaf, 0xcf, 0xef, 0xef, 0xef, 0xff, 0xdf, 0xcf, 0xcf, 0xaf, 0xaf, 
  0xbf, 0xbf, 0xaf, 0xaf, 0x9f, 0xaf, 0xaf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xaf, 0xaf, 
  0xcf, 0xbf, 0xcf, 0xcf, 0xdf, 0xef, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 0x9f, 0x9f, 0xaf, 0xcf, 0xbf, 
  0xaf, 0xaf, 0xbf, 0xcf, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xaf, 0xaf, 0xaf, 
  0xaf, 0xaf, 0x8f, 0x9f, 0xbf, 0xcf, 0xcf, 0xaf, 0x9f, 0x9f, 0xaf, 0xbf, 0xbf, 0x9f, 0x9f, 0x9f, 
  0xcf, 0xbf, 0xaf, 0xaf, 0xaf, 0xcf, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 
  0xcf, 0xbf, 0xaf, 0xbf, 0xaf, 0x9f, 0x8f, 0x9f, 0x9f, 0xaf, 0xcf, 0xef, 0xef, 0xef, 0xff, 0xdf, 
  0xcf, 0xcf, 0xaf, 0xaf, 0xbf, 0xbf, 0xbf, 0xbf, 0xaf, 0xbf, 0xbf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 
  0xbf, 0xbf, 0x9f, 0xaf, 0xbf, 0xaf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xaf, 0xaf, 0x9f, 0x8f, 
  0x9f, 0xaf, 0xbf, 0xcf, 0xaf, 0xbf, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xef, 0xbf, 0xbf, 0xaf, 0x9f, 
  0x9f, 0x9f, 0xaf, 0xaf, 0xcf, 0xaf, 0x9f, 0x9f, 0xbf, 0xbf, 0xcf, 0xcf, 0xbf, 0xbf, 0xcf, 0xcf, 
  0xbf, 0xaf, 0xaf, 0xcf, 0xdf, 0xaf, 0x8f, 0xaf, 0xbf, 0xbf, 0xbf, 0xcf, 0xcf, 0xbf, 0xbf, 0xcf, 
  0xdf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xef, 0xdf, 0xdf, 0xbf, 0x8f, 0x9f, 0x9f, 0x8f, 0x9f, 0xbf, 
  0xcf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xdf, 
  0xdf, 0xcf, 0xaf, 0xaf, 0xaf, 0xaf, 0x8f, 0x9f, 0xaf, 0xcf, 0xcf, 0xcf, 0xdf, 0xef, 0xcf, 0xaf, 
  0x8f, 0xaf, 0x9f, 0xaf, 0xbf, 0xbf, 0xcf, 0xbf, 0xbf, 0xbf, 0xdf, 0xdf, 0xcf, 0xbf, 0xcf, 0xcf, 
  0xbf, 0x9f, 0xaf, 0xaf, 0xaf, 0xaf, 0x9f, 0xaf, 0xcf, 0xdf, 0xcf, 0xbf, 0xbf, 0xcf, 0xdf, 0xdf, 
  0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xaf, 0xaf, 0xaf, 0xbf, 0xcf, 0xcf, 0xcf, 
  0xaf, 0xaf, 0x9f, 0xaf, 0x9f, 0xcf, 0xcf, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xef, 0xcf, 0xbf, 0xbf, 
  0xaf, 0xbf, 0x9f, 0xaf, 0xaf, 0xaf, 0xcf, 0xef, 0xef, 0xff, 0xef, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 
  0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xaf, 0xaf, 0xaf, 0xaf, 0x9f, 0xaf, 0xbf, 0xcf, 0xcf, 0xcf, 
  0xdf, 0xef, 0xcf, 0xaf, 0x8f, 0xaf, 0x9f, 0xaf, 0xbf, 0xbf, 0xcf, 0xbf, 0xbf, 0xbf, 0xdf, 0xdf, 
  0xcf, 0xbf, 0xcf, 0xcf, 0xbf, 0x9f, 0xaf, 0xaf, 0xaf, 0xaf, 0x9f, 0xaf, 0xcf, 0xdf, 0xcf, 0xbf, 
  0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xef, 0xcf, 0xef, 0xef, 0xaf, 0xaf, 0xaf, 
  0xbf, 0xcf, 0xcf, 0xcf, 0xaf, 0xaf, 0x9f, 0xaf, 0x9f, 0xcf, 0xcf, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 
  0xef, 0xcf, 0xbf, 0xbf, 0xaf, 0xbf, 0x9f, 0xaf, 0xaf, 0xaf, 0xcf, 0xef, 0xef, 0xff, 0xef, 0xdf, 
  0xdf, 0xcf, 0xdf, 0xcf, 0xdf, 0xdf, 0xef, 0xdf, 0xcf, 0xaf, 0x9f, 0xaf, 0xbf, 0xaf, 0xbf, 0xcf, 
  0xdf, 0xdf, 0xdf, 0xbf, 0xdf, 0xdf, 0xcf, 0x9f, 0x8f, 0x9f, 0xbf, 0xcf, 0xef, 0xdf, 0xdf, 0xbf, 
  0xbf, 0xcf, 0xcf, 0xcf, 0xaf, 0x9f, 0xaf, 0xbf, 0xbf, 0xaf, 0xbf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 
  0xef, 0xef, 0xdf, 0xdf, 0xef, 0xdf, 0xcf, 0xcf, 0xdf, 0xdf, 0xef, 0xdf, 0xef, 0xef, 0xef, 0xef, 
  0xef, 0xef, 0xdf, 0xbf, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0x9f, 0x8f, 0x8f, 0x8f, 0x7f, 0x9f, 0xaf, 
  0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xcf, 0xcf, 0xcf, 0xbf, 0xbf, 0xaf, 0xaf, 0x9f, 0xaf, 
  0xcf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xdf, 0xef, 0xdf, 0xcf, 0xaf, 0xaf, 0xaf, 0xaf, 
  0xbf, 0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xbf, 0xbf, 0xbf, 0xdf, 0xdf, 0xbf, 0xcf, 0xbf, 0xcf, 0xdf, 
  0xdf, 0xef, 0xdf, 0xbf, 0xaf, 0xaf, 0xaf, 0x9f, 0x9f, 0xaf, 0xbf, 0xbf, 0xcf, 0xdf, 0xdf, 0xef, 
  0xdf, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xcf, 0xdf, 0xcf, 0xcf, 0xbf, 0xbf, 0xaf, 0xaf, 0xaf, 0xbf, 
  0xef, 0xef, 0xdf, 0xef, 0xdf, 0xef, 0xcf, 0xaf, 0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0x9f, 
  0x7f, 0x6f, 0x6f, 0x8f, 0x9f, 0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 
  0xbf, 0xbf, 0xaf, 0x8f, 0xbf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 
  0xaf, 0xaf, 0xaf, 0xaf, 0xbf, 0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xbf, 0xbf, 0xbf, 0xdf, 0xdf, 0xbf, 
  0xcf, 0xbf, 0xcf, 0xdf, 0xdf, 0xef, 0xdf, 0xbf, 0xaf, 0xaf, 0xaf, 0x9f, 0x9f, 0xaf, 0xbf, 0xbf, 
  0xcf, 0xdf, 0xdf, 0xef, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xcf, 0xdf, 0xcf, 0xcf, 0xbf, 0xbf, 
  0xaf, 0xaf, 0xaf, 0xcf, 0xef, 0xef, 0xdf, 0xef, 0xdf, 0xef, 0xcf, 0xaf, 0xbf, 0xcf, 0xdf, 0xdf, 
  0xcf, 0xbf, 0xaf, 0x9f, 0x7f, 0x6f, 0x6f, 0x8f, 0x9f, 0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 
  0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xaf, 0x8f, 0xbf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 
  0xcf, 0xcf, 0xbf, 0xaf, 0xaf, 0xaf, 0xcf, 0xcf, 0xdf, 0xef, 0xdf, 0xdf, 0xdf, 0xbf, 0xaf, 0xaf, 
  0xbf, 0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 0x9f, 0xaf, 0xaf, 0xaf, 
  0xaf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xcf, 0xaf, 0x9f, 0x9f, 0x9f, 
  0x9f, 0x9f, 0x9f, 0x8f, 0x8f, 0x7f, 0x9f, 0x9f, 0xaf, 0xcf, 0xbf, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 
  0xaf, 0xaf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0x8f, 0x7f, 0x8f, 0x9f, 0x9f, 0xaf, 0xbf, 
  0xdf, 0xdf, 0xef, 0xdf, 0xbf, 0xbf, 0xcf, 0xef, 0xdf, 0xbf, 0xaf, 0x9f, 0xaf, 0xbf, 0xcf, 0xdf, 
  0xdf, 0xcf, 0xcf, 0xcf, 0xaf, 0xbf, 0xbf, 0xaf, 0x9f, 0xaf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 
  0xcf, 0xbf, 0xbf, 0xbf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xaf, 0x9f, 0xaf, 0xcf, 0xbf, 0x9f, 
  0xaf, 0xaf, 0xcf, 0xbf, 0xbf, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xaf, 0xaf, 0xaf, 0x9f, 
  0xaf, 0x9f, 0xaf, 0x9f, 0xaf, 0xaf, 0x9f, 0x9f, 0x8f, 0x9f, 0x8f, 0x8f, 0xaf, 0x8f, 0x8f, 0x9f, 
  0x9f, 0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0xdf, 0xef, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xaf, 0xbf, 
  0xbf, 0x9f, 0xaf, 0x9f, 0xaf, 0xcf, 0xef, 0xdf, 0xcf, 0x9f, 0x9f, 0xbf, 0xdf, 0xdf, 0xdf, 0xcf, 
  0xbf, 0xcf, 0xcf, 0xbf, 0xcf, 0xdf, 0xcf, 0xcf, 0xaf, 0xbf, 0xbf, 0xaf, 0x9f, 0xaf, 0xdf, 0xdf, 
  0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xbf, 0xbf, 0xbf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xaf, 0x9f, 
  0xaf, 0xcf, 0xbf, 0x9f, 0xaf, 0xaf, 0xcf, 0xbf, 0xbf, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 
  0xaf, 0xaf, 0xaf, 0x9f, 0xaf, 0x9f, 0xaf, 0x9f, 0xaf, 0xaf, 0x9f, 0x9f, 0x8f, 0x9f, 0x8f, 0x8f, 
  0xaf, 0x8f, 0x8f, 0x9f, 0x9f, 0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0xdf, 0xef, 0xdf, 0xdf, 0xdf, 0xdf, 
  0xdf, 0xcf, 0xaf, 0xbf, 0xbf, 0x9f, 0xaf, 0x9f, 0xaf, 0xcf, 0xef, 0xdf, 0xcf, 0x9f, 0x9f, 0xbf, 
  0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xcf, 0xcf, 0xbf, 0xcf, 0xdf, 0xbf, 0xaf, 0x9f, 0xbf, 0xcf, 0xbf, 
  0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 0xdf, 0xef, 0xef, 0xef, 0xef, 
  0xdf, 0xbf, 0x9f, 0x9f, 0x9f, 0xaf, 0xaf, 0xaf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xcf, 
  0xbf, 0xaf, 0xaf, 0x9f, 0x9f, 0xbf, 0xaf, 0xaf, 0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 0xbf, 0xcf, 0xbf, 
  0xbf, 0xbf, 0xaf, 0xaf, 0xaf, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x8f, 0x8f, 0xaf, 0xaf, 0xbf, 
  0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xcf, 0xaf, 0xaf, 0x9f, 0x9f, 0xaf, 0xcf, 0xcf, 
  0xdf, 0xbf, 0x9f, 0xaf, 0xcf, 0xdf, 0xef, 0xdf, 0xcf, 0xcf, 0xcf, 0x9f, 0xaf, 0xbf, 0xcf, 0xaf, 
  0xaf, 0xbf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xaf, 0xaf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xef, 
  0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 
  0xcf, 0xaf, 0x9f, 0xaf, 0xbf, 0xaf, 0xbf, 0x9f, 0x9f, 0xaf, 0xcf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 
  0xef, 0xdf, 0xef, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0x8f, 0x8f, 0x8f, 0x8f, 0x9f, 
  0x8f, 0x8f, 0x8f, 0x9f, 0xbf, 0xbf, 0xaf, 0xcf, 0xbf, 0xdf, 0xdf, 0xef, 0xdf, 0xbf, 0xbf, 0xaf, 
  0x9f, 0xaf, 0xaf, 0xbf, 0xcf, 0xdf, 0xdf, 0xaf, 0xaf, 0xbf, 0xdf, 0xdf, 0xdf, 0xcf, 0xaf, 0x8f, 
  0x8f, 0x9f, 0xcf, 0xaf, 0xaf, 0xbf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xaf, 0xaf, 0xcf, 0xcf, 
  0xcf, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 0xbf, 0xcf, 
  0xdf, 0xdf, 0xcf, 0xbf, 0xcf, 0xaf, 0x9f, 0xaf, 0xbf, 0xaf, 0xbf, 0x9f, 0x9f, 0xaf, 0xcf, 0xcf, 
  0xdf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xef, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0x8f, 
  0x8f, 0x8f, 0x8f, 0x9f, 0x8f, 0x8f, 0x8f, 0x9f, 0xbf, 0xbf, 0xaf, 0xcf, 0xbf, 0xdf, 0xdf, 0xef, 
  0xdf, 0xbf, 0xbf, 0xaf, 0x9f, 0xaf, 0xaf, 0xbf, 0xcf, 0xdf, 0xdf, 0xaf, 0xaf, 0xbf, 0xdf, 0xdf, 
  0xdf, 0xcf, 0xaf, 0x8f, 0x8f, 0x9f, 0xdf, 0xcf, 0xaf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xbf, 0xaf, 
  0xaf, 0xcf, 0xdf, 0xcf, 0xbf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 
  0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xaf, 0xaf, 0xbf, 0x9f, 0x9f, 0x9f, 0xaf, 0xcf, 0xcf, 0xcf, 
  0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xcf, 0xdf, 
  0xdf, 0xef, 0xef, 0xcf, 0xaf, 0xbf, 0x9f, 0x9f, 0x8f, 0x8f, 0x9f, 0x8f, 0xaf, 0xaf, 0xaf, 0x9f, 
  0xaf, 0xaf, 0xcf, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 0xaf, 0x9f, 0x9f, 0xaf, 0x9f, 0xbf, 0xef, 0xdf, 
  0xcf, 0xbf, 0xbf, 0xdf, 0xff, 0xef, 0xaf, 0x9f, 0x7f, 0x8f, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xcf, 
  0xbf, 0xaf, 0xaf, 0xbf, 0xcf, 0xdf, 0xef, 0xdf, 0xbf, 0xcf, 0xbf, 0xbf, 0xbf, 0xcf, 0xbf, 0xcf, 
  0xdf, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xcf, 0xbf, 0xcf, 0xcf, 0xaf, 0xaf, 0xbf, 0xaf, 0xbf, 0xbf, 
  0xdf, 0xcf, 0xdf, 0xef, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xbf, 0xcf, 0xaf, 0xaf, 0xcf, 0xdf, 0xcf, 
  0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xcf, 0xbf, 0xaf, 0xbf, 0xbf, 
  0xaf, 0xaf, 0xaf, 0x9f, 0xaf, 0xaf, 0xaf, 0xcf, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xaf, 0x9f, 0xaf, 
  0xaf, 0xaf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xef, 0xef, 0xdf, 0x9f, 0x8f, 0x9f, 0xdf, 0xdf, 
  0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0xaf, 0xbf, 0xcf, 0xdf, 0xef, 0xdf, 0xbf, 0xcf, 0xbf, 0xbf, 
  0xbf, 0xcf, 0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xcf, 0xbf, 0xcf, 0xcf, 0xaf, 0xaf, 
  0xbf, 0xaf, 0xbf, 0xbf, 0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xef, 0xcf, 0xbf, 0xbf, 0xbf, 0xcf, 0xaf, 
  0xaf, 0xcf, 0xdf, 0xcf, 0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xcf, 
  0xbf, 0xaf, 0xbf, 0xbf, 0xaf, 0xaf, 0xaf, 0x9f, 0xaf, 0xaf, 0xaf, 0xcf, 0xef, 0xef, 0xef, 0xdf, 
  0xdf, 0xaf, 0x9f, 0xaf, 0xaf, 0xaf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xef, 0xef, 0xdf, 0x9f, 
  0x8f, 0x9f, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 0xbf, 0xaf, 0xaf, 0xbf, 0xbf, 0xcf, 0xef, 0xef, 0xdf, 
  0xcf, 0xbf, 0xaf, 0xaf, 0xcf, 0xdf, 0xbf, 0xbf, 0xdf, 0xef, 0xef, 0xff, 0xdf, 0xcf, 0xaf, 0x9f, 
  0xaf, 0xbf, 0xbf, 0xbf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xbf, 0xcf, 0x9f, 
  0x8f, 0x9f, 0x9f, 0xaf, 0x9f, 0xaf, 0xcf, 0xaf, 0xaf, 0x9f, 0xaf, 0x9f, 0xbf, 0xcf, 0xdf, 0xdf, 
  0xef, 0xdf, 0xcf, 0xdf, 0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xaf, 0xaf, 0xbf, 0xbf, 
  0xbf, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xbf, 0xdf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 
  0xcf, 0xdf, 0xdf, 0xdf, 0x9f, 0x9f, 0xdf, 0xdf, 0xef, 0xef, 0xbf, 0xaf, 0xaf, 0xbf, 0xbf, 0xbf, 
  0xcf, 0xef, 0xef, 0xdf, 0xbf, 0xaf, 0xaf, 0xbf, 0xcf, 0xdf, 0xbf, 0xcf, 0xef, 0xef, 0xef, 0xdf, 
  0xcf, 0xcf, 0x9f, 0xaf, 0xbf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xcf, 0xcf, 0xaf, 0x9f, 
  0x8f, 0x9f, 0xaf, 0xaf, 0x8f, 0x9f, 0x9f, 0x8f, 0xaf, 0xaf, 0xbf, 0xaf, 0x8f, 0x9f, 0x9f, 0x9f, 
  0xbf, 0xbf, 0xcf, 0xcf, 0xbf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xef, 0xdf, 0xef, 0xff, 0xef, 0xdf, 
  0xbf, 0xaf, 0xbf, 0x9f, 0x9f, 0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xbf, 
  0xaf, 0xaf, 0xdf, 0xef, 0xcf, 0xdf, 0xef, 0xdf, 0xcf, 0xbf, 0xdf, 0xdf, 0xef, 0xef, 0xbf, 0xaf, 
  0xaf, 0xbf, 0xbf, 0xbf, 0xcf, 0xef, 0xef, 0xdf, 0xbf, 0xaf, 0xaf, 0xbf, 0xcf, 0xdf, 0xbf, 0xcf, 
  0xef, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0x9f, 0xaf, 0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xdf, 
  0xcf, 0xcf, 0xaf, 0x9f, 0x8f, 0x9f, 0xaf, 0xaf, 0x8f, 0x9f, 0x9f, 0x8f, 0xaf, 0xaf, 0xbf, 0xaf, 
  0x8f, 0x9f, 0x9f, 0x9f, 0xbf, 0xbf, 0xcf, 0xcf, 0xbf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xef, 0xdf, 
  0xef, 0xff, 0xef, 0xdf, 0xbf, 0xaf, 0xbf, 0x9f, 0x9f, 0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 
  0xcf, 0xbf, 0xbf, 0xbf, 0xaf, 0xaf, 0xdf, 0xef, 0xcf, 0xdf, 0xef, 0xdf, 0xcf, 0xbf, 0xdf, 0xcf, 
  0xcf, 0xcf, 0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 0xbf, 0xdf, 0xdf, 0xef, 0xdf, 0xcf, 0xbf, 0xcf, 0xbf, 
  0xaf, 0xbf, 0xcf, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xaf, 0xbf, 0xcf, 0xcf, 0xef, 0xef, 0xef, 
  0xef, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xaf, 0x9f, 0x9f, 0xaf, 0xbf, 0x9f, 0x9f, 0xaf, 0xaf, 0xaf, 
  0xcf, 0xbf, 0xaf, 0xbf, 0xbf, 0xcf, 0xbf, 0xcf, 0xbf, 0xbf, 0xdf, 0xbf, 0xaf, 0xbf, 0xbf, 0xcf, 
  0xbf, 0xbf, 0xcf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xbf, 0xaf, 0x9f, 0x8f, 0x8f, 0xaf, 0xcf, 
  0xdf, 0xcf, 0xff, 0xef, 0xdf, 0xbf, 0xaf, 0xaf, 0xbf, 0xaf, 0xcf, 0xdf, 0xdf, 0xcf, 0xdf, 0xef, 
  0xdf, 0xbf, 0xcf, 0xbf, 0xaf, 0xdf, 0xbf, 0xcf, 0xdf, 0xbf, 0xdf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 
  0xdf, 0xef, 0xdf, 0xdf, 0xbf, 0xaf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xef, 0xbf, 0xbf, 0xdf, 
  0xdf, 0xdf, 0xdf, 0xef, 0xcf, 0xcf, 0xbf, 0xaf, 0x9f, 0xbf, 0xaf, 0x9f, 0xaf, 0xbf, 0xcf, 0xcf, 
  0xbf, 0xbf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 
  0xaf, 0x9f, 0xaf, 0xaf, 0x9f, 0x9f, 0x9f, 0xbf, 0xbf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xaf, 
  0x9f, 0x8f, 0xbf, 0xcf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xaf, 0x9f, 0xaf, 0xbf, 0xcf, 0xbf, 
  0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0xdf, 0xbf, 0xcf, 0xdf, 0xbf, 0xdf, 0xcf, 
  0xcf, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xbf, 0xaf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 
  0xef, 0xbf, 0xbf, 0xdf, 0xdf, 0xdf, 0xdf, 0xef, 0xcf, 0xcf, 0xbf, 0xaf, 0x9f, 0xbf, 0xaf, 0x9f, 
  0xaf, 0xbf, 0xcf, 0xcf, 0xbf, 0xbf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xdf, 0xef, 0xef, 0xdf, 
  0xdf, 0xdf, 0xcf, 0xcf, 0xaf, 0x9f, 0xaf, 0xaf, 0x9f, 0x9f, 0x9f, 0xbf, 0xbf, 0xdf, 0xef, 0xef, 
  0xef, 0xef, 0xdf, 0xaf, 0x9f, 0x8f, 0xbf, 0xcf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xaf, 0x9f, 
  0xaf, 0xbf, 0xcf, 0xbf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xbf, 0xbf, 0xcf, 0xef, 
  0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xcf, 0xdf, 
  0xdf, 0xdf, 0xcf, 0xef, 0xef, 0xdf, 0xbf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xaf, 0xbf, 0xaf, 0xbf, 
  0xcf, 0xcf, 0xbf, 0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xbf, 0xaf, 0xcf, 0xcf, 0xbf, 0xdf, 
  0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xbf, 0xaf, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0xbf, 
  0xbf, 0xaf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xbf, 0x9f, 0x9f, 0xbf, 0xaf, 0xbf, 0xdf, 0xef, 0xef, 
  0xef, 0xef, 0xcf, 0xaf, 0xaf, 0xbf, 0xbf, 0xbf, 0xcf, 0xef, 0xdf, 0xbf, 0xef, 0xef, 0xcf, 0xbf, 
  0xcf, 0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xbf, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 
  0xcf, 0xbf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xef, 0xef, 0xcf, 0xdf, 0xcf, 0xbf, 0xaf, 0xbf, 
  0xcf, 0xbf, 0xbf, 0xdf, 0xcf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xcf, 0xcf, 0xaf, 
  0xcf, 0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xbf, 0xaf, 0x9f, 0x9f, 
  0x9f, 0x9f, 0x9f, 0xbf, 0xbf, 0xaf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xbf, 0x9f, 0x9f, 0xbf, 0xaf, 
  0xbf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xcf, 0xaf, 0xaf, 0xbf, 0xbf, 0xbf, 0xcf, 0xef, 0xdf, 0xbf, 
  0xef, 0xef, 0xcf, 0xbf, 0xcf, 0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xbf, 0xdf, 
  0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xbf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xef, 0xef, 0xcf, 0xdf, 
  0xcf, 0xbf, 0xaf, 0xbf, 0xcf, 0xbf, 0xbf, 0xdf, 0xcf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xef, 
  0xdf, 0xcf, 0xcf, 0xaf, 0xcf, 0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xdf, 0xef, 0xcf, 
  0xcf, 0xcf, 0xbf, 0xaf, 0xaf, 0xaf, 0xaf, 0xbf, 0xaf, 0xbf, 0xaf, 0xbf, 0xcf, 0xdf, 0xff, 0xdf, 
  0xbf, 0xaf, 0xcf, 0xaf, 0xaf, 0xbf, 0xdf, 0xef, 0xef, 0xff, 0xdf, 0xaf, 0xcf, 0xdf, 0xcf, 0xaf, 
  0xcf, 0xef, 0xef, 0xcf, 0xbf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xef, 0xdf, 0xcf, 0xbf, 0xbf, 0xcf, 
  0xdf, 0xdf, 0xbf, 0xdf, 0xef, 0xdf, 0xcf, 0xbf, 0xbf, 0xaf, 0xcf, 0xcf, 0xdf, 0xef, 0xef, 0xdf, 
  0xdf, 0xdf, 0xdf, 0xcf, 0xaf, 0xaf, 0xaf, 0xbf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 
  0xdf, 0xdf, 0xcf, 0xdf, 0xbf, 0xcf, 0xdf, 0xcf, 0xcf, 0xaf, 0xbf, 0xbf, 0xcf, 0xdf, 0xcf, 0xcf, 
  0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 0xcf, 0xdf, 0xbf, 0xbf, 0xcf, 0xbf, 0xbf, 0xbf, 0xbf, 0xaf, 
  0xbf, 0xcf, 0xef, 0xef, 0xff, 0xcf, 0xbf, 0xbf, 0x9f, 0xaf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 0xbf, 
  0xbf, 0xdf, 0xef, 0xaf, 0xaf, 0xcf, 0xff, 0xdf, 0xaf, 0xcf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xdf, 
  0xcf, 0x9f, 0xaf, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xaf, 0xcf, 0xcf, 
  0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xaf, 0xaf, 0xaf, 0xbf, 0xdf, 0xcf, 0xcf, 0xcf, 
  0xcf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xcf, 0xdf, 0xbf, 0xcf, 0xdf, 0xcf, 0xcf, 0xaf, 0xbf, 0xbf, 
  0xcf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 0xcf, 0xdf, 0xbf, 0xbf, 0xcf, 0xbf, 
  0xbf, 0xbf, 0xbf, 0xaf, 0xbf, 0xcf, 0xef, 0xef, 0xff, 0xcf, 0xbf, 0xbf, 0x9f, 0xaf, 0xcf, 0xdf, 
  0xef, 0xef, 0xef, 0xbf, 0xbf, 0xdf, 0xef, 0xaf, 0xaf, 0xcf, 0xff, 0xdf, 0xaf, 0xcf, 0xef, 0xef, 
  0xef, 0xef, 0xdf, 0xdf, 0xcf, 0x9f, 0xaf, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xcf, 
  0xcf, 0xaf, 0xaf, 0xcf, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xbf, 0xcf, 0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 
  0xef, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xbf, 0xcf, 0x9f, 0xaf, 0xbf, 0xaf, 
  0xaf, 0xaf, 0xaf, 0xaf, 0xbf, 0xcf, 0xaf, 0xaf, 0xbf, 0xcf, 0xbf, 0xcf, 0xcf, 0xcf, 0xbf, 0xcf, 
  0xcf, 0xcf, 0xcf, 0xcf, 0xdf, 0xbf, 0xcf, 0xdf, 0xbf, 0xcf, 0xef, 0xff, 0xff, 0xef, 0xcf, 0xaf, 
  0xaf, 0x9f, 0x9f, 0xcf, 0xef, 0xef, 0xef, 0xdf, 0xaf, 0xcf, 0xcf, 0x9f, 0x9f, 0xbf, 0xdf, 0xff, 
  0xcf, 0xaf, 0xef, 0xef, 0xdf, 0xff, 0xef, 0xef, 0xcf, 0xbf, 0xbf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 
  0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xbf, 0xcf, 0xef, 0xef, 0xef, 0xdf, 0xbf, 0xaf, 0xaf, 0xbf, 0xcf, 
  0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xdf, 0xcf, 0xbf, 0xbf, 0xaf, 0xaf, 0xaf, 0xbf, 0xbf, 0xcf, 
  0xaf, 0xaf, 0xbf, 0xaf, 0xbf, 0xcf, 0xaf, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0xaf, 0xbf, 0xaf, 0x9f, 
  0xbf, 0xcf, 0xcf, 0xdf, 0xcf, 0xaf, 0xbf, 0xcf, 0xdf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xef, 
  0xef, 0xef, 0xef, 0xaf, 0xaf, 0xbf, 0x9f, 0x9f, 0xdf, 0xef, 0xef, 0xef, 0xcf, 0xcf, 0xbf, 0xbf, 
  0x9f, 0x9f, 0xcf, 0xef, 0xdf, 0x9f, 0xef, 0xef, 0xdf, 0xff, 0xef, 0xef, 0xcf, 0xbf, 0xbf, 0xdf, 
  0xef, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xbf, 0xcf, 0xef, 0xef, 0xef, 0xdf, 0xbf, 
  0xaf, 0xaf, 0xbf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xdf, 0xcf, 0xbf, 0xbf, 0xaf, 0xaf, 
  0xaf, 0xbf, 0xbf, 0xcf, 0xaf, 0xaf, 0xbf, 0xaf, 0xbf, 0xcf, 0xaf, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 
  0xaf, 0xbf, 0xaf, 0x9f, 0xbf, 0xcf, 0xcf, 0xdf, 0xcf, 0xaf, 0xbf, 0xcf, 0xdf, 0xcf, 0xdf, 0xdf, 
  0xcf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xaf, 0xaf, 0xbf, 0x9f, 0x9f, 0xdf, 0xef, 0xef, 0xef, 
  0xcf, 0xcf, 0xbf, 0xbf, 0x9f, 0x9f, 0xcf, 0xef, 0xdf, 0x9f, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xcf, 
  0xbf, 0x9f, 0xaf, 0xcf, 0xef, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 
  0xef, 0xdf, 0xcf, 0xbf, 0xaf, 0xbf, 0xbf, 0xcf, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 
  0xaf, 0xaf, 0xaf, 0x9f, 0xaf, 0x9f, 0xbf, 0xbf, 0x9f, 0x9f, 0x9f, 0xaf, 0xcf, 0xdf, 0xaf, 0x9f, 
  0xaf, 0xcf, 0xaf, 0xaf, 0xaf, 0xbf, 0xbf, 0x9f, 0x9f, 0xbf, 0xaf, 0xcf, 0xdf, 0xdf, 0xbf, 0xcf, 
  0xdf, 0xdf, 0xdf, 0xbf, 0xbf, 0xcf, 0xdf, 0xef, 0xef, 0xff, 0xef, 0xef, 0xaf, 0x9f, 0x8f, 0x8f, 
  0x9f, 0xef, 0xef, 0xef, 0xef, 0xcf, 0xaf, 0xaf, 0x9f, 0x9f, 0xbf, 0xdf, 0xdf, 0xaf, 0xcf, 0xbf, 
  0xaf, 0xbf, 0xdf, 0xcf, 0x9f, 0x9f, 0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0xbf, 0xcf, 0xdf, 
  0xef, 0xcf, 0xcf, 0xdf, 0xcf, 0xcf, 0xbf, 0xcf, 0xbf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 
  0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xaf, 0xaf, 0xbf, 0xbf, 0xaf, 0x9f, 0x8f, 0x9f, 
  0xdf, 0xdf, 0xcf, 0xaf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 0xcf, 0xaf, 0xaf, 0xaf, 0xbf, 0xaf, 
  0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xbf, 0xcf, 0xdf, 0xdf, 0xef, 0xdf, 0xef, 0xef, 
  0xcf, 0xaf, 0x9f, 0x8f, 0x8f, 0xcf, 0xef, 0xff, 0xef, 0xdf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xdf, 
  0xdf, 0xbf, 0xcf, 0xbf, 0xaf, 0xbf, 0xdf, 0xcf, 0x9f, 0x9f, 0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 
  0xaf, 0xbf, 0xcf, 0xdf, 0xef, 0xcf, 0xcf, 0xdf, 0xcf, 0xcf, 0xbf, 0xcf, 0xbf, 0xcf, 0xcf, 0xdf, 
  0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xaf, 0xaf, 0xbf, 0xbf, 
  0xaf, 0x9f, 0x8f, 0x9f, 0xdf, 0xdf, 0xcf, 0xaf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 0xcf, 0xaf, 
  0xaf, 0xaf, 0xbf, 0xaf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xbf, 0xcf, 0xdf, 0xdf, 
  0xef, 0xdf, 0xef, 0xef, 0xcf, 0xaf, 0x9f, 0x8f, 0x8f, 0xcf, 0xef, 0xff, 0xef, 0xdf, 0xaf, 0xaf, 
  0xaf, 0xaf, 0xaf, 0xdf, 0xdf, 0xbf, 0xbf, 0xaf, 0xaf, 0xbf, 0xcf, 0xbf, 0xaf, 0xbf, 0xcf, 0xcf, 
  0xcf, 0xcf, 0xcf, 0xaf, 0xaf, 0xbf, 0xcf, 0xef, 0xef, 0xcf, 0xcf, 0xaf, 0xaf, 0xbf, 0xbf, 0xbf, 
  0xbf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0xaf, 0xaf, 0xbf, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 
  0xbf, 0xbf, 0xcf, 0xbf, 0xcf, 0xcf, 0xbf, 0xaf, 0xcf, 0xbf, 0xdf, 0xcf, 0xdf, 0xcf, 0xcf, 0xbf, 
  0xcf, 0xcf, 0xcf, 0xbf, 0xbf, 0xcf, 0xaf, 0x9f, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xef, 0xef, 0xdf, 
  0xef, 0xcf, 0xcf, 0xcf, 0xbf, 0xcf, 0xef, 0xef, 0xef, 0xcf, 0xbf, 0x9f, 0x8f, 0xbf, 0xdf, 0xff, 
  0xef, 0xef, 0xbf, 0x9f, 0xaf, 0x9f, 0xaf, 0xef, 0xdf, 0xbf, 0xbf, 0xaf, 0x9f, 0xbf, 0xbf, 0xcf, 
  0xcf, 0xcf, 0xdf, 0xcf, 0xaf, 0xbf, 0xdf, 0xcf, 0xcf, 0xcf, 0xdf, 0xef, 0xdf, 0xcf, 0xaf, 0x9f, 
  0x9f, 0x9f, 0xbf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0x9f, 0x9f, 0x9f, 0xaf, 0xaf, 0xdf, 0xcf, 0xcf, 
  0xcf, 0xdf, 0xbf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 0xaf, 0xcf, 0xdf, 0xef, 
  0xdf, 0xbf, 0xbf, 0x9f, 0xaf, 0xbf, 0xdf, 0xdf, 0xcf, 0xdf, 0xcf, 0x9f, 0xaf, 0xcf, 0xdf, 0xdf, 
  0xcf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xdf, 0xcf, 0xbf, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 0xbf, 
  0xaf, 0xaf, 0xbf, 0xef, 0xef, 0xff, 0xdf, 0xaf, 0xaf, 0xaf, 0xaf, 0xcf, 0xdf, 0xaf, 0xbf, 0xaf, 
  0x9f, 0xbf, 0xbf, 0xcf, 0xcf, 0xcf, 0xdf, 0xcf, 0xaf, 0xbf, 0xdf, 0xcf, 0xcf, 0xcf, 0xdf, 0xef, 
  0xdf, 0xcf, 0xaf, 0x9f, 0x9f, 0x9f, 0xbf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0x9f, 0x9f, 0x9f, 0xaf, 
  0xaf, 0xdf, 0xcf, 0xcf, 0xcf, 0xdf, 0xbf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 
  0xaf, 0xcf, 0xdf, 0xef, 0xdf, 0xbf, 0xbf, 0x9f, 0xaf, 0xbf, 0xdf, 0xdf, 0xcf, 0xdf, 0xcf, 0x9f, 
  0xaf, 0xcf, 0xdf, 0xdf, 0xcf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xdf, 0xcf, 0xbf, 0xdf, 0xef, 
  0xef, 0xdf, 0xcf, 0xbf, 0xaf, 0xaf, 0xbf, 0xef, 0xef, 0xff, 0xdf, 0xaf, 0xaf, 0xaf, 0xaf, 0xcf, 
  0xdf, 0xaf, 0xbf, 0xbf, 0xaf, 0xaf, 0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xbf, 0xaf, 0xaf, 0xcf, 0xdf, 
  0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xbf, 0xbf, 0x9f, 0x9f, 0xaf, 0xcf, 0xef, 0xdf, 0xdf, 0xcf, 0xbf, 
  0xbf, 0xaf, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 0xbf, 0xbf, 0xcf, 0xcf, 0xbf, 0xcf, 0xaf, 0xaf, 0xaf, 
  0xaf, 0xbf, 0xdf, 0xdf, 0xcf, 0xcf, 0xef, 0xef, 0xdf, 0xdf, 0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 0xef, 
  0xef, 0xef, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xdf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xdf, 
  0xcf, 0xbf, 0xcf, 0xef, 0xff, 0xff, 0xdf, 0xbf, 0xbf, 0xcf, 0xcf, 0xef, 0xef, 0xef, 0xff, 0xdf, 
  0xcf, 0xaf, 0x9f, 0xcf, 0xef, 0xbf, 0xcf, 0xdf, 0xcf, 0xbf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xbf, 
  0xbf, 0xaf, 0xcf, 0xdf, 0xef, 0xef, 0xcf, 0xcf, 0xdf, 0xcf, 0xbf, 0xaf, 0xbf, 0xcf, 0xdf, 0xdf, 
  0xcf, 0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 0xdf, 0xef, 0xdf, 0xcf, 0xaf, 0xbf, 0xbf, 0xdf, 0xef, 0xdf, 
  0xcf, 0xaf, 0x8f, 0x8f, 0xaf, 0xbf, 0xdf, 0xdf, 0xcf, 0xcf, 0xef, 0xef, 0xdf, 0xdf, 0xbf, 0xbf, 
  0xbf, 0xbf, 0xcf, 0xef, 0xef, 0xef, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xdf, 0xcf, 0xdf, 0xef, 0xef, 
  0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xbf, 0xcf, 0xef, 0xff, 0xff, 0xdf, 0xbf, 0xbf, 0xcf, 0xcf, 0xef, 
  0xef, 0xef, 0xff, 0xdf, 0xcf, 0xaf, 0x9f, 0xcf, 0xef, 0xbf, 0xcf, 0xdf, 0xcf, 0xbf, 0xdf, 0xef, 
  0xef, 0xef, 0xdf, 0xbf, 0xbf, 0xaf, 0xcf, 0xdf, 0xef, 0xef, 0xcf, 0xcf, 0xdf, 0xcf, 0xbf, 0xaf, 
  0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xbf, 0xbf, 0xcf, 0xdf, 0xef, 0xdf, 0xcf, 0xaf, 0xbf, 
  0xbf, 0xdf, 0xef, 0xdf, 0xcf, 0xaf, 0x8f, 0x8f, 0xaf, 0xbf, 0xcf, 0xdf, 0xbf, 0xcf, 0xcf, 0xcf, 
  0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xef, 0xdf, 0xef, 0xcf, 0xef, 0xcf, 0xdf, 0xdf, 0xcf, 0xdf, 0xcf, 
  0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xcf, 0xdf, 0xef, 0xef, 0xff, 0xdf, 
  0xbf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xff, 0xcf, 0xbf, 0xaf, 0xcf, 0xef, 0xdf, 0xdf, 0xdf, 
  0xbf, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xbf, 0xaf, 0x9f, 0xdf, 0xef, 0xef, 0xdf, 0xbf, 0xaf, 
  0xdf, 0xdf, 0xbf, 0xbf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0xaf, 0xaf, 0xaf, 0xdf, 0xef, 0xef, 
  0xdf, 0xcf, 0x9f, 0xbf, 0xcf, 0xdf, 0xff, 0xdf, 0xbf, 0xbf, 0x9f, 0x9f, 0xaf, 0xcf, 0xbf, 0xbf, 
  0xaf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0x9f, 0x9f, 0xbf, 0xef, 0xef, 0xef, 0xef, 0xcf, 0xcf, 0xdf, 
  0xdf, 0xcf, 0xef, 0xef, 0xcf, 0xdf, 0xcf, 0xdf, 0xdf, 0xff, 0xff, 0xef, 0xbf, 0xcf, 0xcf, 0xdf, 
  0xff, 0xff, 0xff, 0xef, 0xcf, 0xbf, 0xcf, 0xdf, 0xff, 0xef, 0xef, 0xef, 0xdf, 0xaf, 0xaf, 0xaf, 
  0xcf, 0xef, 0xdf, 0xdf, 0xbf, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xbf, 0xaf, 0x9f, 0xdf, 0xef, 0xef, 
  0xdf, 0xdf, 0xbf, 0xaf, 0xdf, 0xdf, 0xbf, 0xbf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0xaf, 0xaf, 
  0xaf, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 0x9f, 0xbf, 0xcf, 0xdf, 0xff, 0xdf, 0xbf, 0xbf, 0x9f, 0x9f, 
  0xaf, 0xcf, 0xbf, 0xbf, 0xaf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0x9f, 0x9f, 0xbf, 0xef, 0xef, 0xef, 
  0xef, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xef, 0xef, 0xcf, 0xdf, 0xcf, 0xdf, 0xdf, 0xff, 0xff, 0xef, 
  0xbf, 0xcf, 0xcf, 0xdf, 0xff, 0xff, 0xff, 0xef, 0xcf, 0xbf, 0xcf, 0xdf, 0xff, 0xef, 0xef, 0xef, 
  0xdf, 0xaf, 0xaf, 0xaf, 0xcf, 0xef, 0xdf, 0xef, 0xcf, 0xbf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 
  0xbf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xbf, 0xaf, 
  0xaf, 0xbf, 0xaf, 0xaf, 0xcf, 0xdf, 0xef, 0xdf, 0xdf, 0xcf, 0xaf, 0xaf, 0xcf, 0xef, 0xef, 0xef, 
  0xcf, 0xbf, 0xbf, 0xcf, 0xcf, 0xcf, 0xbf, 0xaf, 0x9f, 0xaf, 0xbf, 0xcf, 0xcf, 0xcf, 0xaf, 0xaf, 
  0xbf, 0xbf, 0xbf, 0xdf, 0xdf, 0xcf, 0xdf, 0xcf, 0xcf, 0xcf, 0xef, 0xdf, 0xdf, 0xef, 0xcf, 0xcf, 
  0xef, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xcf, 0xdf, 0xdf, 0xcf, 0xdf, 0xef, 0xdf, 0xbf, 0xbf, 0xcf, 
  0xdf, 0xef, 0xff, 0xff, 0xdf, 0xaf, 0xaf, 0xaf, 0xbf, 0xef, 0xcf, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 
  0xdf, 0xcf, 0xaf, 0x9f, 0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xbf, 0xdf, 0xef, 0xdf, 0xdf, 0xdf, 
  0xbf, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0xaf, 0xcf, 0xdf, 0xdf, 0xdf, 0xbf, 0xcf, 0xcf, 0xaf, 0xaf, 
  0xcf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xdf, 0xbf, 0xcf, 0xcf, 0xbf, 0xaf, 0xaf, 0xcf, 0xcf, 
  0xdf, 0xcf, 0xbf, 0xaf, 0xcf, 0xcf, 0x9f, 0x9f, 0xcf, 0xcf, 0xdf, 0xcf, 0xbf, 0xcf, 0xef, 0xef, 
  0xef, 0xef, 0xdf, 0xcf, 0xdf, 0xbf, 0xdf, 0xdf, 0xef, 0xdf, 0xcf, 0xdf, 0xef, 0xcf, 0xbf, 0xef, 
  0xef, 0xcf, 0xaf, 0xaf, 0xef, 0xff, 0xff, 0xef, 0xff, 0xbf, 0xaf, 0xaf, 0xbf, 0xbf, 0xcf, 0xef, 
  0xef, 0xdf, 0xcf, 0xcf, 0xdf, 0xcf, 0xaf, 0x9f, 0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xbf, 0xdf, 
  0xef, 0xdf, 0xdf, 0xdf, 0xbf, 0x9f, 0x9f, 0x9f, 0x9f, 0xaf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xbf, 
  0xcf, 0xcf, 0xaf, 0xaf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xdf, 0xbf, 0xcf, 0xcf, 0xbf, 
  0xaf, 0xaf, 0xcf, 0xcf, 0xdf, 0xcf, 0xbf, 0xaf, 0xcf, 0xcf, 0x9f, 0x9f, 0xcf, 0xcf, 0xdf, 0xcf, 
  0xbf, 0xcf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xdf, 0xbf, 0xdf, 0xdf, 0xef, 0xdf, 0xcf, 0xdf, 
  0xef, 0xcf, 0xbf, 0xef, 0xef, 0xcf, 0xaf, 0xaf, 0xef, 0xff, 0xff, 0xef, 0xff, 0xbf, 0xaf, 0xaf, 
  0xbf, 0xbf, 0xcf, 0xdf, 0xef, 0xef, 0xcf, 0xbf, 0xcf, 0xdf, 0xcf, 0xaf, 0xdf, 0xdf, 0xcf, 0xcf, 
  0xcf, 0xcf, 0xdf, 0xcf, 0xef, 0xef, 0xef, 0xdf, 0xbf, 0x9f, 0xaf, 0xaf, 0x9f, 0xaf, 0xcf, 0xdf, 
  0xdf, 0xbf, 0xaf, 0xcf, 0xef, 0xcf, 0xcf, 0xbf, 0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 
  0xcf, 0xdf, 0xcf, 0xbf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xef, 0xbf, 0xaf, 0xcf, 0xcf, 0xaf, 0xbf, 
  0xbf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xbf, 0xbf, 0xcf, 
  0xdf, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xbf, 0xef, 0xdf, 0xbf, 0xbf, 0xcf, 0xef, 0xef, 0xff, 
  0xef, 0xdf, 0xcf, 0xbf, 0xcf, 0xbf, 0xdf, 0xef, 0xef, 0xef, 0xcf, 0xbf, 0xaf, 0xcf, 0xdf, 0xcf, 
  0xdf, 0xdf, 0xbf, 0xbf, 0xcf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xbf, 0xbf, 0xbf, 0xbf, 0xaf, 
  0xaf, 0xbf, 0xdf, 0xdf, 0xbf, 0xbf, 0xdf, 0xcf, 0xef, 0xcf, 0xbf, 0xbf, 0xcf, 0xcf, 0xdf, 0xbf, 
  0xbf, 0xcf, 0xcf, 0xcf, 0xcf, 0xef, 0xcf, 0xbf, 0xcf, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xcf, 
  0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xbf, 0xaf, 0xcf, 0xdf, 0xbf, 0xdf, 0xdf, 0xef, 0xef, 0xbf, 
  0xcf, 0xaf, 0xbf, 0xaf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xbf, 0xaf, 0xcf, 0xdf, 0xbf, 0xaf, 
  0xdf, 0xff, 0xff, 0xff, 0xef, 0xdf, 0xbf, 0xcf, 0xbf, 0xaf, 0xdf, 0xef, 0xef, 0xef, 0xcf, 0xbf, 
  0xaf, 0xcf, 0xdf, 0xcf, 0xdf, 0xdf, 0xbf, 0xbf, 0xcf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xbf, 
  0xbf, 0xbf, 0xbf, 0xaf, 0xaf, 0xbf, 0xdf, 0xdf, 0xbf, 0xbf, 0xdf, 0xcf, 0xef, 0xcf, 0xbf, 0xbf, 
  0xcf, 0xdf, 0xbf, 0xbf, 0xbf, 0xcf, 0xcf, 0xcf, 0xcf, 0xef, 0xcf, 0xbf, 0xcf, 0xdf, 0xef, 0xef, 
  0xdf, 0xdf, 0xcf, 0xcf, 0xbf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xbf, 0xaf, 0xcf, 0xdf, 0xbf, 0xdf, 
  0xdf, 0xef, 0xef, 0xbf, 0xcf, 0xaf, 0xbf, 0xaf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xbf, 0xaf, 
  0xcf, 0xdf, 0xbf, 0xaf, 0xdf, 0xff, 0xff, 0xff, 0xef, 0xdf, 0xbf, 0xcf, 0xbf, 0xaf, 0xcf, 0xef, 
  0xdf, 0xef, 0xdf, 0xbf, 0xaf, 0xbf, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xdf, 0xcf, 0xdf, 0xef, 
  0xef, 0xef, 0xdf, 0xbf, 0xbf, 0xcf, 0xbf, 0xbf, 0xdf, 0xdf, 0xef, 0xcf, 0xbf, 0xcf, 0xcf, 0xef, 
  0xef, 0xdf, 0xaf, 0xdf, 0xdf, 0xbf, 0x9f, 0xbf, 0xcf, 0xbf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 
  0xdf, 0xdf, 0xbf, 0xbf, 0xdf, 0xdf, 0xcf, 0xdf, 0xbf, 0xcf, 0xef, 0xdf, 0xff, 0xef, 0xbf, 0x8f, 
  0xaf, 0xaf, 0xcf, 0xcf, 0xbf, 0xdf, 0xdf, 0xcf, 0xcf, 0xbf, 0xaf, 0xaf, 0xdf, 0xcf, 0xcf, 0xff, 
  0xef, 0xcf, 0xbf, 0x9f, 0xaf, 0xdf, 0xcf, 0xcf, 0xdf, 0xef, 0xdf, 0xef, 0xef, 0xcf, 0xbf, 0xaf, 
  0xbf, 0xcf, 0xcf, 0xef, 0xdf, 0xef, 0xdf, 0xbf, 0xaf, 0xbf, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 
  0xdf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xbf, 0xbf, 0xcf, 0xbf, 0xbf, 0xdf, 0xdf, 0xef, 0xcf, 
  0xbf, 0xcf, 0xcf, 0xef, 0xef, 0xdf, 0xaf, 0xdf, 0xdf, 0xbf, 0x9f, 0xbf, 0xcf, 0xbf, 0xcf, 0xdf, 
  0xdf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xbf, 0xbf, 0xdf, 0xdf, 0xcf, 0xdf, 0xbf, 0xcf, 0xef, 0xdf, 
  0xff, 0xef, 0xbf, 0x8f, 0xaf, 0xaf, 0xcf, 0xcf, 0xbf, 0xdf, 0xdf, 0xcf, 0xcf, 0xbf, 0xaf, 0xaf, 
  0xdf, 0xcf, 0xcf, 0xff, 0xef, 0xcf, 0xbf, 0x9f, 0xaf, 0xdf, 0xcf, 0xcf, 0xdf, 0xef, 0xdf, 0xef, 
  0xef, 0xcf, 0xbf, 0xaf, 0xbf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xdf, 0xdf, 
  0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xcf, 0xbf, 0xdf, 0xcf, 0xcf, 
  0xef, 0xef, 0xdf, 0xcf, 0xbf, 0xcf, 0xcf, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 0xbf, 0xaf, 0xaf, 0xcf, 
  0xcf, 0xcf, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xbf, 0xcf, 0xbf, 0xbf, 0xcf, 0xbf, 0xcf, 0xdf, 
  0xcf, 0xbf, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xaf, 0xaf, 0xbf, 0xdf, 0xef, 0xcf, 0xcf, 0xcf, 0xcf, 
  0xdf, 0xdf, 0xbf, 0xaf, 0xdf, 0xcf, 0x9f, 0xcf, 0xef, 0xdf, 0xcf, 0xaf, 0xaf, 0xcf, 0xdf, 0xcf, 
  0xef, 0xff, 0xdf, 0xcf, 0xff, 0xdf, 0x9f, 0xaf, 0xbf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 
  0xcf, 0xbf, 0xdf, 0xdf, 0xcf, 0xbf, 0xcf, 0xdf, 0xcf, 0xdf, 0xef, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 
  0xcf, 0xef, 0xdf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 0xdf, 0xef, 0xdf, 0xdf, 0xdf, 
  0xbf, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 0xef, 0xff, 0xcf, 0xcf, 0xbf, 0x9f, 0xaf, 0xaf, 0xaf, 0xbf, 
  0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xef, 0xff, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xef, 
  0xdf, 0xcf, 0xcf, 0xef, 0xef, 0xff, 0xcf, 0xbf, 0xcf, 0xbf, 0xaf, 0xbf, 0xef, 0xef, 0xdf, 0xcf, 
  0xcf, 0xbf, 0xcf, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 0xef, 0xdf, 0xaf, 0xaf, 0xaf, 0xbf, 0xcf, 0xcf, 
  0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xbf, 0xdf, 0xdf, 0xcf, 0xbf, 0xcf, 0xdf, 0xcf, 0xdf, 0xef, 0xdf, 
  0xdf, 0xcf, 0xcf, 0xdf, 0xcf, 0xef, 0xdf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 0xdf, 
  0xef, 0xdf, 0xdf, 0xdf, 0xbf, 0xcf, 0xcf, 0xcf, 0xcf, 0xbf, 0xef, 0xff, 0xcf, 0xcf, 0xbf, 0x9f, 
  0xaf, 0xaf, 0xbf, 0xbf, 0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xef, 0xff, 0xdf, 0xdf, 
  0xcf, 0xcf, 0xcf, 0xef, 0xdf, 0xcf, 0xcf, 0xef, 0xef, 0xff, 0xcf, 0xbf, 0xcf, 0xbf, 0xaf, 0xbf, 
  0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xbf, 0xcf, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 0xef, 0xdf, 0xaf, 0xaf, 
  0xaf, 0xbf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xdf, 0xef, 0xcf, 0xbf, 0xcf, 0xcf, 
  0xcf, 0xef, 0xdf, 0xcf, 0xaf, 0xaf, 0xbf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xcf, 0xdf, 
  0xcf, 0xcf, 0xcf, 0xef, 0xef, 0xdf, 0xef, 0xcf, 0xdf, 0xcf, 0xcf, 0xcf, 0xaf, 0xdf, 0xdf, 0xdf, 
  0xdf, 0xcf, 0xaf, 0x9f, 0xaf, 0xaf, 0xcf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xdf, 0xbf, 0xbf, 
  0xef, 0xef, 0xef, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xff, 0xef, 0xdf, 0xbf, 
  0xaf, 0xaf, 0xbf, 0xaf, 0xdf, 0xff, 0xff, 0xff, 0xdf, 0xcf, 0xcf, 0xcf, 0xef, 0xff, 0xdf, 0xcf, 
  0xef, 0xdf, 0xaf, 0xcf, 0xbf, 0xaf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xdf, 0xef, 0xdf, 
  0xcf, 0xbf, 0xbf, 0xcf, 0xdf, 0xef, 0xdf, 0xbf, 0xaf, 0xbf, 0xbf, 0xcf, 0xef, 0xef, 0xef, 0xdf, 
  0xdf, 0xcf, 0xdf, 0xdf, 0xbf, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 0xef, 0xdf, 0xdf, 0xcf, 0xbf, 0xcf, 
  0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xcf, 0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 0xcf, 0xcf, 0xdf, 
  0xcf, 0xcf, 0xcf, 0xcf, 0xdf, 0xef, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xef, 0xcf, 
  0xdf, 0xef, 0xdf, 0xbf, 0xbf, 0xaf, 0xbf, 0xbf, 0xdf, 0xef, 0xff, 0xef, 0xdf, 0xcf, 0xcf, 0xdf, 
  0xdf, 0xff, 0xef, 0xdf, 0xff, 0xcf, 0xaf, 0xaf, 0xaf, 0xaf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 
  0xcf, 0xdf, 0xef, 0xdf, 0xcf, 0xbf, 0xbf, 0xcf, 0xdf, 0xef, 0xdf, 0xbf, 0xaf, 0xbf, 0xbf, 0xcf, 
  0xef, 0xef, 0xef, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xbf, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 0xef, 0xdf, 
  0xdf, 0xcf, 0xbf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xbf, 0xbf, 0xcf, 0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 
  0xbf, 0xcf, 0xdf, 0xdf, 0xcf, 0xcf, 0xcf, 0xcf, 0xdf, 0xef, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xef, 
  0xef, 0xdf, 0xef, 0xcf, 0xdf, 0xef, 0xdf, 0xbf, 0xbf, 0xaf, 0xbf, 0xbf, 0xdf, 0xef, 0xff, 0xef, 
  0xdf, 0xcf, 0xcf, 0xdf, 0xdf, 0xff, 0xef, 0xdf, 0xff, 0xcf, 0xaf, 0xaf, 0xaf, 0xaf, 0xdf, 0xdf, 
  0xdf, 0xef, 0xef, 0xcf, 0xdf, 0xef, 0xdf, 0xdf, 0xcf, 0xaf, 0x9f, 0xaf, 0xdf, 0xef, 0xdf, 0xcf, 
  0xbf, 0xbf, 0xbf, 0xcf, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xbf, 0xcf, 0xdf, 0xcf, 0xdf, 0xdf, 0xdf, 
  0xcf, 0xbf, 0xcf, 0xcf, 0xdf, 0xef, 0xbf, 0xcf, 0xdf, 0xdf, 0xbf, 0xaf, 0x9f, 0xbf, 0xcf, 0xbf, 
  0xcf, 0xef, 0xdf, 0xcf, 0xaf, 0xaf, 0xbf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xef, 0xef, 0xbf, 0xdf, 
  0xef, 0xef, 0xdf, 0xcf, 0xdf, 0xef, 0xcf, 0xdf, 0xef, 0xdf, 0xef, 0xcf, 0xdf, 0x9f, 0x9f, 0x9f, 
  0xbf, 0xdf, 0xff, 0xff, 0xef, 0xcf, 0xcf, 0xcf, 0xef, 0xff, 0xff, 0xef, 0xff, 0xdf, 0xbf, 0xbf, 
  0xaf, 0xbf, 
};
