/*
    FingerJetFX OSE -- Fingerprint Feature Extractor, Open Source Edition

    Copyright (c) 2011 by DigitalPersona, Inc. All rights reserved.

    DigitalPersona, FingerJet, and FingerJetFX are registered trademarks 
    or trademarks of DigitalPersona, Inc. in the United States and other
    countries.

    FingerJetFX OSE is open source software that you may modify and/or
    redistribute under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation, either version 3 of the 
    License, or (at your option) any later version, provided that the 
    conditions specified in the COPYRIGHT.txt file provided with this 
    software are met.
 
    For more information, please visit digitalpersona.com/fingerjetfx.
*/ 
/*
      LIBRARY: libFRFXLLTestVectors.a - Test Vectors and Some Common Functions for the 
                                      Unit Tests for Fingerprint Feature Extractor
      
      ALGORITHM:      Alexander Ivanisov
                      Yi Chen
                      Salil Prabhakar
      IMPLEMENTATION: Alexander Ivanisov
                      Jacob Kaminsky
                      Lixin Wei
      DATE:           11/08/2011
*/

#include "TestAnsiImage.h"
const unsigned char TestAnsiImage250[TEST_ANSI_IMAGE_250_SIZE] = {
  0x46, 0x49, 0x52, 0x00, 0x30, 0x31, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x63, 0x7c, 0x00, 0x33, 
  0xfe, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x00, 0xfa, 0x00, 0xfa, 0x00, 0xfa, 0x00, 0xfa, 
  0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x63, 0x58, 0x01, 0x01, 0x01, 0xfe, 0x00, 0x00, 0x8e, 0x00, 
  0xb3, 0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xf7, 0xfb, 0xef, 0xf7, 
  0xfb, 0xf7, 0xef, 0xef, 0xeb, 0xff, 0xef, 0xeb, 0xbf, 0x9f, 0x97, 0x97, 0x97, 0x7f, 0x97, 0xa7, 
  0x97, 0x9f, 0xdf, 0xa7, 0x97, 0xaf, 0xdf, 0xcf, 0x9f, 0xa7, 0xa7, 0xaf, 0xa7, 0xa7, 0xa7, 0xaf, 
  0xc7, 0xe7, 0xef, 0xe7, 0xff, 0xf7, 0xef, 0xef, 0xef, 0xe7, 0xdf, 0xd7, 0xbf, 0xcf, 0xf7, 0xf7, 
  0xef, 0xf7, 0xff, 0xf7, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf7, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xf3, 
  0xf3, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xfb, 0xff, 0xf7, 0xf7, 0xfb, 0xfb, 0xff, 
  0xff, 0xf3, 0xe7, 0xe7, 0xbf, 0xc7, 0xc3, 0xa7, 0xab, 0xab, 0xa7, 0xab, 0xa3, 0x93, 0xab, 0xb7, 
  0xc7, 0x87, 0x7f, 0x9b, 0xb7, 0xa3, 0xa3, 0x93, 0x83, 0x9b, 0x93, 0x7f, 0x93, 0x8b, 0x7f, 0x93, 
  0xa3, 0x9f, 0xc3, 0xdb, 0xe3, 0x9b, 0xb7, 0xab, 0x93, 0x87, 0x63, 0x73, 0xb7, 0xb3, 0xdb, 0xdb, 
  0xff, 0xfb, 0xff, 0xf7, 0xef, 0xf7, 0xf7, 0xfb, 0xff, 0xfb, 0xff, 0xff, 0xf7, 0xfb, 0xef, 0xfb, 
  0xfb, 0xf7, 0xf7, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xf7, 0xf7, 0xff, 
  0xfb, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xfb, 0xf7, 0xf7, 0xef, 0xfb, 0xf7, 0xf7, 0xef, 0xf7, 0xf3, 
  0xef, 0xe7, 0xd7, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xd7, 0xcf, 0xd3, 0xcf, 0xd7, 0xdf, 0xe7, 0x8f, 
  0x7f, 0xaf, 0xcf, 0x87, 0xa7, 0xbf, 0xaf, 0x8f, 0x8f, 0x77, 0xa7, 0x9f, 0x97, 0xa7, 0x8f, 0x6f, 
  0x6f, 0x8f, 0x8f, 0x77, 0xa7, 0x6f, 0x5b, 0x5f, 0x4f, 0x5f, 0x97, 0x67, 0xbf, 0xc7, 0xef, 0xef, 
  0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf3, 0xf3, 0xef, 0xef, 0xf7, 0xf3, 0xf3, 0xef, 0xfb, 0xfb, 
  0xf7, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xfb, 0xfb, 0xff, 0xff, 0xff, 
  0xfb, 0xff, 0xf7, 0xf7, 0xf7, 0xf7, 0xf3, 0xef, 0xfb, 0xf3, 0xf7, 0xef, 0xf7, 0xf3, 0xf3, 0xf3, 
  0xef, 0xef, 0xef, 0xe7, 0xef, 0xeb, 0xeb, 0xe3, 0xcf, 0xb7, 0xab, 0xc3, 0xdf, 0xd7, 0xbf, 0xdb, 
  0xe3, 0xcb, 0xd7, 0xe7, 0xe7, 0xd7, 0xcb, 0xb7, 0xb3, 0xc3, 0xcf, 0xdf, 0xdb, 0xbf, 0x8b, 0xbb, 
  0xa7, 0xaf, 0xc7, 0xab, 0x67, 0x57, 0x5b, 0x5f, 0x9b, 0x73, 0x7f, 0x8f, 0xab, 0xc3, 0xbf, 0xd3, 
  0xef, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xf3, 0xf3, 0xf3, 0xf7, 0xf3, 0xf7, 0xf3, 0xf3, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xff, 0xfb, 0xfb, 0xfb, 0xfb, 0xf7, 
  0xfb, 0xf7, 0xf3, 0xf3, 0xf3, 0xef, 0xef, 0xef, 0xef, 0xef, 0xe3, 0xd3, 0xd3, 0xdb, 0xdb, 0xbf, 
  0xb3, 0xb3, 0xbb, 0xbb, 0xbf, 0xc7, 0x9f, 0xaf, 0x87, 0xa7, 0xd7, 0xef, 0xef, 0xf7, 0xf3, 0xef, 
  0xef, 0xfb, 0xf7, 0xf3, 0xf3, 0xef, 0xef, 0xe7, 0xf3, 0xf3, 0xf7, 0xf3, 0xd7, 0xdb, 0xe3, 0xe7, 
  0xef, 0xeb, 0xc3, 0x97, 0x8b, 0x87, 0x9f, 0x9f, 0x57, 0x63, 0x6b, 0x87, 0x77, 0x8f, 0xdf, 0xef, 
  0xf3, 0xf3, 0xf3, 0xf3, 0xfb, 0xf7, 0xf3, 0xf3, 0xf7, 0xf3, 0xef, 0xef, 0xf7, 0xef, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xfb, 0xfb, 0xf7, 0xf7, 0xfb, 
  0xf7, 0xf7, 0xf3, 0xef, 0xef, 0xe7, 0xc7, 0xbf, 0x9f, 0x87, 0x8f, 0x7f, 0x97, 0x7f, 0x87, 0x7f, 
  0x9f, 0xaf, 0x97, 0xaf, 0xaf, 0xbf, 0xbf, 0xdb, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 
  0xf7, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xff, 0xf7, 0xef, 0xc7, 0xc7, 0xdf, 0xf7, 0xef, 
  0xef, 0xe3, 0xdf, 0xcf, 0xb7, 0xbf, 0x77, 0x77, 0x93, 0x77, 0x77, 0x87, 0xbf, 0xef, 0xef, 0xef, 
  0xef, 0xef, 0xef, 0xf7, 0xf7, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xfb, 0xfb, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xf3, 0xf7, 0xf7, 0xf7, 0xf3, 0xf3, 0xf7, 0xfb, 
  0xef, 0xe3, 0xc7, 0xcf, 0x8f, 0x83, 0x6f, 0x8f, 0xa3, 0x7f, 0x8f, 0x9b, 0xbb, 0xc3, 0xc3, 0xe3, 
  0xcf, 0xd3, 0xe7, 0xdf, 0xe7, 0xe7, 0xe3, 0xc7, 0xc7, 0xdb, 0xd7, 0xbb, 0xb3, 0xbb, 0xd7, 0xdf, 
  0xdb, 0xd3, 0xb7, 0xc7, 0xdb, 0xd3, 0xcf, 0xef, 0xf3, 0xe7, 0xdf, 0xe3, 0xf7, 0xfb, 0xfb, 0xef, 
  0xef, 0xef, 0xeb, 0xdf, 0xc7, 0xb7, 0xd3, 0x9b, 0x83, 0x9f, 0xab, 0xd7, 0xc7, 0xe3, 0xef, 0xf7, 
  0xf7, 0xef, 0xef, 0xef, 0xfb, 0xf3, 0xef, 0xef, 0xff, 0xf3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xfb, 0xfb, 0xff, 0xff, 0xf7, 0xfb, 0xfb, 0xfb, 0xfb, 0xfb, 0xf7, 0xf7, 0xf3, 0xe3, 0xd3, 0xaf, 
  0x9f, 0x9f, 0xa3, 0xcb, 0xa7, 0xa7, 0xd7, 0xdf, 0xdb, 0xdf, 0xe7, 0xe7, 0xe3, 0xef, 0xeb, 0xe7, 
  0xdf, 0xcf, 0xd7, 0xc7, 0xbf, 0xab, 0xaf, 0xbf, 0xc7, 0xaf, 0x97, 0x87, 0x87, 0xa3, 0x8b, 0x83, 
  0x87, 0x8f, 0xa3, 0x8f, 0x87, 0xab, 0xbf, 0xc7, 0xdf, 0xdb, 0xc3, 0xeb, 0xf7, 0xf3, 0xfb, 0xf7, 
  0xfb, 0xf3, 0xef, 0xef, 0xd7, 0xbb, 0xbf, 0xcb, 0xc7, 0x7f, 0x6b, 0x8b, 0xdb, 0xef, 0xf3, 0xf3, 
  0xef, 0xfb, 0xf3, 0xef, 0xf7, 0xef, 0xf7, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xf7, 
  0xff, 0xff, 0xff, 0xef, 0xf7, 0xfb, 0xff, 0xef, 0xf7, 0xef, 0xe7, 0xbf, 0xaf, 0x97, 0x97, 0x8f, 
  0xaf, 0xef, 0xe7, 0xdf, 0xef, 0xef, 0xef, 0xe7, 0xef, 0xe7, 0xdf, 0xdf, 0xc7, 0xbf, 0xa7, 0xa7, 
  0xb7, 0xb7, 0xbf, 0xa7, 0xbb, 0xcf, 0xc3, 0xbf, 0x9b, 0x87, 0x93, 0xaf, 0x8f, 0x7f, 0x8b, 0x9f, 
  0xa3, 0x9b, 0x9f, 0x9f, 0xab, 0xaf, 0xcb, 0xc3, 0x8f, 0xc7, 0xdb, 0xdf, 0xf3, 0xf3, 0xf3, 0xf7, 
  0xff, 0xf7, 0xdf, 0x87, 0xaf, 0xdf, 0xe7, 0x7f, 0x5f, 0x6f, 0x9f, 0xc7, 0xef, 0xef, 0xf7, 0xef, 
  0xef, 0xf7, 0xf7, 0xf7, 0xf7, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xfb, 0xfb, 0xff, 0xf7, 0xfb, 0xfb, 0xff, 0xf7, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xff, 0xfb, 
  0xfb, 0xf3, 0xf7, 0xfb, 0xef, 0xff, 0xf7, 0xef, 0xdf, 0xd3, 0xc7, 0xb3, 0xc7, 0xcf, 0xe3, 0xef, 
  0xdf, 0xc7, 0xd3, 0xe3, 0xd7, 0xaf, 0xaf, 0xbf, 0xa3, 0xcb, 0xb3, 0xa3, 0xaf, 0xb3, 0xbb, 0xd3, 
  0xc3, 0x93, 0xc3, 0xeb, 0xef, 0xe7, 0xc7, 0x97, 0xd7, 0xe7, 0xb7, 0x8f, 0xa3, 0xbf, 0x8b, 0x7f, 
  0xa3, 0xc7, 0xab, 0xab, 0xc3, 0xcf, 0x9b, 0x83, 0x8b, 0x9f, 0xdf, 0xbf, 0xe3, 0xe3, 0xef, 0xf3, 
  0xeb, 0xcb, 0x8f, 0xb7, 0xdf, 0xb3, 0x63, 0x6f, 0xaf, 0x8f, 0xdb, 0xef, 0xef, 0xfb, 0xf3, 0xf3, 
  0xf3, 0xf3, 0xfb, 0xff, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xf3, 0xf7, 0xfb, 0xf7, 0xfb, 0xff, 0xf7, 0xfb, 0xf7, 0xff, 
  0xf3, 0xef, 0xef, 0xef, 0xf3, 0xf3, 0xef, 0xef, 0xe7, 0xd3, 0xc7, 0xd7, 0xdf, 0xe7, 0xbf, 0x87, 
  0x8b, 0xa3, 0xc7, 0x87, 0x97, 0xa3, 0xab, 0xd3, 0xe3, 0xdf, 0xe3, 0xeb, 0xeb, 0xef, 0xef, 0xe7, 
  0xeb, 0xdf, 0xeb, 0xf3, 0xf7, 0xdf, 0xe3, 0xef, 0xf3, 0xe7, 0xef, 0xf3, 0xe3, 0xd7, 0xe3, 0xf3, 
  0xd3, 0xdb, 0xf7, 0xeb, 0xeb, 0xbf, 0xa3, 0xaf, 0x9f, 0xc3, 0xd7, 0xbb, 0xb7, 0xb7, 0xd7, 0xeb, 
  0xdb, 0xcf, 0xc7, 0xe7, 0xb3, 0x7f, 0x93, 0x87, 0x8b, 0xcf, 0xeb, 0xef, 0xf3, 0xf3, 0xf7, 0xff, 
  0xff, 0xf3, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xfb, 0xfb, 
  0xf7, 0xef, 0xef, 0xf7, 0xff, 0xf7, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xf7, 0xf7, 0xf7, 0xf7, 0xf7, 
  0xef, 0xef, 0xef, 0xeb, 0xe7, 0xef, 0xe3, 0xc3, 0xa7, 0xbf, 0xbb, 0xcb, 0xc7, 0x9f, 0x8f, 0x9f, 
  0xdb, 0xb7, 0xbf, 0xcb, 0xcb, 0xe3, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xeb, 0xef, 0xe7, 
  0xeb, 0xf3, 0xf3, 0xf3, 0xeb, 0xeb, 0xf7, 0xf3, 0xf3, 0xf3, 0xf7, 0xf3, 0xf3, 0xf7, 0xf3, 0xf3, 
  0xfb, 0xf3, 0xf3, 0xe3, 0xcf, 0xc7, 0xa3, 0xb3, 0xd3, 0xc7, 0xb3, 0x97, 0xaf, 0xd7, 0xef, 0xe7, 
  0xc3, 0xeb, 0xdb, 0x83, 0x8b, 0x73, 0x73, 0xb7, 0xe3, 0xef, 0xef, 0xef, 0xf3, 0xf7, 0xfb, 0xfb, 
  0xf7, 0xff, 0xff, 0xfb, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xff, 0xfb, 0xfb, 
  0xfb, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xf7, 0xf7, 0xef, 0xf3, 0xef, 0xfb, 0xf3, 0xf7, 0xeb, 0xe3, 
  0xcb, 0xb7, 0xab, 0xc7, 0xa3, 0x93, 0x9f, 0x9b, 0xb3, 0xc3, 0xdb, 0xe7, 0xdf, 0xe3, 0xef, 0xef, 
  0xdf, 0xdf, 0xef, 0xeb, 0xeb, 0xe7, 0xe7, 0xe7, 0xdb, 0xcf, 0xcf, 0xb7, 0xbb, 0xbf, 0xab, 0xb3, 
  0xbb, 0xdb, 0xeb, 0xab, 0xd7, 0xef, 0xe7, 0xe3, 0xef, 0xfb, 0xe3, 0xeb, 0xfb, 0xff, 0xff, 0xff, 
  0xff, 0xfb, 0xf3, 0xf7, 0xef, 0xdf, 0xe3, 0xeb, 0xbb, 0xa7, 0xab, 0xb3, 0xcb, 0xef, 0xdf, 0xeb, 
  0xef, 0xb7, 0xd3, 0xab, 0x97, 0x93, 0xb3, 0xc3, 0xeb, 0xf3, 0xef, 0xef, 0xfb, 0xef, 0xfb, 0xff, 
  0xf3, 0xfb, 0xf3, 0xf3, 0xf7, 0xff, 0xfb, 0xfb, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xff, 0xff, 
  0xff, 0xfb, 0xfb, 0xf7, 0xf3, 0xef, 0xf3, 0xf7, 0xf3, 0xef, 0xe7, 0xe3, 0xbf, 0xa3, 0x9b, 0x9b, 
  0xbb, 0xa7, 0x9f, 0xaf, 0xd7, 0xd7, 0xe7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xe7, 0xc7, 0xbf, 
  0xdf, 0xd7, 0xbf, 0xa7, 0xb7, 0xc7, 0xa7, 0xaf, 0xaf, 0x97, 0x8f, 0xb7, 0x97, 0x7f, 0xcf, 0xcf, 
  0xc7, 0xaf, 0x9f, 0x9f, 0x9f, 0xbf, 0xd7, 0xef, 0xb7, 0x9f, 0xdf, 0xf7, 0xf7, 0xff, 0xff, 0xff, 
  0xf7, 0xff, 0xff, 0xf7, 0xff, 0xff, 0xe7, 0x9f, 0x9f, 0xb7, 0xaf, 0xdf, 0xef, 0xdf, 0xe7, 0xef, 
  0xe7, 0xb7, 0xd7, 0xab, 0x8f, 0x87, 0xc7, 0xef, 0xef, 0xf7, 0xef, 0xf3, 0xf7, 0xef, 0xfb, 0xef, 
  0xf3, 0xef, 0xef, 0xef, 0xef, 0xf3, 0xf3, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xf7, 0xff, 0xfb, 0xfb, 0xff, 0xf7, 0xf7, 
  0xf7, 0xef, 0xf7, 0xef, 0xf3, 0xf3, 0xf3, 0xeb, 0xd3, 0xcf, 0xb3, 0xa3, 0xa7, 0xab, 0xd3, 0xc7, 
  0xc3, 0xdf, 0xe7, 0xef, 0xef, 0xeb, 0xdf, 0xdb, 0xe3, 0xe3, 0xc7, 0xab, 0xaf, 0xab, 0xc7, 0x9b, 
  0x8f, 0x9b, 0xa7, 0xcb, 0xc3, 0xb7, 0xab, 0xa7, 0x93, 0xbf, 0xc3, 0x8b, 0xe7, 0xd7, 0xb7, 0xc7, 
  0xb3, 0xaf, 0x9f, 0xa3, 0xc3, 0xdb, 0xbf, 0x93, 0x9f, 0xc7, 0xd7, 0xdb, 0xf3, 0xf3, 0xf3, 0xf3, 
  0xfb, 0xff, 0xff, 0xff, 0xf7, 0xdb, 0xbf, 0xb3, 0xb3, 0xcb, 0xef, 0xcb, 0xa7, 0xd7, 0xeb, 0xab, 
  0xd3, 0xe3, 0x8b, 0x87, 0x9b, 0xcf, 0xe7, 0xef, 0xef, 0xf3, 0xf7, 0xef, 0xf7, 0xef, 0xf7, 0xf3, 
  0xf3, 0xf3, 0xef, 0xf7, 0xf7, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xf7, 0xf3, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xfb, 0xf7, 0xef, 
  0xf7, 0xf3, 0xf3, 0xf3, 0xef, 0xdb, 0xcb, 0xcf, 0xcb, 0xcf, 0xcb, 0xdf, 0xf3, 0xe7, 0xef, 0xdb, 
  0xc3, 0xd3, 0xcf, 0xdb, 0x9b, 0x8f, 0xab, 0xab, 0x87, 0x87, 0xa3, 0xdb, 0xcb, 0xbb, 0xbf, 0xd3, 
  0xcf, 0xe7, 0xeb, 0xeb, 0xd3, 0xdf, 0xe7, 0xeb, 0xeb, 0xcf, 0xef, 0xf7, 0xeb, 0xeb, 0xe7, 0xdf, 
  0xe3, 0xdf, 0xdf, 0xdb, 0xd3, 0xe3, 0xb7, 0xaf, 0xa7, 0x8f, 0xa7, 0xd7, 0xe3, 0xdf, 0xd7, 0xf7, 
  0xff, 0xff, 0xff, 0xfb, 0xf7, 0xe7, 0xc3, 0xbb, 0xcf, 0xe3, 0xb7, 0xa3, 0xeb, 0xd3, 0xab, 0xdb, 
  0xcb, 0x8f, 0x9f, 0xa7, 0xb3, 0xdf, 0xef, 0xef, 0xf3, 0xf7, 0xf3, 0xef, 0xf3, 0xef, 0xfb, 0xef, 
  0xf7, 0xf3, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xfb, 0xf7, 0xf7, 0xf3, 0xf3, 0xf7, 0xf7, 0xff, 0xf7, 0xfb, 0xf7, 0xf7, 0xf7, 0xf3, 
  0xef, 0xef, 0xe7, 0xd7, 0xdf, 0xdf, 0xef, 0xe7, 0xe7, 0xef, 0xe3, 0xe7, 0xe3, 0xbb, 0xa3, 0xbf, 
  0xc7, 0xcb, 0x97, 0x9b, 0xaf, 0xb7, 0x93, 0x7f, 0xa7, 0xe3, 0xe7, 0xe3, 0xe3, 0xe7, 0xe7, 0xef, 
  0xef, 0xef, 0xef, 0xeb, 0xef, 0xeb, 0xef, 0xef, 0xf3, 0xfb, 0xf3, 0xef, 0xf3, 0xef, 0xf3, 0xf3, 
  0xf3, 0xeb, 0xe7, 0xef, 0xe3, 0xcb, 0xbb, 0x9f, 0x9b, 0xd3, 0xc3, 0xb3, 0xaf, 0xef, 0xf7, 0xf7, 
  0xff, 0xfb, 0xff, 0xf3, 0xe3, 0xc3, 0xbb, 0xe3, 0xd3, 0xb7, 0xef, 0xef, 0xc3, 0xcb, 0xd7, 0xa3, 
  0xa7, 0xaf, 0xa7, 0xc3, 0xef, 0xef, 0xf7, 0xef, 0xeb, 0xef, 0xef, 0xef, 0xf3, 0xf7, 0xef, 0xf7, 
  0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xf7, 0xf7, 0xf7, 0xf3, 0xf3, 0xfb, 0xf3, 0xfb, 0xf3, 0xf7, 0xf3, 0xef, 0xf3, 0xef, 0xef, 0xef, 
  0xeb, 0xe3, 0xeb, 0xe7, 0xeb, 0xdb, 0xcb, 0xcf, 0xb3, 0xa7, 0xaf, 0xa3, 0x9b, 0xab, 0xc7, 0xe7, 
  0xdf, 0xe7, 0xeb, 0xf3, 0xdb, 0xbb, 0xe3, 0xef, 0xef, 0xeb, 0xe7, 0xe7, 0xe3, 0xe7, 0xdf, 0xdf, 
  0xd3, 0xdb, 0xd3, 0xbf, 0xd7, 0xd7, 0xe3, 0xe3, 0xef, 0xef, 0xef, 0xf7, 0xfb, 0xfb, 0xff, 0xfb, 
  0xfb, 0xff, 0xf7, 0xf3, 0xf7, 0xeb, 0xdf, 0xe3, 0xaf, 0x97, 0xaf, 0xc7, 0xc3, 0xc7, 0xef, 0xf7, 
  0xf7, 0xf7, 0xfb, 0xef, 0xd3, 0xc7, 0xdb, 0xe3, 0xcf, 0xcf, 0xe7, 0xe7, 0xc7, 0xdf, 0xd7, 0xbb, 
  0x97, 0xa7, 0xc3, 0xf3, 0xf3, 0xeb, 0xcb, 0xef, 0xf3, 0xf7, 0xfb, 0xf7, 0xfb, 0xf3, 0xf7, 0xfb, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf7, 
  0xf3, 0xf7, 0xef, 0xf3, 0xf3, 0xf3, 0xef, 0xef, 0xef, 0xf3, 0xef, 0xef, 0xef, 0xef, 0xef, 0xcb, 
  0xb3, 0xd7, 0xd7, 0xab, 0x9f, 0xaf, 0xaf, 0x9f, 0xb7, 0xcf, 0xa7, 0xaf, 0xc7, 0xef, 0xef, 0xf7, 
  0xef, 0xf7, 0xef, 0xe7, 0xe7, 0xef, 0xdf, 0xcf, 0xaf, 0xaf, 0xb7, 0xaf, 0xa7, 0xbf, 0xc7, 0xcf, 
  0x9f, 0x97, 0x9f, 0xaf, 0xc7, 0xaf, 0xcf, 0xc7, 0xb7, 0xdf, 0xdf, 0xe7, 0xef, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xf7, 0xf7, 0xf7, 0xdf, 0xb7, 0xb7, 0xa7, 0xd7, 0xbf, 0xbf, 0xe7, 0xcf, 0xe7, 
  0xf7, 0xf7, 0xe7, 0xc7, 0xbf, 0xdf, 0xbf, 0xaf, 0xb7, 0xe7, 0xef, 0xef, 0xbf, 0xaf, 0x8f, 0xa7, 
  0x97, 0xe7, 0xff, 0xe7, 0x8f, 0xc3, 0xf7, 0xff, 0xf7, 0xf7, 0xfb, 0xfb, 0xfb, 0xfb, 0xfb, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf3, 0xef, 0xef, 0xef, 
  0xf3, 0xf3, 0xef, 0xf3, 0xf3, 0xef, 0xef, 0xf3, 0xf3, 0xef, 0xef, 0xef, 0xdb, 0xab, 0x9b, 0xbb, 
  0xaf, 0xc7, 0xb3, 0xb7, 0xcb, 0xd7, 0xe7, 0xef, 0xe3, 0xe7, 0xdf, 0xe7, 0xe7, 0xef, 0xdf, 0xe7, 
  0xdb, 0xab, 0xbb, 0xbb, 0xa7, 0xa7, 0x97, 0x9b, 0x9f, 0xb3, 0xaf, 0xab, 0xc7, 0xcb, 0xaf, 0xbf, 
  0x9b, 0x8f, 0xab, 0xb3, 0xb3, 0xab, 0x9b, 0xa7, 0xab, 0xa7, 0xcf, 0xeb, 0xf7, 0xf7, 0xf3, 0xef, 
  0xf3, 0xff, 0xfb, 0xfb, 0xf3, 0xeb, 0xe3, 0xc3, 0xc3, 0xd7, 0xa7, 0xcf, 0xa7, 0xaf, 0xd7, 0xef, 
  0xf3, 0xef, 0xdb, 0xcf, 0xc7, 0xbf, 0xb7, 0xd3, 0xdf, 0xdf, 0x9b, 0xb3, 0xb3, 0xbf, 0xab, 0xb7, 
  0xeb, 0xef, 0xaf, 0x97, 0xdf, 0xfb, 0xf7, 0xf7, 0xf7, 0xf7, 0xfb, 0xfb, 0xfb, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf3, 0xf3, 0xf3, 0xfb, 0xef, 0xf7, 
  0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0xef, 0xf3, 0xf3, 0xe3, 0xd3, 0xa7, 0xa3, 0xbb, 0xcf, 0xd3, 0xdb, 
  0xe7, 0xeb, 0xef, 0xef, 0xeb, 0xef, 0xef, 0xdb, 0x97, 0xab, 0xb3, 0xd7, 0xb7, 0xc3, 0xdb, 0x9f, 
  0xaf, 0xaf, 0xaf, 0xcb, 0xd7, 0xd7, 0xcf, 0xe7, 0xe7, 0xcf, 0xe7, 0xdf, 0xbf, 0xe7, 0xd7, 0xb3, 
  0x9f, 0xb7, 0xd7, 0xc7, 0xbf, 0xc7, 0xb7, 0xbf, 0xc7, 0xbf, 0xc7, 0xcf, 0xcf, 0xb7, 0xe7, 0xef, 
  0xef, 0xef, 0xf7, 0xf7, 0xef, 0xef, 0xdf, 0xdf, 0xc7, 0xc7, 0xc7, 0x9b, 0xaf, 0xc7, 0xeb, 0xf3, 
  0xf7, 0xdf, 0xd3, 0xcb, 0xc7, 0xdb, 0x97, 0xbf, 0xab, 0xd7, 0xe7, 0xcf, 0xd3, 0xb3, 0xc3, 0xef, 
  0xeb, 0xb3, 0xaf, 0xeb, 0xf7, 0xfb, 0xfb, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xef, 0xf7, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xef, 
  0xf7, 0xf3, 0xf3, 0xf3, 0xef, 0xe3, 0xcb, 0xb7, 0xa3, 0xa3, 0xc3, 0xe7, 0xe7, 0xeb, 0xeb, 0xef, 
  0xe7, 0xe3, 0xdb, 0xdb, 0xdb, 0xb7, 0x8b, 0x93, 0xaf, 0xc7, 0xaf, 0xd3, 0xeb, 0xcb, 0xcf, 0xd3, 
  0xd7, 0xe3, 0xeb, 0xef, 0xef, 0xf3, 0xf7, 0xef, 0xf3, 0xfb, 0xef, 0xfb, 0xf7, 0xe3, 0xe7, 0xef, 
  0xf3, 0xf7, 0xe7, 0xf3, 0xef, 0xef, 0xd7, 0xbf, 0xbb, 0xaf, 0xbf, 0xc3, 0xaf, 0xcb, 0xd3, 0xbf, 
  0xe3, 0xe7, 0xef, 0xfb, 0xf7, 0xf3, 0xe7, 0xbf, 0xcb, 0xc3, 0xbf, 0xaf, 0xdb, 0xeb, 0xf3, 0xef, 
  0xdb, 0xcb, 0xbf, 0xdf, 0x9f, 0x9f, 0xb7, 0xe3, 0xef, 0xdf, 0xcf, 0xcf, 0x8f, 0xdf, 0xef, 0xd7, 
  0xa7, 0xd3, 0xf7, 0xf7, 0xfb, 0xff, 0xf3, 0xf7, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xfb, 0xf3, 0xf3, 0xef, 0xf3, 0xf7, 0xef, 0xfb, 0xf3, 
  0xf3, 0xef, 0xdf, 0xaf, 0x9b, 0xaf, 0xcb, 0xcb, 0xd7, 0xe7, 0xeb, 0xd7, 0xc3, 0xc7, 0xcf, 0xbf, 
  0xb3, 0xa7, 0xbb, 0xb7, 0xb3, 0xab, 0xcb, 0xe3, 0xeb, 0xef, 0xf3, 0xef, 0xef, 0xf3, 0xe7, 0xc3, 
  0xbf, 0xdf, 0xe3, 0xe3, 0xeb, 0xcf, 0xdf, 0xeb, 0xfb, 0xdf, 0xe7, 0xef, 0xdf, 0xe7, 0xf7, 0xf7, 
  0xeb, 0xfb, 0xff, 0xfb, 0xff, 0xef, 0xef, 0xeb, 0xe7, 0xf3, 0xe7, 0xbf, 0xbb, 0x97, 0xcb, 0xbf, 
  0xc7, 0xd7, 0xf7, 0xf7, 0xf7, 0xef, 0xf3, 0xdf, 0xcf, 0xc7, 0xa3, 0xc3, 0xef, 0xf7, 0xeb, 0xc7, 
  0xb7, 0xdf, 0xdf, 0x9f, 0xb3, 0xe7, 0xf3, 0xef, 0xcb, 0xd3, 0xc7, 0xc7, 0xef, 0xf3, 0xbf, 0xcb, 
  0xef, 0xfb, 0xfb, 0xf7, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xfb, 0xef, 0xef, 0xef, 0xef, 0xef, 0xff, 0xef, 0xf3, 0xff, 0xf7, 0xef, 0xef, 
  0xc7, 0xaf, 0xc7, 0xcf, 0xe7, 0xe7, 0xdf, 0xcf, 0xcf, 0xaf, 0xaf, 0xaf, 0xbf, 0xc7, 0xc7, 0xb3, 
  0xc3, 0xdb, 0xd3, 0xcf, 0xe7, 0xf7, 0xf3, 0xe3, 0xe7, 0xef, 0xef, 0xe3, 0xdf, 0xa3, 0x9f, 0xd7, 
  0xc3, 0xbf, 0xdf, 0xb3, 0xbf, 0xcb, 0xeb, 0xbf, 0xbf, 0xd7, 0xb3, 0xc3, 0xeb, 0xf3, 0xdf, 0xe7, 
  0xf7, 0xff, 0xff, 0xf7, 0xf7, 0xf7, 0xf7, 0xff, 0xf7, 0xdf, 0xc3, 0x97, 0xbf, 0xc3, 0xb7, 0xaf, 
  0xdf, 0xf7, 0xfb, 0xfb, 0xf7, 0xef, 0xe3, 0xd7, 0xa3, 0xb3, 0xe3, 0xef, 0xeb, 0xcb, 0xbf, 0xdb, 
  0xe7, 0xb7, 0xc3, 0xdf, 0xef, 0xf3, 0xd7, 0xcb, 0xdb, 0xcb, 0xe7, 0xef, 0xe7, 0xe7, 0xdf, 0xe7, 
  0xff, 0xf7, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xfb, 0xf3, 0xf7, 0xf7, 0xfb, 0xf3, 0xef, 0xf3, 0xf3, 0xf3, 0xfb, 0xf3, 0xeb, 0xcf, 0xd3, 
  0xdb, 0xdf, 0xe3, 0xcb, 0xbb, 0x9b, 0xb7, 0xa3, 0xaf, 0xc3, 0xcb, 0xe3, 0xef, 0xeb, 0xe7, 0xef, 
  0xef, 0xeb, 0xe3, 0xe7, 0xdf, 0xab, 0xab, 0xc7, 0xcb, 0xa3, 0xc3, 0xa7, 0x9f, 0xcb, 0xb3, 0xa7, 
  0xcb, 0xb7, 0xa7, 0xa7, 0xb7, 0xaf, 0xab, 0xaf, 0x93, 0x97, 0xcf, 0xe7, 0xe3, 0xbf, 0xc7, 0xe7, 
  0xf7, 0xc7, 0xc7, 0xeb, 0xf3, 0xfb, 0xff, 0xff, 0xf7, 0xd3, 0xbb, 0xa7, 0xb3, 0xab, 0xb7, 0xd3, 
  0xe3, 0xfb, 0xff, 0xf3, 0xcb, 0xe3, 0xb7, 0x93, 0xbb, 0xe3, 0xcf, 0xef, 0xe7, 0xeb, 0xef, 0xbf, 
  0xc7, 0xc3, 0xcb, 0xeb, 0xef, 0xcb, 0xcf, 0xd7, 0xd7, 0xef, 0xf7, 0xef, 0xdf, 0xdb, 0xeb, 0xf7, 
  0xef, 0xf3, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 
  0xef, 0xf3, 0xf3, 0xfb, 0xfb, 0xef, 0xef, 0xef, 0xf7, 0xf7, 0xef, 0xef, 0xef, 0xe7, 0xcf, 0xbf, 
  0xb7, 0x9f, 0xa7, 0xb7, 0xc7, 0xc3, 0xe7, 0xef, 0xe7, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xc7, 
  0xa3, 0xc7, 0xbf, 0x97, 0xc7, 0xcf, 0xaf, 0xc7, 0xc7, 0xb7, 0xd7, 0xdb, 0xc3, 0xb7, 0xd3, 0xcf, 
  0xbf, 0xab, 0x9f, 0xc3, 0xbf, 0xc3, 0xa3, 0x9b, 0xc3, 0xd7, 0xe3, 0xd7, 0xc3, 0xcf, 0xf3, 0xaf, 
  0xa3, 0xdb, 0xe3, 0xf7, 0xfb, 0xf7, 0xfb, 0xeb, 0xdb, 0xb3, 0xb7, 0xbf, 0xc3, 0xc3, 0xbf, 0xef, 
  0xf7, 0xeb, 0xbf, 0xe3, 0xdf, 0x8f, 0x97, 0xdf, 0xa7, 0xe7, 0xef, 0xf7, 0xef, 0xcf, 0xbf, 0xcf, 
  0xaf, 0xb7, 0xef, 0xef, 0xc7, 0xbf, 0xbf, 0xe7, 0xf7, 0xe7, 0xc7, 0xe7, 0xdf, 0xf3, 0xf7, 0xff, 
  0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xef, 0xf3, 
  0xf7, 0xfb, 0xfb, 0xf3, 0xef, 0xef, 0xf7, 0xf7, 0xf3, 0xdf, 0xdb, 0xcf, 0xbf, 0xbb, 0xbf, 0xb3, 
  0xb3, 0xd7, 0xeb, 0xeb, 0xef, 0xe7, 0xe3, 0xd7, 0xdb, 0xdb, 0xc7, 0xb3, 0xab, 0x9f, 0xb7, 0xcf, 
  0xc7, 0xcb, 0xe7, 0xeb, 0xe3, 0xef, 0xef, 0xeb, 0xef, 0xf7, 0xf7, 0xeb, 0xf3, 0xf7, 0xf7, 0xef, 
  0xdb, 0xe3, 0xef, 0xf7, 0xf3, 0xe7, 0xdf, 0xd7, 0xc3, 0xe3, 0xc3, 0xd7, 0xdf, 0xcb, 0xbf, 0xcb, 
  0xd3, 0xc3, 0xcb, 0xef, 0xff, 0xe7, 0xdb, 0xef, 0xef, 0xd3, 0xdf, 0xd3, 0xb7, 0xbb, 0xd7, 0xef, 
  0xbf, 0xcb, 0xef, 0xcf, 0xa3, 0xcb, 0xbf, 0xd3, 0xc7, 0xeb, 0xe7, 0xdb, 0xdb, 0xcf, 0xc7, 0xa7, 
  0xd3, 0xeb, 0xe3, 0xc3, 0xcf, 0xdb, 0xe7, 0xef, 0xd7, 0xe7, 0xdf, 0xe7, 0xf3, 0xef, 0xef, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf3, 0xf7, 0xff, 0xf7, 0xf7, 
  0xff, 0xfb, 0xf7, 0xef, 0xf7, 0xf3, 0xd3, 0xc3, 0xbb, 0xcf, 0xcf, 0xb7, 0xcb, 0xdf, 0xe7, 0xef, 
  0xef, 0xe7, 0xd7, 0xc7, 0xdf, 0xbb, 0xaf, 0xb7, 0xb7, 0xc7, 0xaf, 0xd7, 0xef, 0xef, 0xef, 0xef, 
  0xf7, 0xef, 0xef, 0xef, 0xf7, 0xfb, 0xdf, 0xef, 0xf7, 0xf7, 0xef, 0xff, 0xf7, 0xff, 0xf7, 0xef, 
  0xf3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xd7, 0xc7, 0xcf, 0xef, 0xbf, 0xbf, 0xef, 0xcf, 0xaf, 
  0xa7, 0xcf, 0xe7, 0xe7, 0xa7, 0xdf, 0xef, 0xb7, 0xdf, 0xef, 0xd3, 0xc7, 0xaf, 0xd7, 0xe7, 0xb7, 
  0xf7, 0xf7, 0xdf, 0xaf, 0xd7, 0xbf, 0xaf, 0xe7, 0xd7, 0xa7, 0xdb, 0xcf, 0xe7, 0xc7, 0xc7, 0xcf, 
  0xd7, 0xdf, 0xdf, 0xe7, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xef, 0xf3, 0xf7, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xfb, 0xfb, 0xfb, 0xf7, 0xff, 0xf3, 
  0xf3, 0xf3, 0xef, 0xf7, 0xdb, 0xcb, 0xc7, 0xd7, 0xdb, 0xcf, 0xdf, 0xef, 0xef, 0xdf, 0xc3, 0xd7, 
  0xb3, 0xaf, 0xbb, 0xbb, 0xb3, 0xab, 0xc3, 0xe3, 0xe7, 0xeb, 0xfb, 0xf3, 0xe3, 0xe3, 0xeb, 0xcb, 
  0xd7, 0xb3, 0xdb, 0xdb, 0x93, 0xaf, 0xd3, 0xc7, 0xcb, 0xd7, 0xdb, 0xe7, 0xdb, 0xdf, 0xcb, 0xef, 
  0xff, 0xf3, 0xe7, 0xf3, 0xff, 0xf7, 0xef, 0xeb, 0xf3, 0xeb, 0xe3, 0xf3, 0xd7, 0xd7, 0xbf, 0xb7, 
  0xc7, 0xbb, 0xc7, 0xe7, 0xff, 0xdb, 0xcf, 0xeb, 0xef, 0xcf, 0xd3, 0xcb, 0xd3, 0xbf, 0xeb, 0xf3, 
  0xf3, 0xcb, 0xeb, 0xbf, 0xb3, 0xdf, 0xeb, 0xc7, 0xdf, 0xc7, 0xdb, 0xd3, 0xa3, 0xc7, 0xdb, 0xdb, 
  0xd3, 0xdf, 0xd7, 0xeb, 0xe3, 0xeb, 0xef, 0xe7, 0xe7, 0xf7, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf3, 0xf7, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xef, 0xef, 
  0xeb, 0xef, 0xf3, 0xdf, 0xc7, 0xeb, 0xef, 0xeb, 0xdf, 0xcf, 0xc7, 0xb3, 0x8f, 0xbb, 0xbb, 0xbb, 
  0xcb, 0xdf, 0xdf, 0xdf, 0xe7, 0xef, 0xe7, 0xe7, 0xef, 0xe7, 0xa7, 0xbf, 0xcf, 0xa7, 0xaf, 0x9f, 
  0xaf, 0xb7, 0x97, 0x97, 0xa7, 0xa7, 0xa7, 0xb7, 0xa7, 0xbf, 0xcf, 0xbf, 0xa7, 0xd7, 0xe7, 0xdf, 
  0xaf, 0xc7, 0xe7, 0xdf, 0xef, 0xdf, 0xe7, 0xf7, 0xff, 0xff, 0xff, 0xf7, 0xcf, 0xcf, 0xcf, 0xb7, 
  0xcf, 0xcf, 0xef, 0xef, 0xe7, 0xcf, 0xd7, 0xe7, 0xef, 0xcf, 0xbf, 0xaf, 0xcf, 0xef, 0xff, 0xf7, 
  0xef, 0xd7, 0xa3, 0xcf, 0xdf, 0xef, 0xef, 0xe7, 0xc7, 0xdf, 0xbf, 0xbf, 0xef, 0xa7, 0xdf, 0xcf, 
  0xd7, 0xe7, 0xe3, 0xbb, 0xef, 0xef, 0xeb, 0xf3, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xfb, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xef, 0xe7, 0xd7, 0xeb, 
  0xef, 0xeb, 0xd7, 0xe7, 0xe7, 0xdf, 0xcb, 0xa7, 0xaf, 0xc3, 0xa3, 0xbb, 0xcf, 0xd7, 0xef, 0xeb, 
  0xe7, 0xcf, 0xe3, 0xcf, 0xaf, 0xbb, 0xc7, 0xc3, 0xaf, 0xc7, 0xd7, 0xaf, 0xcb, 0xc3, 0xbb, 0xc7, 
  0xcf, 0xc7, 0xc7, 0xcb, 0xbf, 0xcf, 0xd7, 0xd3, 0xd3, 0xbf, 0xbb, 0xcb, 0xd7, 0xc3, 0xb3, 0xb3, 
  0xbf, 0xbb, 0xb7, 0xab, 0xbf, 0xeb, 0xf3, 0xfb, 0xe7, 0xef, 0xeb, 0xeb, 0xe3, 0xe3, 0xd3, 0xc7, 
  0xbb, 0xdb, 0xe7, 0xdb, 0xbb, 0xb3, 0xef, 0xdb, 0xc7, 0xc3, 0xbf, 0xd3, 0xef, 0xf7, 0xef, 0xeb, 
  0xb7, 0xcf, 0xc3, 0xd3, 0xef, 0xf3, 0xc7, 0xe3, 0xd3, 0xd3, 0xeb, 0xcb, 0xb3, 0xbb, 0xc7, 0xe7, 
  0xe7, 0xab, 0xdf, 0xef, 0xef, 0xf7, 0xf3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xfb, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xff, 0xf7, 0xef, 0xef, 0xd7, 0xcf, 0xef, 0xf3, 
  0xd3, 0xb7, 0xc3, 0xb7, 0x97, 0xa7, 0xc7, 0xe7, 0xdf, 0xd7, 0xeb, 0xe3, 0xcb, 0xdb, 0xc7, 0x9b, 
  0xaf, 0xa7, 0xc7, 0xbf, 0xc7, 0xbf, 0xb7, 0xc7, 0xe7, 0xdf, 0xdf, 0xef, 0xe7, 0xef, 0xe7, 0xdf, 
  0xef, 0xf7, 0xef, 0xef, 0xff, 0xf7, 0xe7, 0xef, 0xcf, 0xc7, 0xe7, 0xdf, 0xbf, 0xc7, 0xc7, 0xcf, 
  0xbf, 0xb7, 0xcf, 0xcf, 0xdf, 0xd7, 0xa7, 0xb7, 0xf7, 0xf7, 0xe7, 0xe7, 0xf7, 0xc7, 0xbf, 0xbf, 
  0xe7, 0xcf, 0xcf, 0xaf, 0xe3, 0xff, 0xef, 0xd7, 0xbf, 0xb7, 0xc7, 0xe7, 0xef, 0xe7, 0xe7, 0xc7, 
  0xcf, 0xcf, 0xef, 0xe7, 0xef, 0xe7, 0xd7, 0xd7, 0xdf, 0xef, 0xe3, 0xb3, 0xaf, 0xf3, 0xeb, 0xaf, 
  0xcf, 0xd7, 0xef, 0xf3, 0xe7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xfb, 0xff, 0xfb, 0xff, 0xff, 0xff, 0xf7, 0xfb, 0xf3, 0xef, 0xdb, 0xd7, 0xeb, 0xef, 0xdb, 0xcb, 
  0xcf, 0xb7, 0xa3, 0xbf, 0xe3, 0xf3, 0xef, 0xe3, 0xdb, 0xc3, 0xab, 0xbb, 0xb3, 0xa7, 0xcb, 0xbf, 
  0xaf, 0xcb, 0xdb, 0xe3, 0xdb, 0xdf, 0xf7, 0xf7, 0xef, 0xef, 0xf7, 0xf7, 0xdf, 0xd3, 0xeb, 0xeb, 
  0xeb, 0xf7, 0xf3, 0xf7, 0xf7, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xf3, 0xf3, 0xeb, 0xe7, 0xef, 0xd3, 
  0xcb, 0xdf, 0xd3, 0xc7, 0xbf, 0xc3, 0xdb, 0xe7, 0xb7, 0xbf, 0xeb, 0xeb, 0xdb, 0xb3, 0xdf, 0xbb, 
  0xaf, 0xc7, 0xef, 0xf7, 0xf7, 0xef, 0xdb, 0xcb, 0xa3, 0xab, 0xdb, 0xfb, 0xfb, 0xef, 0xdb, 0xbf, 
  0xd3, 0xd7, 0xef, 0xf3, 0xd3, 0xd3, 0xd7, 0xe3, 0xe3, 0xc3, 0xbb, 0xf7, 0xe7, 0xbf, 0xcf, 0xbb, 
  0xe7, 0xf3, 0xeb, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 
  0xfb, 0xff, 0xff, 0xff, 0xff, 0xf3, 0xf3, 0xef, 0xc7, 0xab, 0xbf, 0xef, 0xcb, 0xe7, 0xe7, 0xd7, 
  0xd7, 0xd7, 0xe7, 0xeb, 0xdf, 0xb7, 0xc3, 0xb3, 0xa3, 0xa7, 0xaf, 0xcf, 0xf3, 0xef, 0xe7, 0xef, 
  0xdf, 0xef, 0xe7, 0xcf, 0xef, 0xe7, 0xd7, 0xd7, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xc7, 0xb7, 0xd7, 
  0xdf, 0xbf, 0xd7, 0xcf, 0xd7, 0xdf, 0xdf, 0xe7, 0xef, 0xff, 0xef, 0xe7, 0xff, 0xe7, 0xe7, 0xf7, 
  0xdf, 0xbf, 0xd7, 0xd7, 0xc7, 0xef, 0xcf, 0xb7, 0xc7, 0xe7, 0xef, 0xc7, 0xd7, 0xd7, 0xaf, 0xaf, 
  0xd7, 0xf7, 0xdf, 0xdf, 0xef, 0xef, 0xaf, 0x87, 0xa7, 0xdf, 0xf7, 0xf7, 0xf7, 0xc7, 0xc7, 0xaf, 
  0xcf, 0xeb, 0xf3, 0xcb, 0xd7, 0xd7, 0xc3, 0xdf, 0xcf, 0xe7, 0xef, 0xdb, 0xcf, 0xbf, 0xc3, 0xe7, 
  0xf3, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xff, 0xfb, 
  0xfb, 0xfb, 0xfb, 0xf7, 0xf3, 0xdb, 0x9b, 0xa3, 0xc3, 0xef, 0xcb, 0xeb, 0xeb, 0xcb, 0xc3, 0xb7, 
  0xcf, 0xdf, 0xbb, 0xaf, 0xc3, 0xc7, 0xa3, 0xc3, 0xd7, 0xeb, 0xfb, 0xeb, 0xe7, 0xe7, 0xdb, 0xcb, 
  0xcb, 0xc3, 0xdf, 0xc3, 0xaf, 0xaf, 0xb7, 0xd7, 0xcf, 0xb7, 0xb7, 0xcb, 0xb3, 0xab, 0xab, 0xc3, 
  0xbf, 0x9b, 0xaf, 0x9f, 0xaf, 0xb7, 0xb3, 0xef, 0xf3, 0xef, 0xf7, 0xdb, 0xdb, 0xfb, 0xf7, 0xdb, 
  0xd7, 0xdf, 0xcf, 0xdb, 0xef, 0xd7, 0xb3, 0xdb, 0xf3, 0xfb, 0xdb, 0xd7, 0xc3, 0xc7, 0xbf, 0xe7, 
  0xe7, 0xcb, 0xcb, 0xf7, 0xdf, 0x97, 0xaf, 0xbb, 0xe7, 0xfb, 0xfb, 0xe7, 0xc7, 0xcb, 0xa7, 0xe7, 
  0xf7, 0xef, 0xdb, 0xd7, 0xc7, 0xdb, 0xd7, 0xe7, 0xf7, 0xdb, 0xcf, 0xd3, 0xbf, 0xe3, 0xef, 0xf7, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xfb, 0xeb, 0xb3, 0xb3, 0xaf, 0xdf, 0xf3, 0xef, 0xf3, 0xef, 0xaf, 0x9f, 0xb3, 0xb7, 0xcb, 
  0xd3, 0xcf, 0xe3, 0xeb, 0xe3, 0xe7, 0xe7, 0xdf, 0xdb, 0xc3, 0xa7, 0x9f, 0xa3, 0xa7, 0xcf, 0xc7, 
  0xcf, 0xc7, 0xa7, 0xaf, 0xb7, 0xd7, 0xd7, 0xcf, 0xc3, 0xcf, 0xc7, 0xbf, 0xb7, 0xc7, 0xdf, 0xaf, 
  0xb7, 0xa7, 0x9f, 0xb7, 0xaf, 0xc7, 0xc7, 0xbf, 0xef, 0xe7, 0xef, 0xfb, 0xff, 0xf7, 0xdf, 0xcf, 
  0xbf, 0xd7, 0xdf, 0xcf, 0xbf, 0xdf, 0xef, 0xf7, 0xef, 0xef, 0xc7, 0xc7, 0xbf, 0xd7, 0xd7, 0xe7, 
  0xa7, 0xdf, 0xf7, 0xb7, 0xb3, 0xb7, 0xbf, 0xf7, 0xf7, 0xf7, 0xdb, 0xe7, 0xb7, 0xcf, 0xe7, 0xf7, 
  0xf3, 0xdb, 0xc7, 0xdb, 0xcb, 0xbb, 0xe3, 0xe3, 0xdb, 0xdf, 0xc3, 0xd3, 0xef, 0xf7, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 
  0xdb, 0xaf, 0xc3, 0xc7, 0xe3, 0xf7, 0xdb, 0xe7, 0xf3, 0xb7, 0xb7, 0xbf, 0xb7, 0xb7, 0xd7, 0xdf, 
  0xef, 0xf3, 0xef, 0xd7, 0xcf, 0xbb, 0xbb, 0xa7, 0x9f, 0xab, 0xb3, 0xcb, 0xdb, 0xdb, 0xe3, 0xe3, 
  0xd3, 0xe7, 0xeb, 0xef, 0xf7, 0xf3, 0xf3, 0xeb, 0xeb, 0xf3, 0xf3, 0xf3, 0xfb, 0xef, 0xe7, 0xdf, 
  0xcb, 0xd3, 0xd3, 0xb7, 0xc7, 0xbb, 0xbb, 0xb3, 0xcb, 0xeb, 0xf3, 0xef, 0xfb, 0xf3, 0xdb, 0xd3, 
  0xcf, 0xcf, 0xd3, 0xbf, 0xa3, 0xe3, 0xcb, 0xe3, 0xf3, 0xd3, 0xbb, 0xbb, 0xbb, 0xdf, 0xc7, 0xd7, 
  0xf3, 0xe7, 0xdf, 0x9b, 0x97, 0xd7, 0xe7, 0xff, 0xf7, 0xdf, 0xd7, 0xbf, 0xd7, 0xf3, 0xf7, 0xef, 
  0xc3, 0xdf, 0xd3, 0xb3, 0xcf, 0xdf, 0xef, 0xeb, 0xcb, 0xd7, 0xef, 0xef, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xff, 0xff, 0xf7, 0xe3, 0xcf, 
  0xd3, 0xd3, 0xdb, 0xeb, 0xb7, 0xd3, 0xf3, 0xcf, 0xdb, 0xbf, 0x8f, 0x8b, 0xbb, 0xd7, 0xe3, 0xdf, 
  0xc7, 0xab, 0xb7, 0xb7, 0xb7, 0xb7, 0xb7, 0xcf, 0xef, 0xef, 0xff, 0xef, 0xf7, 0xef, 0xef, 0xef, 
  0xef, 0xef, 0xe7, 0xef, 0xef, 0xe7, 0xef, 0xff, 0xef, 0xe7, 0xef, 0xf7, 0xf7, 0xf7, 0xff, 0xff, 
  0xff, 0xcf, 0xef, 0xdf, 0xd7, 0xa7, 0x9f, 0xaf, 0xdf, 0xcf, 0xf7, 0xf7, 0xff, 0xff, 0xb7, 0xd7, 
  0xcf, 0xb7, 0xb7, 0xbf, 0xcf, 0xc7, 0xf7, 0xf7, 0xe7, 0xbf, 0xa7, 0xc7, 0xdf, 0xd7, 0xef, 0xf7, 
  0xf7, 0xc7, 0x7f, 0xa7, 0xb7, 0xe7, 0xef, 0xef, 0xe7, 0xbf, 0xc7, 0xdf, 0xef, 0xd7, 0xdf, 0xe3, 
  0xe7, 0xd7, 0xab, 0xdb, 0xef, 0xfb, 0xef, 0xf7, 0xf7, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xef, 0xdf, 0xc7, 0xb7, 
  0xd3, 0xef, 0xd7, 0xe3, 0xf3, 0xd7, 0xe7, 0xc3, 0x93, 0x93, 0x9b, 0xbb, 0xcb, 0xc7, 0xc3, 0xbf, 
  0xcb, 0xdf, 0xe3, 0xeb, 0xdf, 0xeb, 0xeb, 0xef, 0xdf, 0xdf, 0xd7, 0xd3, 0xdf, 0xd3, 0xbb, 0xcb, 
  0xbf, 0xc3, 0xd3, 0xc3, 0xb7, 0xe3, 0xd3, 0xab, 0xc3, 0xc3, 0xe7, 0xf3, 0xf3, 0xef, 0xeb, 0xdf, 
  0xf7, 0xf3, 0xf7, 0xef, 0xdf, 0x9f, 0xdb, 0xe3, 0xef, 0xf3, 0xf7, 0xfb, 0xf3, 0xe7, 0xdb, 0xcf, 
  0xb7, 0xab, 0xbf, 0xd7, 0xf7, 0xff, 0xf3, 0xeb, 0xd3, 0xbb, 0xb3, 0xab, 0xcf, 0xeb, 0xeb, 0xf7, 
  0xaf, 0x8f, 0xab, 0xe3, 0xc7, 0xeb, 0xf3, 0xc7, 0xaf, 0xcb, 0xd3, 0xbf, 0xbb, 0xe3, 0xeb, 0xd7, 
  0xbb, 0xd7, 0xdf, 0xfb, 0xf7, 0xf7, 0xf3, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xdf, 0xc3, 0x97, 0xcb, 0xd7, 
  0xef, 0xf7, 0xf7, 0xe7, 0xcf, 0xd7, 0xbb, 0xb3, 0xb7, 0xaf, 0xc7, 0xcf, 0xd7, 0xef, 0xe7, 0xef, 
  0xf7, 0xeb, 0xd7, 0xc7, 0xbf, 0xb7, 0xb7, 0xaf, 0x97, 0x97, 0xbf, 0xb7, 0xb7, 0xcf, 0xa7, 0xbf, 
  0xd7, 0xb7, 0xc7, 0xd7, 0xaf, 0x97, 0x97, 0xbf, 0xcf, 0xd7, 0xcf, 0xaf, 0xd7, 0xd7, 0xe7, 0xef, 
  0xf7, 0xff, 0xff, 0xbf, 0xaf, 0xcf, 0xcf, 0xbf, 0xc7, 0xe7, 0xf3, 0xff, 0xef, 0xdf, 0xbf, 0xb7, 
  0xbf, 0xc7, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xc7, 0x7f, 0x87, 0xaf, 0xb7, 0xef, 0xff, 0xf3, 0x9f, 
  0xbf, 0xd7, 0xa7, 0xcf, 0xef, 0xeb, 0xaf, 0xbf, 0xc7, 0xdf, 0xb7, 0xbf, 0xff, 0xd7, 0xcf, 0xcf, 
  0xc7, 0xef, 0xf7, 0xe3, 0xd7, 0xd7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xff, 0xff, 0xf3, 0xb3, 0xa3, 0x97, 0xd3, 0xcb, 0xeb, 0xf7, 
  0xeb, 0xdb, 0xbb, 0xcf, 0xc3, 0xbf, 0xcb, 0xd3, 0xe7, 0xeb, 0xdf, 0xe3, 0xdf, 0xd7, 0xd3, 0xbb, 
  0xb3, 0xbb, 0xbb, 0xb7, 0xab, 0xcf, 0xbf, 0xbf, 0xdb, 0xcb, 0xcf, 0xdf, 0xb3, 0xcf, 0xdf, 0xcf, 
  0xcf, 0xe3, 0xc7, 0xdb, 0xaf, 0xcb, 0xcf, 0xd7, 0xcb, 0xc7, 0xc3, 0xa3, 0xc3, 0xd7, 0xd7, 0xeb, 
  0xf3, 0xe7, 0xdf, 0xd7, 0xd7, 0xb3, 0xaf, 0xb7, 0xcf, 0xeb, 0xff, 0xf7, 0xef, 0xe7, 0xbf, 0xcf, 
  0xc3, 0xe3, 0xef, 0xdf, 0xd7, 0xe3, 0x9f, 0x87, 0xdb, 0xbb, 0xd7, 0xef, 0xf3, 0xdf, 0xa7, 0xcb, 
  0xb7, 0xcf, 0xcf, 0xef, 0xef, 0xcf, 0xdb, 0xdf, 0xdf, 0xd7, 0xf7, 0xf3, 0xcf, 0xd7, 0xcf, 0xf7, 
  0xdf, 0xc7, 0xe3, 0xbb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xfb, 0xfb, 0xef, 0xe3, 0x97, 0x97, 0x9b, 0xdb, 0xd3, 0xdf, 0xf3, 0xdf, 0xcf, 
  0xcf, 0xc7, 0xdf, 0xef, 0xe7, 0xef, 0xef, 0xdf, 0xaf, 0x97, 0xaf, 0xb7, 0xc3, 0xc7, 0xcf, 0xc7, 
  0xcf, 0xc7, 0xb7, 0xe7, 0xf7, 0xe7, 0xf7, 0xf7, 0xf7, 0xf7, 0xef, 0xf7, 0xf7, 0xf7, 0xf7, 0xf7, 
  0xef, 0xff, 0xef, 0xe7, 0xf7, 0xff, 0xd7, 0xd7, 0xc7, 0x8f, 0xbf, 0xbf, 0xb7, 0xbf, 0xc7, 0xe7, 
  0xf7, 0xff, 0xf7, 0xe7, 0xb7, 0xa7, 0xbf, 0xdf, 0xef, 0xf7, 0xf7, 0xf7, 0xe7, 0xc7, 0xdf, 0xd7, 
  0xdf, 0xc7, 0xd7, 0xff, 0xe7, 0x9f, 0xdf, 0xe7, 0xc7, 0xcf, 0xdf, 0xef, 0xdb, 0xd7, 0xdf, 0xc7, 
  0xa7, 0xe7, 0xef, 0xdf, 0xe7, 0xd7, 0xdf, 0xdf, 0xef, 0xef, 0xbf, 0xbb, 0xc7, 0xef, 0xdf, 0x9f, 
  0xd7, 0xdf, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xfb, 0xfb, 0xe3, 0xdf, 0xbf, 0xbb, 0xb3, 0xd3, 0xeb, 0xe7, 0xdb, 0xd3, 0xeb, 0xe7, 0xd3, 
  0xef, 0xeb, 0xd7, 0xbf, 0xb3, 0xcb, 0xaf, 0xb7, 0xbf, 0xab, 0xd3, 0xf3, 0xef, 0xeb, 0xe7, 0xe7, 
  0xd7, 0xeb, 0xeb, 0xdf, 0xdf, 0xe7, 0xef, 0xf7, 0xef, 0xdf, 0xcf, 0xdb, 0xe3, 0xd3, 0xdf, 0xe7, 
  0xeb, 0xf3, 0xf7, 0xfb, 0xfb, 0xeb, 0xd3, 0xb7, 0xc3, 0xcb, 0xb3, 0xbf, 0xcb, 0xcb, 0xdb, 0xf3, 
  0xef, 0xf3, 0xeb, 0xe3, 0xd3, 0xd3, 0xbb, 0xbb, 0xd7, 0xef, 0xfb, 0xef, 0xcf, 0xcb, 0xcf, 0xc3, 
  0xdf, 0xef, 0xf3, 0xb3, 0xe7, 0xeb, 0xcb, 0xd7, 0xc3, 0xdb, 0xf7, 0xf3, 0xf3, 0xcf, 0xab, 0xc3, 
  0xe7, 0xeb, 0xdf, 0xd7, 0xc7, 0xcb, 0xdf, 0xeb, 0xd7, 0xcb, 0xcb, 0xe3, 0xe3, 0xdb, 0xd3, 0xe3, 
  0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xfb, 0xef, 0xfb, 0xfb, 
  0xf7, 0xd7, 0xef, 0xe7, 0xe7, 0xcf, 0xbb, 0xef, 0xe7, 0xd7, 0xcf, 0xef, 0xef, 0xd7, 0xdf, 0xc7, 
  0x9f, 0xa7, 0xc7, 0xcf, 0xcf, 0xe7, 0xef, 0xdf, 0xef, 0xff, 0xef, 0xf7, 0xd7, 0xb7, 0x9f, 0xbf, 
  0xb7, 0xb7, 0xaf, 0xb7, 0xdf, 0xd7, 0xcf, 0xb7, 0xa7, 0x9f, 0xbf, 0xcf, 0xbf, 0xb7, 0xb7, 0xc7, 
  0xdf, 0xe7, 0xf3, 0xeb, 0xd7, 0xdf, 0xe3, 0xdf, 0xcb, 0xcf, 0xdb, 0xc7, 0xc7, 0xcf, 0xd7, 0xef, 
  0xfb, 0xfb, 0xe7, 0xd7, 0xab, 0xa3, 0xbf, 0xd3, 0xf7, 0xf7, 0xef, 0xdf, 0xb7, 0xbf, 0xaf, 0xd7, 
  0xe7, 0x97, 0xdf, 0xf7, 0xcf, 0xc7, 0xdf, 0xc7, 0xef, 0xf7, 0xef, 0xdf, 0xa7, 0xaf, 0xbf, 0xdf, 
  0xdf, 0xd7, 0xbf, 0xb7, 0xb7, 0xc7, 0xcf, 0xdf, 0xe7, 0xcb, 0xd7, 0xf7, 0xb7, 0xaf, 0xe7, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xfb, 0xfb, 0xff, 0xfb, 0xf7, 0xcf, 
  0xe7, 0xef, 0xdf, 0xd7, 0xcf, 0xe3, 0xeb, 0xe3, 0xcf, 0xeb, 0xcb, 0xb3, 0xb3, 0xb3, 0xb7, 0xcf, 
  0xe7, 0xeb, 0xf7, 0xef, 0xdf, 0xd7, 0xcb, 0xcf, 0xcb, 0xd3, 0xc7, 0xa7, 0x9b, 0xa7, 0xc3, 0xd3, 
  0xd3, 0xab, 0xd3, 0xd7, 0xdb, 0xc7, 0xb7, 0xb3, 0xbf, 0xcb, 0xd3, 0xcb, 0xb3, 0xb7, 0xd3, 0xdb, 
  0xd7, 0xd3, 0xe3, 0xef, 0xf3, 0xeb, 0xef, 0xeb, 0xe3, 0xe3, 0xc7, 0xb3, 0xbf, 0xcb, 0xf3, 0xf3, 
  0xfb, 0xf7, 0xc7, 0xbb, 0xcb, 0xc7, 0xd3, 0xeb, 0xf7, 0xf7, 0xd7, 0xb3, 0xb7, 0xbf, 0xcf, 0xcf, 
  0xb3, 0xeb, 0xe3, 0xcf, 0xdb, 0xcf, 0xc7, 0xe3, 0xe3, 0xdf, 0xcb, 0xa7, 0xaf, 0xd3, 0xe7, 0xe7, 
  0xaf, 0xc3, 0xcf, 0xcb, 0xe3, 0xd7, 0xe7, 0xbf, 0xa3, 0xe3, 0xdf, 0xb3, 0xdb, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xff, 0xef, 0xe7, 0xf7, 0xd7, 0xcf, 0xdf, 
  0xdf, 0xd7, 0xc7, 0xd7, 0xe7, 0xef, 0xdf, 0xd7, 0xb7, 0xd7, 0xcf, 0xdf, 0xe7, 0xef, 0xef, 0xef, 
  0xeb, 0xcf, 0xa7, 0xbb, 0xc3, 0xc7, 0xb7, 0xbb, 0xbf, 0x9f, 0xab, 0xbf, 0xd3, 0xdf, 0xe3, 0xbb, 
  0xd7, 0xdf, 0xeb, 0xd3, 0xd3, 0xd3, 0xdb, 0xe3, 0xe7, 0xdf, 0xa7, 0xbb, 0xd7, 0xdf, 0xdb, 0xbf, 
  0xdf, 0xe3, 0xef, 0xe7, 0xe7, 0xe3, 0xdf, 0xd7, 0xe3, 0xdb, 0xd3, 0xcb, 0xdb, 0xe3, 0xef, 0xff, 
  0xeb, 0xd7, 0xd7, 0xd3, 0xcb, 0xcf, 0xeb, 0xef, 0xdb, 0xbb, 0xc7, 0xc3, 0xb3, 0xdb, 0xcb, 0xbf, 
  0xeb, 0xdb, 0xc7, 0xcf, 0xc7, 0xc3, 0xe7, 0xe7, 0xe7, 0x9f, 0xb3, 0xbb, 0xd7, 0xeb, 0xc7, 0xbb, 
  0xd7, 0xcb, 0xdb, 0xe7, 0xe7, 0xb7, 0xaf, 0xbf, 0xeb, 0xd7, 0xe7, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xf7, 0xf7, 0xff, 0xfb, 0xf7, 0xcb, 0xdf, 0xe3, 0xeb, 0xf3, 0xdf, 0xcf, 
  0xbf, 0xd7, 0xe3, 0xc7, 0xbb, 0xbf, 0xc7, 0xe7, 0xef, 0xef, 0xeb, 0xcf, 0xc3, 0xbb, 0xbb, 0xc7, 
  0xbb, 0xa3, 0xc3, 0xd7, 0xe3, 0xdb, 0xd7, 0xdf, 0xeb, 0xef, 0xeb, 0xeb, 0xe7, 0xe3, 0xdb, 0xef, 
  0xf3, 0xe3, 0xeb, 0xe3, 0xeb, 0xf7, 0xfb, 0xff, 0xe3, 0xeb, 0xf7, 0xef, 0xef, 0xe3, 0xd7, 0xdb, 
  0xc7, 0xdb, 0xcf, 0xd3, 0xd3, 0xc3, 0xe7, 0xef, 0xfb, 0xe7, 0xd7, 0xd7, 0xd7, 0xd7, 0xfb, 0xff, 
  0xeb, 0xd7, 0xcf, 0xd3, 0xcb, 0xd7, 0xe7, 0xe7, 0xf7, 0xd7, 0xa7, 0xb7, 0xd7, 0xdb, 0xd7, 0xe7, 
  0xbf, 0xb7, 0xb7, 0xbf, 0xc3, 0xeb, 0xf7, 0xcb, 0xa7, 0xab, 0xbf, 0xeb, 0xf3, 0xd7, 0xdb, 0xd3, 
  0xd3, 0xeb, 0xdf, 0xd7, 0xb7, 0xc3, 0xc7, 0xe3, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xf7, 0xf7, 0xf7, 0xf7, 0xf7, 0xdf, 0xaf, 0xcf, 0xeb, 0xff, 0xff, 0xef, 0xcf, 0xc7, 0xd3, 
  0xdf, 0xb7, 0xc3, 0xdb, 0xe3, 0xf3, 0xeb, 0xe7, 0xdb, 0xb3, 0xab, 0xaf, 0xbb, 0xd7, 0xcf, 0xbf, 
  0xc7, 0xe3, 0xf7, 0xe7, 0xe3, 0xe3, 0xe7, 0xdf, 0xe3, 0xd7, 0xd3, 0xc7, 0xd3, 0xe3, 0xd7, 0xdb, 
  0xcf, 0xc7, 0xd3, 0xe7, 0xef, 0xf7, 0xeb, 0xf7, 0xff, 0xff, 0xf7, 0xf3, 0xf3, 0xef, 0xd7, 0xd7, 
  0xbf, 0xc3, 0xbf, 0xcb, 0xef, 0xeb, 0xf3, 0xf7, 0xe3, 0xdf, 0xdb, 0xcb, 0xe3, 0xf7, 0xef, 0xf3, 
  0xe3, 0xd3, 0xcf, 0xc7, 0xdf, 0xf7, 0xff, 0xe3, 0xa7, 0xb3, 0xcf, 0xe3, 0xdf, 0xeb, 0xd7, 0xbb, 
  0xa3, 0xbb, 0xc3, 0xdf, 0xef, 0xeb, 0xaf, 0xab, 0xbf, 0xd7, 0xef, 0xe7, 0xc3, 0xd3, 0xdf, 0xeb, 
  0xd7, 0xdf, 0xc3, 0xc3, 0xbf, 0xd7, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 
  0xf3, 0xfb, 0xfb, 0xfb, 0xd7, 0xd7, 0xd7, 0xdb, 0xe7, 0xfb, 0xf7, 0xd7, 0xcf, 0xc7, 0xe3, 0xd3, 
  0xa7, 0xdf, 0xf3, 0xe3, 0xc3, 0xbf, 0xbb, 0xb3, 0xcf, 0xe7, 0xe3, 0xfb, 0xeb, 0xe3, 0xd7, 0xe7, 
  0xd7, 0xd7, 0xbf, 0xaf, 0xa7, 0xc3, 0xc7, 0xc7, 0xb7, 0xaf, 0xd7, 0xdf, 0xbf, 0xbf, 0xa7, 0x97, 
  0xa7, 0xa7, 0xcf, 0xd7, 0xcf, 0xef, 0xef, 0xff, 0xff, 0xff, 0xff, 0xe7, 0xef, 0xf7, 0xdf, 0xcf, 
  0xcf, 0xbf, 0xdf, 0xcf, 0xe7, 0xef, 0xf7, 0xff, 0xef, 0xd7, 0xc3, 0xcf, 0xd7, 0xef, 0xff, 0xe7, 
  0xd7, 0xc7, 0xb7, 0xdf, 0xff, 0xff, 0xd7, 0x9f, 0xc7, 0xc7, 0xcf, 0xf7, 0xff, 0xe7, 0xdf, 0xbf, 
  0xcf, 0xd7, 0xd7, 0xf7, 0xf3, 0xc3, 0xd7, 0xb7, 0xd7, 0xef, 0xcb, 0xcb, 0xe7, 0xd3, 0xd3, 0xeb, 
  0xeb, 0xe7, 0xbf, 0xb3, 0xcf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xef, 0xfb, 
  0xf7, 0xef, 0xd7, 0xdb, 0xcb, 0xcb, 0xc7, 0xf7, 0xf7, 0xe3, 0xdf, 0xeb, 0xe7, 0xe7, 0xb3, 0xd7, 
  0xf3, 0xc7, 0xaf, 0xb7, 0xbf, 0xcf, 0xef, 0xf3, 0xf3, 0xfb, 0xef, 0xdb, 0xd3, 0xcf, 0xb3, 0xc3, 
  0xbb, 0xbb, 0xc3, 0xd3, 0xd7, 0xe3, 0xdb, 0xcf, 0xef, 0xeb, 0xe3, 0xe3, 0xdf, 0xb7, 0xd3, 0xb7, 
  0xcb, 0xcb, 0xc7, 0xc7, 0xcf, 0xd7, 0xe3, 0xf3, 0xef, 0xef, 0xe3, 0xf3, 0xf3, 0xf3, 0xef, 0xcf, 
  0xd3, 0xc3, 0xcb, 0xe7, 0xf3, 0xf3, 0xf3, 0xe3, 0xcf, 0xd7, 0xd7, 0xdb, 0xf7, 0xf3, 0xf3, 0xdf, 
  0xc7, 0xdb, 0xcf, 0xf3, 0xf3, 0xdb, 0xbf, 0xc7, 0xbb, 0xc7, 0xf7, 0xff, 0xf7, 0xdf, 0xd3, 0xe7, 
  0xbb, 0xe7, 0xfb, 0xe3, 0xe3, 0xc3, 0xd3, 0xdb, 0xd3, 0xdb, 0xeb, 0xc7, 0xbf, 0xc7, 0xeb, 0xef, 
  0xbf, 0xa3, 0xaf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf3, 0xff, 0xef, 0xf3, 
  0xdf, 0xdf, 0xeb, 0xd7, 0xb7, 0xe3, 0xf3, 0xd3, 0xf3, 0xf7, 0xf7, 0xef, 0xdf, 0xcf, 0xe7, 0xbf, 
  0xb7, 0xd3, 0xe7, 0xef, 0xef, 0xe7, 0xe7, 0xe7, 0xd7, 0xaf, 0xaf, 0x9f, 0xb7, 0xc7, 0xcf, 0xe7, 
  0xef, 0xe7, 0xef, 0xe7, 0xdf, 0xcf, 0xcf, 0xc7, 0xe7, 0xe7, 0xdf, 0xd7, 0xef, 0xe7, 0xe7, 0xef, 
  0xdf, 0xd7, 0xdf, 0xdf, 0xdf, 0xcf, 0xdf, 0xd7, 0xef, 0xef, 0xef, 0xff, 0xff, 0xff, 0xdf, 0xbf, 
  0xcf, 0xdf, 0xd7, 0xef, 0xd7, 0xe7, 0xef, 0xd7, 0xdf, 0xc7, 0xdf, 0xe7, 0xf7, 0xf7, 0xdf, 0xdf, 
  0xc3, 0xdf, 0xf7, 0xff, 0xdf, 0xb7, 0xcf, 0xc7, 0xd7, 0xdb, 0xff, 0xd7, 0xc7, 0xe7, 0xcf, 0xdf, 
  0xf7, 0xff, 0xf7, 0xd7, 0xdf, 0xb7, 0xdf, 0xef, 0xef, 0xd7, 0xaf, 0xa7, 0xbf, 0xf7, 0xb7, 0xaf, 
  0x9f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xef, 0xfb, 0xef, 0xf7, 0xe7, 0xd3, 
  0xe3, 0xe3, 0xbf, 0xe3, 0xdb, 0xc3, 0xd7, 0xeb, 0xf3, 0xdb, 0xb3, 0xbb, 0xcf, 0xd3, 0xeb, 0xd7, 
  0xc7, 0xe3, 0xd3, 0xbf, 0xbb, 0xbf, 0xb3, 0xbf, 0xc3, 0xcb, 0xe7, 0xe7, 0xdb, 0xdf, 0xdb, 0xb3, 
  0xaf, 0xab, 0xaf, 0xab, 0xaf, 0xb7, 0xcf, 0xcb, 0xc7, 0xc7, 0xfb, 0xdf, 0xdf, 0xf3, 0xf7, 0xff, 
  0xf7, 0xf3, 0xf7, 0xe7, 0xe3, 0xd7, 0xdf, 0xd7, 0xdb, 0xf3, 0xfb, 0xeb, 0xf3, 0xe7, 0xd3, 0xe7, 
  0xdf, 0xdb, 0xd7, 0xe7, 0xf3, 0xf3, 0xe3, 0xd3, 0xc7, 0xb7, 0xcb, 0xf7, 0xf7, 0xf7, 0xd7, 0xb7, 
  0xdb, 0xeb, 0xf7, 0xdf, 0xb7, 0xbf, 0xbf, 0xb3, 0xcf, 0xbf, 0x9f, 0xd7, 0xcf, 0xd7, 0xe7, 0xf3, 
  0xf7, 0xe7, 0xcf, 0xb3, 0xdb, 0xf3, 0xef, 0xef, 0xbf, 0xaf, 0xa7, 0xd7, 0xe3, 0xd3, 0xcf, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf7, 0xff, 0xef, 0xf7, 0xd7, 0xc7, 0xef, 
  0xef, 0xf7, 0xef, 0xc7, 0xaf, 0xcf, 0xc7, 0xc7, 0xb7, 0xcf, 0xf3, 0xef, 0xef, 0xe7, 0xcf, 0xb7, 
  0xbf, 0xbf, 0xbf, 0xbf, 0xaf, 0xd7, 0xe7, 0xdf, 0xcf, 0xd7, 0xa7, 0xaf, 0xaf, 0x8f, 0x97, 0x9f, 
  0xaf, 0xb3, 0xb7, 0xc7, 0xcf, 0xc7, 0xc7, 0xd3, 0xf3, 0xcb, 0xbf, 0xe3, 0xf3, 0xf7, 0xe7, 0xef, 
  0xf7, 0xf3, 0xf3, 0xe3, 0xd7, 0xd7, 0xdb, 0xdf, 0xf7, 0xeb, 0xef, 0xf7, 0xf3, 0xef, 0xeb, 0xdf, 
  0xcf, 0xeb, 0xef, 0xeb, 0xf3, 0xdf, 0xcf, 0xc3, 0xbb, 0xe3, 0xf7, 0xf7, 0xe7, 0xb3, 0xb7, 0xe7, 
  0xf3, 0xf3, 0xcf, 0xb3, 0xcf, 0xbb, 0xb7, 0xdf, 0xb7, 0xd7, 0xcb, 0xdb, 0xd3, 0xd7, 0xe3, 0xef, 
  0xef, 0xaf, 0xbf, 0xdf, 0xef, 0xe7, 0xd7, 0xc7, 0xc7, 0xcf, 0xe7, 0xf7, 0xef, 0xfb, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xfb, 0xf7, 0xef, 0xf3, 0xf3, 0xe7, 0xe7, 0xdb, 0xd7, 0xef, 0xeb, 0xf7, 
  0xf7, 0xe3, 0xc7, 0xd7, 0xe3, 0xdf, 0xd7, 0xf3, 0xf7, 0xf3, 0xd3, 0xd3, 0xc7, 0xb7, 0xd3, 0xcf, 
  0xd3, 0xe3, 0xdf, 0xdb, 0xcb, 0xbf, 0xc3, 0xb7, 0x9f, 0xbb, 0xcf, 0xd3, 0xd3, 0xd7, 0xdb, 0xcf, 
  0xcb, 0xd7, 0xcf, 0xc7, 0xc7, 0xc3, 0xe7, 0xd3, 0xd3, 0xcf, 0xcf, 0xc7, 0xcb, 0xbf, 0xbb, 0xd7, 
  0xf7, 0xe7, 0xe3, 0xef, 0xd7, 0xeb, 0xdb, 0xcb, 0xd3, 0xe7, 0xfb, 0xf7, 0xf7, 0xef, 0xe7, 0xd7, 
  0xcb, 0xcf, 0xeb, 0xf3, 0xf3, 0xc3, 0xb7, 0xbb, 0xd7, 0xeb, 0xfb, 0xe3, 0xbb, 0xcf, 0xdf, 0xf3, 
  0xf7, 0xc3, 0xd3, 0xcf, 0xaf, 0xd7, 0xef, 0xe7, 0xd3, 0xdb, 0xd3, 0xbf, 0xa7, 0xe7, 0xe3, 0xd3, 
  0xb7, 0xc3, 0xd3, 0xcf, 0xdb, 0xd7, 0xb7, 0xab, 0xbf, 0xeb, 0xef, 0xf7, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xf7, 0xef, 0xef, 0xef, 0xe7, 0xeb, 0xcf, 0xcf, 0xe7, 0xdf, 0xef, 0xeb, 0xeb, 
  0xdb, 0xe3, 0xe7, 0xeb, 0xdf, 0xf7, 0xf3, 0xe7, 0xbf, 0xc7, 0xcb, 0xc7, 0xeb, 0xe7, 0xeb, 0xeb, 
  0xd3, 0xcb, 0xb7, 0xaf, 0xc7, 0xdb, 0xbf, 0xdb, 0xeb, 0xdb, 0xdb, 0xdb, 0xd3, 0xbf, 0xbb, 0xc7, 
  0xbb, 0xbb, 0xc3, 0xc3, 0xeb, 0xef, 0xeb, 0xeb, 0xdb, 0xc7, 0xc7, 0xb7, 0xab, 0xc3, 0xdb, 0xe3, 
  0xdf, 0xdf, 0xe3, 0xef, 0xdf, 0xd3, 0xbf, 0xcf, 0xe7, 0xeb, 0xf3, 0xeb, 0xe7, 0xe3, 0xd3, 0xc7, 
  0xdf, 0xf3, 0xf7, 0xd7, 0xb7, 0xb7, 0xbf, 0xdf, 0xf3, 0xe7, 0xd3, 0xc7, 0xc7, 0xe7, 0xf7, 0xdb, 
  0xd7, 0xc3, 0xbf, 0xc3, 0xef, 0xf7, 0xdb, 0xe7, 0xd7, 0xb7, 0xa7, 0xe3, 0xe3, 0xdf, 0xc7, 0xb7, 
  0xbb, 0xc3, 0xdb, 0xeb, 0xbb, 0x93, 0x9f, 0xdf, 0xef, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xf7, 0xf7, 0xfb, 0xf3, 0xef, 0xeb, 0xf7, 0xe3, 0xbb, 0xc3, 0xc3, 0xd3, 0xe7, 0xf3, 0xef, 0xef, 
  0xc7, 0xc3, 0xc7, 0xeb, 0xcb, 0xc7, 0xbb, 0xc7, 0xc7, 0xe3, 0xeb, 0xe7, 0xe7, 0xef, 0xcf, 0xdf, 
  0xcf, 0xcf, 0xef, 0xef, 0xdf, 0xe7, 0xe7, 0xd7, 0xcf, 0xc7, 0xbf, 0xcf, 0xd7, 0xdf, 0xdf, 0xef, 
  0xe3, 0xef, 0xf7, 0xff, 0xf7, 0xff, 0xf7, 0xef, 0xe7, 0xdf, 0xcf, 0xcf, 0xa7, 0xb7, 0xc7, 0xe7, 
  0xef, 0xff, 0xff, 0xf7, 0xc7, 0xcb, 0xd7, 0xc7, 0xe7, 0xef, 0xc7, 0xf7, 0xf7, 0xd7, 0xd7, 0xe3, 
  0xf7, 0xef, 0xef, 0xdf, 0xaf, 0xaf, 0xef, 0xdf, 0xe7, 0xe7, 0xbf, 0xbf, 0xe7, 0xcf, 0xe7, 0xcf, 
  0xaf, 0xb7, 0xc7, 0xf7, 0xc7, 0xe3, 0xe7, 0xb7, 0xb7, 0xef, 0xd7, 0xe7, 0xdf, 0xe7, 0xbf, 0xaf, 
  0xcf, 0xeb, 0xd7, 0x7f, 0x7f, 0xc7, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf7, 
  0xf3, 0xf3, 0xef, 0xf3, 0xf7, 0xdb, 0xbb, 0xcf, 0xbb, 0xc7, 0xe7, 0xf3, 0xeb, 0xef, 0xc7, 0xbf, 
  0xbf, 0xe3, 0xb7, 0xb3, 0xcb, 0xdb, 0xcf, 0xdb, 0xcf, 0xc7, 0xbb, 0xd3, 0xcf, 0xd3, 0xe7, 0xef, 
  0xeb, 0xd7, 0xbb, 0xbf, 0xd7, 0xcf, 0xcb, 0xd7, 0xe7, 0xf3, 0xef, 0xe3, 0xe7, 0xdb, 0xc3, 0xcb, 
  0xd3, 0xcf, 0xd3, 0xeb, 0xe3, 0xef, 0xef, 0xf7, 0xf3, 0xeb, 0xd7, 0xdb, 0xdf, 0xd3, 0xcf, 0xe7, 
  0xfb, 0xef, 0xf7, 0xef, 0xeb, 0xd3, 0xd7, 0xf3, 0xdf, 0xe7, 0xf7, 0xeb, 0xfb, 0xdb, 0xeb, 0xfb, 
  0xf7, 0xfb, 0xc7, 0xb3, 0xd7, 0xdf, 0xeb, 0xf7, 0xd7, 0xcb, 0xc7, 0xd7, 0xc3, 0xef, 0xc3, 0xbb, 
  0xaf, 0xe7, 0xcf, 0xc7, 0xf3, 0xb7, 0xab, 0xf7, 0xdf, 0xaf, 0xd3, 0xeb, 0xe3, 0xb3, 0xab, 0xcf, 
  0xe7, 0xab, 0xa3, 0xb7, 0xd3, 0xeb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xef, 0xef, 0xef, 
  0xef, 0xdf, 0xef, 0xd7, 0xe7, 0xd7, 0xcf, 0xe3, 0xe7, 0xe7, 0xcf, 0xe7, 0xdf, 0xaf, 0xd7, 0xd7, 
  0xcf, 0xcf, 0xdf, 0xeb, 0xcf, 0xa7, 0xa7, 0xb7, 0xb7, 0xcf, 0xd7, 0xc7, 0xcf, 0xef, 0xcf, 0xa7, 
  0x97, 0xaf, 0xc7, 0xdf, 0xef, 0xe7, 0xef, 0xe7, 0xdf, 0xaf, 0xc7, 0xa7, 0xa7, 0xc7, 0xbf, 0xa7, 
  0x9f, 0xcf, 0xcf, 0xdb, 0xdb, 0xe7, 0xf3, 0xf3, 0xef, 0xf3, 0xef, 0xdf, 0xd3, 0xdb, 0xf3, 0xe7, 
  0xfb, 0xfb, 0xf7, 0xe7, 0xdb, 0xef, 0xf7, 0xf3, 0xfb, 0xf7, 0xfb, 0xeb, 0xe7, 0xfb, 0xf7, 0xfb, 
  0xdf, 0xcf, 0xdb, 0xd3, 0xef, 0xf7, 0xeb, 0xd7, 0xcf, 0xdf, 0xef, 0xef, 0xe7, 0xcf, 0xaf, 0xdf, 
  0xdf, 0xaf, 0xef, 0xcf, 0xbb, 0xe7, 0xf7, 0xaf, 0x9f, 0xdf, 0xe7, 0xaf, 0xa7, 0xbf, 0xe7, 0xd7, 
  0xa7, 0xb3, 0xb7, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf3, 0xf7, 0xf7, 0xf3, 0xeb, 0xbf, 
  0xdb, 0xeb, 0xd7, 0xeb, 0xe3, 0xdb, 0xc7, 0xbb, 0xcf, 0xd7, 0xdf, 0xd7, 0xd7, 0xc7, 0xdb, 0xd3, 
  0xcf, 0xc7, 0xbb, 0xc3, 0xab, 0xbf, 0xe3, 0xef, 0xdf, 0xcb, 0xcb, 0xb7, 0xa7, 0xbf, 0xcb, 0xdb, 
  0xd3, 0xbb, 0xcf, 0xc3, 0xb3, 0xaf, 0xc3, 0xc7, 0xc3, 0xbb, 0xc7, 0xdb, 0xe7, 0xef, 0xdf, 0xcf, 
  0xcf, 0xd7, 0xbb, 0xaf, 0xc7, 0xc3, 0xc7, 0xe3, 0xef, 0xf7, 0xf3, 0xe7, 0xe3, 0xbf, 0xc3, 0xdb, 
  0xef, 0xf3, 0xeb, 0xe3, 0xdf, 0xd3, 0xe7, 0xef, 0xf7, 0xe7, 0xd7, 0xe3, 0xdb, 0xf3, 0xf7, 0xf3, 
  0xe7, 0xcf, 0xcb, 0xe3, 0xef, 0xe7, 0xbb, 0xbb, 0xf7, 0xf7, 0xf7, 0xeb, 0xcf, 0xdb, 0xef, 0xd3, 
  0xdf, 0xe3, 0xcf, 0xd3, 0xf3, 0xbb, 0xa7, 0xc7, 0xe7, 0xd3, 0xcf, 0xcf, 0xdf, 0xef, 0xdf, 0xcb, 
  0x9b, 0xc3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xef, 0xef, 0xf7, 0xe7, 0xaf, 0xd3, 0xef, 
  0xef, 0xef, 0xdb, 0xcf, 0xc3, 0xbb, 0xc3, 0xd3, 0xcf, 0xd7, 0xd7, 0xd3, 0xcb, 0xcf, 0xc3, 0xa3, 
  0xbb, 0xd7, 0xc3, 0xd3, 0xef, 0xe3, 0xcf, 0xb3, 0xbb, 0xa7, 0xb7, 0xdb, 0xdb, 0xdb, 0xb7, 0x9f, 
  0xbf, 0xbb, 0xbb, 0xbb, 0xcb, 0xdf, 0xe3, 0xdf, 0xdb, 0xe3, 0xef, 0xf7, 0xef, 0xe3, 0xef, 0xef, 
  0xd3, 0xc7, 0xc3, 0xb7, 0xb3, 0xc7, 0xdb, 0xe3, 0xf3, 0xf3, 0xef, 0xcf, 0xb7, 0xb7, 0xdf, 0xe3, 
  0xf3, 0xf3, 0xdb, 0xbf, 0xc3, 0xdb, 0xeb, 0xdb, 0xdb, 0xdf, 0xcf, 0xe7, 0xf3, 0xef, 0xeb, 0xcb, 
  0xb7, 0xd3, 0xeb, 0xf3, 0xb7, 0x97, 0xcb, 0xef, 0xef, 0xe7, 0xcb, 0xdb, 0xe7, 0xdb, 0xcf, 0xe7, 
  0xd3, 0xd3, 0xd3, 0xdb, 0xaf, 0xb3, 0xdb, 0xe7, 0xd7, 0xd3, 0xcf, 0xe7, 0xef, 0xd7, 0x9b, 0xa7, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf3, 0xf3, 0xf7, 0xe3, 0xd7, 0xc7, 0xe3, 0xef, 0xf3, 0xe7, 
  0xc3, 0xcf, 0xd3, 0xd3, 0xdb, 0xd3, 0xd7, 0xcf, 0xe7, 0xdf, 0xd7, 0xcf, 0x9f, 0x87, 0xb7, 0xd7, 
  0xd7, 0xd7, 0xdf, 0xc7, 0xcf, 0xbb, 0xcf, 0xcf, 0xcf, 0xe7, 0xb7, 0xaf, 0xaf, 0xb7, 0xd7, 0xe7, 
  0xdf, 0xe7, 0xcf, 0xcf, 0xc7, 0xd7, 0xb7, 0xaf, 0xcf, 0xe7, 0xe7, 0xd7, 0xef, 0xef, 0xf7, 0xe7, 
  0xef, 0xe7, 0xc7, 0xbf, 0xd7, 0xcf, 0xc7, 0xcf, 0xe7, 0xef, 0xe7, 0xc7, 0xc7, 0xbf, 0xdf, 0xf7, 
  0xf7, 0xc7, 0xaf, 0xaf, 0xd7, 0xdf, 0xd7, 0xf7, 0xdf, 0xbf, 0xef, 0xdf, 0xef, 0xdf, 0xaf, 0xb7, 
  0xc7, 0xef, 0xe7, 0x9f, 0xaf, 0xc7, 0xd3, 0xf7, 0xcf, 0xd7, 0xb7, 0xd7, 0xdf, 0xd7, 0xaf, 0xcf, 
  0xa7, 0xd7, 0xd7, 0xa3, 0xab, 0xe7, 0xef, 0xd7, 0xc7, 0xd7, 0xe7, 0xef, 0xb7, 0xbf, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xf3, 0xef, 0xf3, 0xdf, 0xcf, 0xdf, 0xe7, 0xe7, 0xf7, 0xf3, 0xc3, 0xbb, 
  0xd7, 0xdf, 0xdf, 0xd7, 0xdb, 0xc7, 0xcf, 0xd3, 0xc7, 0xc7, 0xc3, 0xb3, 0xbb, 0xbb, 0xc7, 0xbf, 
  0xb7, 0xbb, 0xd3, 0xdf, 0xd7, 0xbb, 0xa7, 0xc3, 0xc7, 0xcf, 0xcb, 0xdf, 0xdb, 0xc3, 0xcb, 0xdb, 
  0xa3, 0xbb, 0xb7, 0xc3, 0xb3, 0xaf, 0xb7, 0xdb, 0xbf, 0xaf, 0xb7, 0xcf, 0xcf, 0xd3, 0xe3, 0xe3, 
  0xdb, 0xe7, 0xe3, 0xe3, 0xcb, 0xaf, 0xbb, 0xd7, 0xeb, 0xf7, 0xd7, 0xcf, 0xc7, 0xef, 0xeb, 0xdb, 
  0xd7, 0xbb, 0xab, 0xcf, 0xeb, 0xe7, 0xeb, 0xb7, 0xc3, 0xcb, 0xf3, 0xeb, 0xcf, 0xcb, 0xb7, 0xcf, 
  0xf3, 0xd7, 0xc7, 0xb7, 0xb7, 0xd7, 0xef, 0xd3, 0xbb, 0xb7, 0xe3, 0xdb, 0xcf, 0xd3, 0xc3, 0xc7, 
  0xe3, 0xbf, 0x87, 0x93, 0xd7, 0xe3, 0xc7, 0xc3, 0xdf, 0xf7, 0xe3, 0xd7, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xf7, 0xef, 0xf7, 0xef, 0xdf, 0xd7, 0xdf, 0xd7, 0xcf, 0xd7, 0xf7, 0xef, 0xbf, 0xb7, 0xdf, 
  0xe7, 0xb7, 0xa7, 0xc7, 0xcf, 0xcf, 0xc7, 0xc7, 0xe7, 0xdf, 0xc7, 0xaf, 0xa7, 0x9f, 0xc7, 0xdb, 
  0xd7, 0xb7, 0xaf, 0xa3, 0x8f, 0xcf, 0xd7, 0xdb, 0xd3, 0xd3, 0xbf, 0xab, 0xb7, 0xcb, 0xbf, 0xcb, 
  0xcf, 0xdb, 0xbf, 0xcb, 0xd3, 0xe3, 0xdb, 0xc3, 0xc3, 0xc7, 0xbf, 0xbf, 0xc7, 0xc3, 0xcb, 0xe7, 
  0xef, 0xf3, 0xe3, 0xbf, 0xab, 0xbb, 0xd3, 0xef, 0xe7, 0xdf, 0xc7, 0xdb, 0xe7, 0xdb, 0xe7, 0xd3, 
  0xaf, 0xb3, 0xe3, 0xe7, 0xef, 0xd3, 0xc3, 0xc7, 0xe7, 0xf3, 0xe7, 0xcf, 0xbb, 0xb7, 0xef, 0xeb, 
  0xd7, 0xc3, 0xab, 0xc7, 0xf7, 0xdb, 0xc3, 0xc3, 0xd3, 0xdb, 0xeb, 0xdb, 0xc7, 0xc3, 0xd3, 0xdb, 
  0x8b, 0x7b, 0xbf, 0xef, 0xd3, 0xbf, 0xcb, 0xeb, 0xef, 0xeb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 
  0xf3, 0xef, 0xef, 0xf3, 0xdb, 0xd7, 0xcf, 0xb7, 0xc3, 0xc7, 0xe7, 0xcf, 0xbb, 0xe7, 0xe3, 0xbb, 
  0xbf, 0xdb, 0xd3, 0xd3, 0xd7, 0xcb, 0xdb, 0xc3, 0xc3, 0xa7, 0xbb, 0xcf, 0xdb, 0xc7, 0xaf, 0xa7, 
  0xb3, 0xc3, 0xc7, 0xcf, 0xbb, 0xa3, 0x9f, 0xb7, 0xbf, 0xcf, 0xcf, 0xef, 0xef, 0xe7, 0xd7, 0xd7, 
  0xdb, 0xd3, 0xdb, 0xeb, 0xef, 0xe7, 0xe7, 0xdf, 0xdf, 0xbf, 0xb7, 0xa7, 0xb7, 0xc7, 0xdf, 0xef, 
  0xef, 0xd7, 0xc7, 0xb7, 0xaf, 0xb7, 0xe7, 0xef, 0xef, 0xd7, 0xc7, 0xdf, 0xdf, 0xef, 0xdf, 0xb7, 
  0xaf, 0xd7, 0xf7, 0xef, 0xf7, 0xdb, 0xdf, 0xe7, 0xf7, 0xe7, 0xbf, 0xaf, 0xcf, 0xef, 0xff, 0xef, 
  0xbf, 0xaf, 0xef, 0xff, 0xbf, 0xc3, 0xaf, 0xe3, 0xeb, 0xf3, 0xbf, 0xb3, 0xc7, 0xe3, 0xbf, 0x87, 
  0xab, 0xe3, 0xeb, 0xbf, 0xb7, 0xb7, 0xe7, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xef, 0xef, 
  0xef, 0xef, 0xe3, 0xd7, 0xbf, 0xc3, 0xc7, 0xc7, 0xeb, 0xcf, 0xc7, 0xe3, 0xeb, 0xcf, 0xcb, 0xdb, 
  0xd3, 0xdb, 0xdb, 0xc3, 0xcf, 0xbb, 0xbb, 0xb7, 0xcf, 0xdf, 0xcb, 0xab, 0xa3, 0xbb, 0xc7, 0xd7, 
  0xc7, 0xaf, 0xa3, 0x9b, 0xab, 0xb7, 0xcf, 0xe7, 0xc7, 0xe7, 0xdf, 0xd3, 0xc3, 0xaf, 0xab, 0xaf, 
  0xbf, 0xcb, 0xcf, 0xdb, 0xc7, 0xeb, 0xff, 0xeb, 0xe7, 0xd7, 0xab, 0xbf, 0xc7, 0xcf, 0xdb, 0xe7, 
  0xef, 0xe3, 0xcb, 0xa3, 0xa7, 0xeb, 0xf3, 0xeb, 0xb3, 0xc3, 0xe7, 0xe7, 0xfb, 0xdf, 0x9b, 0xbf, 
  0xef, 0xd7, 0xe3, 0xdf, 0xdb, 0xdb, 0xef, 0xeb, 0xd7, 0xbb, 0xbb, 0xd7, 0xfb, 0xf3, 0xbf, 0xb7, 
  0xd3, 0xf3, 0xe7, 0xcf, 0xb3, 0xcf, 0xeb, 0xf3, 0xbf, 0xa3, 0xbf, 0xe7, 0xcb, 0x8f, 0xa7, 0xd7, 
  0xef, 0xc3, 0x9f, 0x9f, 0xcf, 0xeb, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xef, 0xef, 0xef, 
  0xdb, 0xcf, 0xd7, 0xdf, 0xd7, 0xc7, 0xdf, 0xdf, 0xcf, 0xd7, 0xef, 0xd7, 0xbf, 0xdf, 0xc7, 0xc7, 
  0xd7, 0xc7, 0xb3, 0xb7, 0xc7, 0xdf, 0xd7, 0xc7, 0x97, 0x87, 0xbf, 0xd7, 0xd7, 0xaf, 0xa7, 0x9f, 
  0xa7, 0xb7, 0xd7, 0xdf, 0xe7, 0xd7, 0xb7, 0xaf, 0xbf, 0x9f, 0xb7, 0x9f, 0x9f, 0x9f, 0xb7, 0xbf, 
  0xb7, 0xcf, 0xa7, 0xc7, 0xef, 0xe7, 0xdf, 0xe7, 0xe7, 0xdf, 0xcf, 0xbf, 0xc7, 0xbf, 0xe7, 0xef, 
  0xe7, 0xb7, 0x9f, 0xc7, 0xf7, 0xf7, 0xc7, 0xb7, 0xb7, 0xd7, 0xf7, 0xef, 0xaf, 0xcf, 0xdf, 0xd7, 
  0xbf, 0xe7, 0xe7, 0xd3, 0xe7, 0xdf, 0xef, 0xd7, 0xbf, 0xc7, 0xef, 0xff, 0xdf, 0xb7, 0xc7, 0xd7, 
  0xff, 0xdf, 0xc7, 0xc7, 0xd7, 0xef, 0xdf, 0xbf, 0xaf, 0xd7, 0xe7, 0xa7, 0x8f, 0xaf, 0xef, 0xdf, 
  0xaf, 0xa7, 0xb7, 0xe7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xef, 0xef, 0xef, 0xd7, 0xbf, 0xc7, 
  0xdf, 0xeb, 0xdb, 0xcf, 0xdf, 0xef, 0xd3, 0xd3, 0xe3, 0xd7, 0xc3, 0xd3, 0xd3, 0xc7, 0xd7, 0xcf, 
  0xb3, 0xcf, 0xe7, 0xdb, 0xb3, 0xa7, 0x9f, 0xb3, 0xdb, 0xcb, 0xaf, 0x9f, 0xbb, 0xd7, 0xd7, 0xdf, 
  0xd7, 0xdb, 0xd3, 0xbf, 0xaf, 0x9f, 0xc7, 0xcf, 0xc3, 0xcb, 0xd3, 0xdb, 0xe3, 0xd7, 0xcf, 0xd7, 
  0xcb, 0xc3, 0xbf, 0xcf, 0xcb, 0xd3, 0xdf, 0xf7, 0xeb, 0xcf, 0xd3, 0xb3, 0xbb, 0xdb, 0xef, 0xe7, 
  0xc3, 0xc7, 0xc3, 0xef, 0xef, 0xb7, 0xc7, 0xd7, 0xd3, 0xeb, 0xe3, 0xdf, 0xdf, 0xe7, 0xe3, 0xcf, 
  0xf3, 0xcb, 0xb7, 0xdb, 0xeb, 0xeb, 0xbb, 0xcb, 0xdb, 0xeb, 0xef, 0xc7, 0xaf, 0xaf, 0xef, 0xef, 
  0xe3, 0xc7, 0xbb, 0xdf, 0xef, 0xcf, 0xc7, 0xcf, 0xf7, 0xbf, 0x8f, 0xa7, 0xd7, 0xef, 0xd7, 0xa7, 
  0xa3, 0xd7, 0xf3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf3, 0xef, 0xeb, 0xeb, 0xe3, 0xc3, 0xcf, 0xdf, 0xeb, 
  0xd7, 0xcb, 0xcf, 0xeb, 0xd7, 0xcb, 0xdb, 0xdb, 0xd7, 0xcf, 0xd7, 0xdf, 0xdb, 0xd3, 0xc3, 0xd7, 
  0xe7, 0xcf, 0xa7, 0xa3, 0xbf, 0xd3, 0xc7, 0xa7, 0x97, 0xa7, 0xd7, 0xdb, 0xd7, 0xd7, 0xc7, 0xbf, 
  0xc3, 0xaf, 0xb3, 0xaf, 0xd3, 0xdf, 0xd7, 0xd3, 0xd7, 0xd7, 0xef, 0xf3, 0xe7, 0xeb, 0xe7, 0xcf, 
  0xbf, 0xbb, 0xbb, 0xaf, 0xc7, 0xdb, 0xf3, 0xe7, 0xdf, 0xc3, 0xaf, 0xcb, 0xdb, 0xe7, 0xdb, 0xcf, 
  0xbf, 0xdf, 0xf3, 0xd3, 0xd7, 0xd7, 0xbb, 0xd7, 0xef, 0xe7, 0xd3, 0xdf, 0xe3, 0xd7, 0xe3, 0xdf, 
  0xbf, 0xc7, 0xe3, 0xf3, 0xcf, 0xbb, 0xcf, 0xeb, 0xf7, 0xd7, 0xab, 0xab, 0xdf, 0xef, 0xf3, 0xcb, 
  0xa3, 0xc3, 0xef, 0xe3, 0xd3, 0xd3, 0xeb, 0xd3, 0x97, 0xa3, 0xc7, 0xeb, 0xe3, 0xb3, 0x93, 0xc7, 
  0xeb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xef, 0xdb, 0xd3, 0xef, 0xdf, 0xdf, 0xe7, 0xef, 0xe7, 0xcf, 
  0xaf, 0xd7, 0xd7, 0xaf, 0xe7, 0xeb, 0xd7, 0xd7, 0xd7, 0xdf, 0xe7, 0xdf, 0xdf, 0xd7, 0xcf, 0xb7, 
  0xa7, 0xc7, 0xd7, 0xcf, 0xa7, 0xaf, 0x9f, 0xb7, 0xdf, 0xcb, 0xcf, 0xbf, 0x9f, 0xb7, 0xc7, 0xbf, 
  0xe7, 0xdf, 0xdf, 0xdf, 0xd7, 0xd7, 0xdf, 0xcf, 0xe7, 0xdf, 0xe7, 0xe7, 0xd3, 0xe7, 0xef, 0xcf, 
  0x9f, 0x9f, 0xaf, 0xa7, 0xc7, 0xdf, 0xef, 0xdf, 0xcf, 0xc7, 0xc7, 0xc7, 0xc7, 0xef, 0xef, 0xc7, 
  0xef, 0xf7, 0xf7, 0xe7, 0xbf, 0xb7, 0xdf, 0xef, 0xef, 0xdf, 0xc7, 0xcf, 0xd7, 0xef, 0xcf, 0xbf, 
  0xcf, 0xef, 0xf3, 0xbf, 0xc7, 0xdf, 0xef, 0xf7, 0xd7, 0xc7, 0xc7, 0xcf, 0xff, 0xdf, 0x9f, 0xa7, 
  0xdf, 0xff, 0xe7, 0xbf, 0xc7, 0xdf, 0xcf, 0xab, 0xbb, 0xd7, 0xef, 0xd7, 0x8f, 0xa7, 0xd7, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xef, 0xef, 0xe7, 0xd3, 0xdb, 0xf3, 0xeb, 0xd3, 0xe7, 0xeb, 0xcb, 0xcf, 0xe3, 
  0xbf, 0xbf, 0xd3, 0xcf, 0xd3, 0xdb, 0xeb, 0xdf, 0xe7, 0xd3, 0xbf, 0xaf, 0xc3, 0xc7, 0xd3, 0xd7, 
  0xbf, 0xbf, 0xbf, 0xdb, 0xcf, 0xc7, 0xc3, 0xb3, 0xc3, 0xa7, 0xb7, 0xe3, 0xe3, 0xe3, 0xd3, 0xcf, 
  0xc3, 0xb3, 0xa7, 0xcf, 0xc3, 0xa7, 0xb7, 0xb3, 0xa7, 0xcb, 0xbf, 0xd3, 0xf3, 0xe3, 0xdb, 0xdb, 
  0xcb, 0xb7, 0xaf, 0xb7, 0xb3, 0xc3, 0xe3, 0xe7, 0xd7, 0xc7, 0xaf, 0xcb, 0xef, 0xeb, 0xe3, 0xf3, 
  0xef, 0xef, 0xd3, 0xaf, 0xc3, 0xe7, 0xe7, 0xdb, 0xd7, 0xcb, 0xdf, 0xef, 0xeb, 0xd3, 0xcf, 0xe3, 
  0xef, 0xe3, 0xd3, 0xcb, 0xdf, 0xef, 0xef, 0xd7, 0xcb, 0xb3, 0xef, 0xef, 0xb7, 0xab, 0xbf, 0xf7, 
  0xef, 0xcf, 0xc7, 0xd3, 0xef, 0xcf, 0xb3, 0xbf, 0xc3, 0xe7, 0xc7, 0xa3, 0xcf, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xef, 0xef, 0xef, 0xe7, 0xdf, 0xdf, 0xdf, 0xcb, 0xe7, 0xe7, 0xd7, 0xd3, 0xef, 0xcb, 0xbf, 
  0xc3, 0xbf, 0xcb, 0xdf, 0xf3, 0xe7, 0xdb, 0xbf, 0xb7, 0xaf, 0xc7, 0xd7, 0xd7, 0xc7, 0xab, 0xbf, 
  0xd3, 0xe3, 0xcf, 0xbf, 0xa3, 0xa7, 0xc7, 0xb3, 0xd3, 0xe7, 0xe7, 0xcf, 0xb7, 0xab, 0xaf, 0xb7, 
  0x9b, 0xc3, 0xc7, 0xaf, 0xc3, 0xb3, 0xaf, 0xc7, 0xa7, 0xbf, 0xdb, 0xd7, 0xd7, 0xe7, 0xe7, 0xd7, 
  0xcf, 0xbb, 0x97, 0x9f, 0xc7, 0xe3, 0xef, 0xdb, 0xc3, 0xbb, 0xd7, 0xeb, 0xcf, 0xf7, 0xef, 0xf3, 
  0xdf, 0xb7, 0xbf, 0xdb, 0xd7, 0xe7, 0xdb, 0xcb, 0xd3, 0xeb, 0xef, 0xdf, 0xcf, 0xd7, 0xeb, 0xef, 
  0xe3, 0xd3, 0xd3, 0xef, 0xef, 0xe3, 0xcb, 0xa7, 0xeb, 0xef, 0xc7, 0xb3, 0xb7, 0xeb, 0xf3, 0xdf, 
  0xc7, 0xcf, 0xef, 0xe3, 0xbb, 0xbb, 0xb7, 0xe3, 0xef, 0xc3, 0xa7, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 
  0xef, 0xef, 0xe7, 0xd7, 0xd7, 0xdf, 0xcf, 0xe7, 0xef, 0xe7, 0xcf, 0xf7, 0xef, 0xbf, 0xc7, 0xcf, 
  0xcf, 0xe7, 0xef, 0xd7, 0xbf, 0xc7, 0xcf, 0xcf, 0xd7, 0xd7, 0xaf, 0xaf, 0x9f, 0xc3, 0xcf, 0xe7, 
  0xbf, 0x9f, 0xa7, 0xbf, 0xc7, 0xbf, 0xdf, 0xc7, 0xcf, 0xaf, 0xaf, 0xaf, 0xa7, 0xd7, 0xc7, 0xc7, 
  0xdf, 0xdf, 0xe7, 0xe7, 0xe7, 0xcf, 0xaf, 0xc7, 0xcf, 0xaf, 0xa7, 0xb7, 0xdf, 0xe7, 0xdf, 0xdf, 
  0xbf, 0xb7, 0xa7, 0xaf, 0xdf, 0xf7, 0xe7, 0xd7, 0xb7, 0xcf, 0xd7, 0xef, 0xf7, 0xdf, 0xe7, 0xe7, 
  0xcf, 0xc7, 0xdf, 0xf7, 0xf7, 0xcf, 0xaf, 0xcf, 0xef, 0xe7, 0xbf, 0xbf, 0xd7, 0xef, 0xef, 0xdf, 
  0xc7, 0xd7, 0xfb, 0xe7, 0xd7, 0x9f, 0xc7, 0xef, 0xef, 0xcf, 0xc7, 0xcf, 0xf7, 0xe7, 0xb7, 0xbf, 
  0xef, 0xef, 0xcf, 0xc7, 0xcf, 0xd7, 0xef, 0xd7, 0xbf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf3, 0xf3, 0xef, 
  0xdf, 0xdb, 0xd3, 0xd7, 0xcb, 0xe3, 0xe7, 0xe3, 0xdb, 0xeb, 0xef, 0xdb, 0xcf, 0xdf, 0xcb, 0xe3, 
  0xe7, 0xd3, 0xbf, 0xdb, 0xd7, 0xe3, 0xdf, 0xb7, 0xab, 0xc3, 0xcf, 0xdf, 0xc7, 0xd7, 0xc3, 0xaf, 
  0xcf, 0xe7, 0xcf, 0xbb, 0xbb, 0xa7, 0xbb, 0xc7, 0xdb, 0xdf, 0xdf, 0xdf, 0xdb, 0xdb, 0xc7, 0xc7, 
  0xcf, 0xef, 0xeb, 0xeb, 0xc7, 0xd3, 0xd3, 0xbb, 0x9b, 0x7f, 0x93, 0xc3, 0xdb, 0xcf, 0xcb, 0xd3, 
  0xcb, 0xb7, 0xa3, 0xd3, 0xeb, 0xe7, 0xdf, 0xe7, 0xd3, 0xd7, 0xf3, 0xcb, 0xc7, 0xeb, 0xe3, 0xc3, 
  0xdb, 0xeb, 0xef, 0xe7, 0xbf, 0xc3, 0xe7, 0xeb, 0xcf, 0xcb, 0xbb, 0xdb, 0xef, 0xdf, 0xbb, 0xc3, 
  0xe3, 0xf3, 0xeb, 0xab, 0xbf, 0xf3, 0xf3, 0xd3, 0xc3, 0xbf, 0xe7, 0xeb, 0xaf, 0xbb, 0xe3, 0xef, 
  0xe7, 0xd3, 0xc3, 0xc3, 0xeb, 0xf3, 0xcf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xef, 0xef, 0xef, 0xd7, 0xd7, 
  0xdf, 0xcf, 0xcf, 0xdf, 0xdf, 0xdf, 0xdb, 0xeb, 0xef, 0xdb, 0xc7, 0xdf, 0xc7, 0xd7, 0xdf, 0xc3, 
  0xbb, 0xdb, 0xdb, 0xd7, 0xbf, 0xaf, 0xbf, 0xdb, 0xdb, 0xd7, 0xb7, 0xd3, 0xdb, 0xcf, 0xd3, 0xe3, 
  0xcb, 0xab, 0xab, 0xb3, 0xcf, 0xdb, 0xe3, 0xdf, 0xd7, 0xbb, 0xbb, 0xb7, 0xab, 0x9b, 0xaf, 0xd7, 
  0xd7, 0xdb, 0xc3, 0xbb, 0xdb, 0xd3, 0xb7, 0x8b, 0x83, 0xa7, 0xc7, 0xdb, 0xdb, 0xcb, 0xdb, 0xc7, 
  0xa3, 0xc3, 0xdf, 0xdf, 0xdf, 0xef, 0xcf, 0xc7, 0xe7, 0xd3, 0xb3, 0xdb, 0xeb, 0xcf, 0xcb, 0xdf, 
  0xef, 0xef, 0xbf, 0xcb, 0xdb, 0xdf, 0xe3, 0xd3, 0xbf, 0xcb, 0xef, 0xef, 0xc7, 0xc7, 0xcf, 0xf3, 
  0xef, 0xc3, 0xa7, 0xe7, 0xef, 0xeb, 0xc3, 0xb3, 0xdf, 0xef, 0xbb, 0xb7, 0xdb, 0xef, 0xef, 0xe3, 
  0xbf, 0xb7, 0xe3, 0xf3, 0xd7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf3, 0xef, 0xef, 0xdb, 0xc7, 0xdf, 0xdf, 
  0xdf, 0xdf, 0xdf, 0xe7, 0xcf, 0xe7, 0xf7, 0xdf, 0xcf, 0xd7, 0xd3, 0xbb, 0xc7, 0xaf, 0xdf, 0xe7, 
  0xcf, 0xb7, 0xb7, 0xa7, 0xdf, 0xdf, 0xd7, 0xc7, 0xbf, 0xe7, 0xef, 0xe7, 0xa7, 0xbf, 0xaf, 0xaf, 
  0xc7, 0xd7, 0xe7, 0xcf, 0xcf, 0xaf, 0xa7, 0xa7, 0xa7, 0xaf, 0x9f, 0x97, 0x8f, 0x9f, 0x97, 0xaf, 
  0xbf, 0xbf, 0xe7, 0xdf, 0xdf, 0xd7, 0xb7, 0xaf, 0xa7, 0xbf, 0xe7, 0xb7, 0xaf, 0xdf, 0xd7, 0xc7, 
  0xc7, 0xd7, 0xd7, 0xef, 0xdf, 0xaf, 0xc7, 0xeb, 0xb7, 0xcf, 0xe7, 0xf7, 0xdf, 0xc7, 0xdf, 0xef, 
  0xcf, 0xcf, 0xd7, 0xdf, 0xff, 0xdf, 0xbf, 0xaf, 0xe7, 0xf7, 0xd7, 0xc7, 0xc7, 0xdf, 0xf7, 0xc7, 
  0xcf, 0xcf, 0xe7, 0xf7, 0xd7, 0xb7, 0xc7, 0xef, 0xe7, 0xcb, 0xcf, 0xdf, 0xef, 0xe7, 0xaf, 0xaf, 
  0xc7, 0xef, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf3, 0xef, 0xef, 0xe3, 0xcb, 0xdf, 0xe7, 0xdb, 0xe3, 
  0xdf, 0xcb, 0xdb, 0xeb, 0xf3, 0xdb, 0xc7, 0xcf, 0xbb, 0xcf, 0xbb, 0xb3, 0xdf, 0xe3, 0xbb, 0xb3, 
  0xcb, 0xdb, 0xd7, 0xc3, 0xcf, 0xd3, 0xdb, 0xe7, 0xe7, 0xcf, 0xaf, 0xb7, 0xbb, 0xd7, 0xd3, 0xd3, 
  0xbf, 0xb7, 0xab, 0xab, 0xbf, 0xcf, 0xd7, 0xd7, 0xd7, 0xd7, 0xc7, 0xb7, 0x9f, 0x97, 0x97, 0x97, 
  0xa7, 0xcf, 0xcf, 0xdb, 0xe3, 0xc7, 0xaf, 0xa7, 0xc3, 0xd3, 0xb7, 0xc7, 0xe3, 0xd3, 0xab, 0xa7, 
  0xe3, 0xeb, 0xeb, 0xcf, 0xc3, 0xdf, 0xe7, 0xc3, 0xc7, 0xeb, 0xeb, 0xcf, 0xcb, 0xf3, 0xeb, 0xcb, 
  0xc3, 0xbf, 0xeb, 0xf3, 0xd3, 0xaf, 0xcb, 0xeb, 0xef, 0xcf, 0xb3, 0xcb, 0xeb, 0xe7, 0xbb, 0xc3, 
  0xcf, 0xef, 0xdb, 0xb7, 0xb3, 0xd7, 0xeb, 0xcf, 0xc3, 0xbf, 0xdf, 0xe7, 0xcb, 0xcf, 0xc7, 0xe3, 
  0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xf7, 0xef, 0xef, 0xef, 0xe7, 0xd7, 0xd7, 0xe7, 0xe3, 0xdb, 0xd7, 0xd7, 
  0xdf, 0xef, 0xf3, 0xe3, 0xbf, 0xcb, 0xc3, 0xdf, 0xcb, 0xc7, 0xd7, 0xdb, 0xcb, 0xbb, 0xd7, 0xd7, 
  0xc3, 0xb7, 0xd3, 0xd3, 0xe3, 0xdb, 0xd3, 0xd7, 0xc7, 0xd3, 0xd3, 0xdf, 0xbb, 0xb7, 0xa3, 0xbb, 
  0xbf, 0xbf, 0xd7, 0xdf, 0xef, 0xe3, 0xe7, 0xe7, 0xdb, 0xd7, 0xbf, 0xa3, 0x9b, 0x8f, 0x97, 0xb7, 
  0xb3, 0xbf, 0xdf, 0xdf, 0xc7, 0xa7, 0xaf, 0xc3, 0xd7, 0xbf, 0xd7, 0xe7, 0xa3, 0x8f, 0xd3, 0xe3, 
  0xdb, 0xe3, 0xc7, 0xcf, 0xef, 0xd7, 0xaf, 0xdb, 0xef, 0xcb, 0xbb, 0xeb, 0xef, 0xd3, 0xbb, 0xbf, 
  0xd7, 0xf3, 0xe3, 0xb7, 0xb3, 0xdf, 0xef, 0xdf, 0xb3, 0xbf, 0xe3, 0xf3, 0xc3, 0xb3, 0xc7, 0xef, 
  0xe3, 0xc3, 0xa7, 0xd3, 0xe7, 0xe3, 0xc7, 0xb3, 0xd3, 0xe3, 0xe7, 0xdb, 0xcb, 0xcf, 0xeb, 0xfb, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xef, 0xef, 0xef, 0xef, 0xd7, 0xbf, 0xd7, 0xdf, 0xdf, 0xdf, 0xd7, 0xcf, 0xe7, 
  0xf7, 0xdf, 0xb7, 0xcf, 0xd7, 0xe7, 0xef, 0xd7, 0xc7, 0xcf, 0xdf, 0xd7, 0xd7, 0xb7, 0xb7, 0xd7, 
  0xe7, 0xc7, 0xbf, 0xc7, 0xc7, 0xdf, 0xdf, 0xe7, 0xc7, 0xcf, 0xaf, 0xb7, 0xbf, 0xd7, 0xe3, 0xe3, 
  0xc7, 0xbf, 0xbf, 0xbf, 0xd7, 0xbf, 0xbf, 0xdf, 0xef, 0xdf, 0xcf, 0xb7, 0xbf, 0xaf, 0xa7, 0xaf, 
  0xbf, 0xef, 0xe7, 0xc7, 0xa7, 0xaf, 0xdf, 0xdf, 0xc7, 0xef, 0xbf, 0x97, 0xaf, 0xdf, 0xb7, 0xd7, 
  0xdf, 0xcf, 0xdf, 0xe7, 0xa7, 0x9f, 0xdf, 0xdf, 0xaf, 0xcf, 0xef, 0xef, 0xbf, 0xbf, 0xbf, 0xef, 
  0xef, 0xc7, 0xa7, 0xcf, 0xef, 0xe7, 0xbf, 0xb7, 0xcf, 0xf7, 0xdf, 0x9f, 0xb7, 0xe7, 0xef, 0xc7, 
  0xa7, 0xbf, 0xef, 0xef, 0xd7, 0xaf, 0xbf, 0xcf, 0xef, 0xdf, 0xc7, 0xc7, 0xdf, 0xef, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xf3, 0xef, 0xef, 0xef, 0xe7, 0xe3, 0xd7, 0xb7, 0xe3, 0xf7, 0xeb, 0xcb, 0xbb, 0xc7, 0xef, 0xeb, 
  0xdb, 0xc3, 0xd7, 0xdf, 0xe7, 0xd7, 0xb7, 0xcf, 0xe3, 0xeb, 0xbf, 0xb3, 0xbf, 0xdf, 0xe7, 0xbf, 
  0xb3, 0xd7, 0xc3, 0xeb, 0xef, 0xd3, 0xa7, 0xbf, 0xcb, 0xd3, 0xd7, 0xd7, 0xb7, 0xab, 0xb3, 0x97, 
  0x9f, 0xab, 0xbb, 0x9f, 0xa3, 0xc3, 0xd7, 0xd7, 0xd3, 0xcb, 0xe3, 0xeb, 0xdf, 0xb3, 0xb7, 0xbf, 
  0xe3, 0xdf, 0xd3, 0xc3, 0xcb, 0xc3, 0xdf, 0xd7, 0xe3, 0xb3, 0xab, 0xd3, 0xd3, 0xa7, 0xdb, 0xaf, 
  0xaf, 0xeb, 0xd3, 0x9f, 0xbf, 0xef, 0xdf, 0xbb, 0xe3, 0xef, 0xd3, 0xbb, 0xa7, 0xdf, 0xef, 0xd7, 
  0xb7, 0xb7, 0xe3, 0xef, 0xd3, 0xaf, 0xb7, 0xef, 0xef, 0xc3, 0xbb, 0xd3, 0xef, 0xdf, 0xa7, 0xaf, 
  0xdf, 0xef, 0xe7, 0xc7, 0xaf, 0xbb, 0xe7, 0xdb, 0xcb, 0xbb, 0xb7, 0xdf, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf3, 
  0xef, 0xef, 0xe3, 0xdb, 0xd7, 0xbf, 0xe3, 0xf7, 0xef, 0xd7, 0xbb, 0xbb, 0xef, 0xeb, 0xdf, 0xcb, 
  0xcb, 0xd7, 0xd7, 0xcb, 0xb7, 0xd3, 0xdb, 0xdf, 0xbb, 0xbb, 0xc3, 0xdf, 0xe7, 0xbf, 0xbf, 0xc7, 
  0xcf, 0xef, 0xe3, 0xc7, 0xb7, 0xd3, 0xe7, 0xdb, 0xd7, 0xc7, 0xa7, 0x9f, 0xaf, 0x9f, 0xa3, 0xbb, 
  0xb7, 0xaf, 0xb3, 0xbf, 0xcf, 0xbf, 0xcb, 0xc7, 0xdb, 0xef, 0xeb, 0xc3, 0xab, 0x9f, 0xcb, 0xdb, 
  0xeb, 0xcb, 0xb7, 0xb3, 0xdf, 0xd7, 0xe7, 0xcb, 0xab, 0xc7, 0xe3, 0xab, 0xd7, 0xa7, 0x8f, 0xd7, 
  0xeb, 0xb7, 0xb3, 0xe3, 0xef, 0xc3, 0xcf, 0xeb, 0xe7, 0xbf, 0x9b, 0xcb, 0xef, 0xdb, 0xb3, 0xb7, 
  0xcf, 0xef, 0xd7, 0xa7, 0xaf, 0xdf, 0xef, 0xd3, 0xb7, 0xd3, 0xe7, 0xeb, 0xc7, 0xb7, 0xdb, 0xeb, 
  0xeb, 0xd7, 0xaf, 0xb7, 0xe7, 0xe7, 0xdb, 0xaf, 0xab, 0xdb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xef, 0xef, 
  0xef, 0xd7, 0xdf, 0xdf, 0xdf, 0xe7, 0xef, 0xd7, 0xb7, 0xbf, 0xe7, 0xdf, 0xd7, 0xe7, 0xe7, 0xdf, 
  0xc7, 0xbf, 0xcf, 0xd7, 0xc7, 0xc7, 0xc7, 0xcf, 0xd7, 0xd7, 0xdf, 0xe7, 0xd7, 0xbb, 0xdf, 0xd7, 
  0xd7, 0xd7, 0xcf, 0xdf, 0xe7, 0xcf, 0xb7, 0xaf, 0xa7, 0xb7, 0xcf, 0xbf, 0xcf, 0xcf, 0xcf, 0xe7, 
  0xe7, 0xdf, 0xcf, 0xa7, 0xaf, 0x9f, 0xaf, 0xcf, 0xef, 0xef, 0xc7, 0x97, 0xc7, 0xd7, 0xef, 0xe7, 
  0xa7, 0xb7, 0xc7, 0xdf, 0xd7, 0xdf, 0xcf, 0xbf, 0xd7, 0xc7, 0xd7, 0x9f, 0x87, 0xa7, 0xe7, 0xcf, 
  0xa7, 0xb7, 0xef, 0xcf, 0xaf, 0xcf, 0xef, 0xdf, 0xb7, 0xb7, 0xcb, 0xeb, 0xc7, 0xbf, 0xaf, 0xef, 
  0xd7, 0x8f, 0x8f, 0xc7, 0xef, 0xdf, 0xb7, 0xc7, 0xd7, 0xef, 0xe7, 0xbf, 0xcf, 0xe7, 0xdf, 0xdf, 
  0xa7, 0xaf, 0xdf, 0xf7, 0xe7, 0xa7, 0x9f, 0xcf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf3, 0xef, 0xef, 0xf3, 0xef, 
  0xe7, 0xd3, 0xc7, 0xd7, 0xdf, 0xd7, 0xb7, 0xcb, 0xe7, 0xdf, 0xc7, 0xdf, 0xeb, 0xdf, 0xcf, 0xcb, 
  0xcb, 0xc7, 0xcb, 0xc3, 0xdb, 0xdb, 0xd3, 0xdf, 0xd3, 0xeb, 0xdf, 0xcb, 0xd7, 0xe3, 0xe3, 0xeb, 
  0xd3, 0xd3, 0xc3, 0xbf, 0xc3, 0xd3, 0xcb, 0xdb, 0xe3, 0xd3, 0xbb, 0xcb, 0xd3, 0xdb, 0xdb, 0xdf, 
  0xdf, 0xb7, 0x9f, 0x9f, 0xaf, 0xb7, 0xdf, 0xef, 0xcf, 0x9f, 0xb7, 0xcf, 0xef, 0xef, 0xbf, 0xb7, 
  0xbf, 0xdf, 0xcf, 0xef, 0xe7, 0xb7, 0xcf, 0xdf, 0xe7, 0xb7, 0x87, 0xa7, 0xef, 0xe7, 0xb7, 0x97, 
  0xe7, 0xd7, 0x9f, 0xaf, 0xe7, 0xef, 0xcf, 0xb7, 0xaf, 0xef, 0xe7, 0xc7, 0xbf, 0xbf, 0xef, 0xb7, 
  0x97, 0xa7, 0xd7, 0xeb, 0xc3, 0xaf, 0xbb, 0xe3, 0xef, 0xcf, 0xd7, 0xe7, 0xd7, 0xe7, 0xbf, 0xb7, 
  0xdf, 0xef, 0xef, 0xc7, 0xaf, 0xd7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xf7, 0xef, 0xeb, 0xeb, 0xef, 0xe7, 0xd3, 0xd3, 
  0xcf, 0xdf, 0xdf, 0xc7, 0xbf, 0xdb, 0xef, 0xc3, 0xc7, 0xd7, 0xe3, 0xdf, 0xd7, 0xdb, 0xc3, 0xd7, 
  0xcf, 0xd3, 0xdf, 0xcf, 0xcf, 0xdf, 0xcf, 0xeb, 0xcf, 0xbf, 0xd3, 0xe7, 0xe7, 0xe7, 0xd7, 0xbb, 
  0xb7, 0xcf, 0xcf, 0xd7, 0xd7, 0xdf, 0xdf, 0xcf, 0xcb, 0xc3, 0xcb, 0xdb, 0xd3, 0xcf, 0xd7, 0xcb, 
  0xc7, 0xb7, 0xbf, 0xbb, 0xb7, 0xcf, 0xef, 0xcf, 0xbf, 0xaf, 0xdf, 0xf3, 0xcf, 0xd3, 0xc7, 0xcf, 
  0xe7, 0xc7, 0xeb, 0xc7, 0xb7, 0xe3, 0xef, 0xd3, 0xa7, 0xb7, 0xd3, 0xef, 0xc7, 0x9b, 0xcf, 0xe7, 
  0x9f, 0x8b, 0xcf, 0xef, 0xd7, 0xab, 0xa7, 0xe3, 0xef, 0xd7, 0xc3, 0xbf, 0xeb, 0xdb, 0xa3, 0x93, 
  0xb3, 0xeb, 0xe7, 0xb3, 0x9f, 0xdb, 0xef, 0xeb, 0xc3, 0xcf, 0xd3, 0xd7, 0xe7, 0xd3, 0xbf, 0xd7, 
  0xef, 0xeb, 0xcb, 0xaf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf7, 0xef, 0xd7, 0xd7, 0xef, 0xcf, 0xcf, 0xdf, 0xcf, 0xdf, 
  0xd7, 0xdf, 0xbf, 0xd7, 0xef, 0xcf, 0xbf, 0xb7, 0xdf, 0xef, 0xe7, 0xcf, 0xc7, 0xe7, 0xef, 0xef, 
  0xdf, 0xb7, 0xc7, 0xef, 0xdf, 0xdb, 0xc7, 0xbb, 0xc7, 0xeb, 0xe7, 0xd3, 0xcf, 0xb7, 0xbf, 0xdf, 
  0xd3, 0xd7, 0xd7, 0xd7, 0xcf, 0xb7, 0xc7, 0xb7, 0xb7, 0xcf, 0xbf, 0xcb, 0xcb, 0xcb, 0xcf, 0xc7, 
  0xcb, 0xc7, 0xc7, 0xc7, 0xf3, 0xef, 0xbf, 0xa7, 0xc7, 0xef, 0xdf, 0xc7, 0xc3, 0xb7, 0xef, 0xbf, 
  0xeb, 0xd3, 0xbb, 0xdf, 0xef, 0xdb, 0xc7, 0xb3, 0xcb, 0xef, 0xd7, 0x9f, 0xbf, 0xef, 0xbb, 0x83, 
  0xbb, 0xef, 0xe7, 0xbb, 0xb3, 0xd3, 0xef, 0xdf, 0xbf, 0xaf, 0xe3, 0xeb, 0xc7, 0x9f, 0xb7, 0xe7, 
  0xe3, 0xbf, 0x9f, 0xcb, 0xeb, 0xe3, 0xbf, 0xbb, 0xc7, 0xd3, 0xdf, 0xe7, 0xc7, 0xc7, 0xe3, 0xef, 
  0xe3, 0xc7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xfb, 0xfb, 0xef, 0xd3, 0xdf, 0xeb, 0xdf, 0xd3, 0xd7, 0xcf, 0xdb, 0xdf, 0xcf, 
  0xb3, 0xc7, 0xef, 0xdf, 0xcf, 0xc7, 0xe7, 0xef, 0xef, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xc7, 
  0xcf, 0xef, 0xe7, 0xdf, 0xd7, 0xcf, 0xdf, 0xef, 0xcf, 0xaf, 0xc7, 0xd7, 0xdf, 0xd7, 0xd7, 0xbf, 
  0xaf, 0xb7, 0xc7, 0xaf, 0xb7, 0xc7, 0xa7, 0x9f, 0x9f, 0xb7, 0xa7, 0xc7, 0xd7, 0xbf, 0xc7, 0xd7, 
  0xdf, 0xcf, 0xe7, 0xef, 0xcf, 0xb7, 0x9f, 0xe7, 0xef, 0xcf, 0xbf, 0x9f, 0xdf, 0xbf, 0xdf, 0xef, 
  0xc7, 0xcf, 0xef, 0xbf, 0xe7, 0xaf, 0xaf, 0xe7, 0xe7, 0x8f, 0x9f, 0xe7, 0xe7, 0xa7, 0xaf, 0xef, 
  0xef, 0xd7, 0xcf, 0xbf, 0xe7, 0xef, 0xcf, 0xbf, 0xd7, 0xf7, 0xe7, 0xaf, 0xbf, 0xe7, 0xcf, 0xd7, 
  0xb7, 0xbf, 0xdf, 0xd7, 0xcf, 0xa7, 0xaf, 0xdf, 0xd7, 0xef, 0xcf, 0xaf, 0xbf, 0xe7, 0xef, 0xdf, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xf7, 0xf3, 0xdf, 0xdb, 0xe7, 0xe7, 0xdb, 0xdf, 0xdb, 0xe7, 0xe7, 0xcf, 0xc7, 0xdf, 
  0xef, 0xef, 0xdf, 0xcf, 0xdb, 0xe7, 0xef, 0xe3, 0xbf, 0xcf, 0xd3, 0xc3, 0xd7, 0xa7, 0xc3, 0xe3, 
  0xcf, 0xc3, 0xd7, 0xdb, 0xdb, 0xdb, 0xc7, 0xbf, 0xcf, 0xe3, 0xe3, 0xdf, 0xdb, 0xbf, 0xbb, 0xab, 
  0xbf, 0xa3, 0x9f, 0xdb, 0xb3, 0xc7, 0xc7, 0xbf, 0xb7, 0xaf, 0xbb, 0xdb, 0xd3, 0xe3, 0xd7, 0xc7, 
  0xe3, 0xef, 0xef, 0xb3, 0x93, 0xbb, 0xf3, 0xe3, 0xaf, 0xa7, 0xcb, 0xcb, 0xc7, 0xef, 0xbb, 0xbf, 
  0xd3, 0xcb, 0xdf, 0xc3, 0x9f, 0xcb, 0xeb, 0x9f, 0x8b, 0xcf, 0xef, 0xcb, 0xc7, 0xeb, 0xef, 0xe3, 
  0xcb, 0xbb, 0xdb, 0xef, 0xdf, 0xb3, 0xcb, 0xef, 0xeb, 0xd3, 0xbf, 0xdb, 0xdf, 0xeb, 0xbf, 0xc3, 
  0xc3, 0xd7, 0xd3, 0xbf, 0xa3, 0xd3, 0xef, 0xe3, 0xd3, 0xbf, 0xb3, 0xcb, 0xef, 0xe7, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xf3, 0xf3, 0xeb, 0xd3, 0xd3, 0xdf, 0xe7, 0xe7, 0xdf, 0xe7, 0xeb, 0xdb, 0xd3, 0xdb, 0xeb, 0xef, 
  0xe3, 0xbb, 0xcb, 0xd7, 0xeb, 0xd7, 0xb3, 0xcb, 0xbf, 0xb7, 0xcf, 0xab, 0xcb, 0xd7, 0xc3, 0xb7, 
  0xdb, 0xdf, 0xcb, 0xc3, 0xc3, 0xcb, 0xd7, 0xcb, 0xc7, 0xdb, 0xdf, 0xd3, 0xcf, 0xb7, 0xc3, 0xbb, 
  0xa7, 0xd3, 0xcb, 0xd3, 0xd3, 0xcb, 0xc3, 0xbb, 0xaf, 0xd7, 0xdf, 0xe3, 0xe3, 0xd3, 0xd7, 0xd7, 
  0xef, 0xcf, 0xa3, 0xab, 0xf3, 0xeb, 0xaf, 0xab, 0xcb, 0xcf, 0xb7, 0xeb, 0xb3, 0xaf, 0xc3, 0xd7, 
  0xe7, 0xd7, 0xa7, 0xbf, 0xef, 0xb7, 0x87, 0xc3, 0xef, 0xcb, 0xc7, 0xd7, 0xef, 0xeb, 0xc7, 0xb7, 
  0xd3, 0xef, 0xe7, 0xb7, 0xcb, 0xeb, 0xef, 0xe3, 0xdb, 0xdb, 0xef, 0xeb, 0xcf, 0xc7, 0xbb, 0xe3, 
  0xd7, 0xcf, 0xa3, 0xbf, 0xeb, 0xd3, 0xd7, 0xd3, 0xbf, 0xbf, 0xe3, 0xef, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xef, 
  0xef, 0xdf, 0xc7, 0xdb, 0xeb, 0xeb, 0xd7, 0xcf, 0xe7, 0xd7, 0xc7, 0xcf, 0xdf, 0xef, 0xdf, 0xbf, 
  0xcf, 0xd7, 0xdf, 0xd7, 0xcf, 0xd7, 0xb7, 0xaf, 0xc7, 0xcf, 0xd7, 0xb7, 0xd7, 0xcf, 0xe7, 0xd7, 
  0xa7, 0x9f, 0xcf, 0xdf, 0xd7, 0x9f, 0xa7, 0xc7, 0xcf, 0xd7, 0xc7, 0xcf, 0xcf, 0xcf, 0xc7, 0xbf, 
  0xe7, 0xcf, 0xaf, 0xb7, 0xdf, 0xd7, 0xb7, 0xbf, 0xdf, 0xdf, 0xef, 0xe7, 0xd7, 0xc7, 0xe7, 0xe7, 
  0xc7, 0xaf, 0xd7, 0xf7, 0xc7, 0xaf, 0xbf, 0xc7, 0xa7, 0xe7, 0xb7, 0x97, 0xc7, 0xc7, 0xef, 0xe7, 
  0xaf, 0xaf, 0xe7, 0xdf, 0x97, 0xaf, 0xef, 0xe7, 0xb7, 0xa7, 0xe7, 0xef, 0xbf, 0x8f, 0xb7, 0xef, 
  0xe7, 0xb7, 0xc7, 0xe7, 0xef, 0xdf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xcf, 0xc7, 0xef, 0xe7, 0xdf, 
  0xb7, 0x97, 0xe7, 0xcf, 0xcf, 0xdf, 0xd7, 0xa7, 0xc7, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xfb, 0xef, 0xef, 0xeb, 
  0xd7, 0xeb, 0xef, 0xe3, 0xd7, 0xdf, 0xdf, 0xcf, 0xdb, 0xcf, 0xdf, 0xe3, 0xe3, 0xc7, 0xcb, 0xd7, 
  0xdf, 0xe7, 0xe3, 0xc7, 0xcb, 0xbb, 0xd7, 0xe7, 0xcf, 0xb3, 0xd7, 0xe7, 0xd7, 0xd3, 0xb3, 0xb7, 
  0xdf, 0xd3, 0xc3, 0xbf, 0xdb, 0xd3, 0xbb, 0xcb, 0xd7, 0xbf, 0x9f, 0xb7, 0xdf, 0xcf, 0xef, 0xdf, 
  0xbf, 0xbf, 0xdf, 0xef, 0xcf, 0xcf, 0xd7, 0xd7, 0xef, 0xef, 0xdf, 0xc7, 0xdf, 0xff, 0xcf, 0xc7, 
  0xdf, 0xef, 0xef, 0xbf, 0xb7, 0xd7, 0xaf, 0xe7, 0xaf, 0xaf, 0xcf, 0xaf, 0xe7, 0xef, 0x9f, 0x97, 
  0xdf, 0xf7, 0xb7, 0x97, 0xdf, 0xef, 0xbf, 0x97, 0xdf, 0xef, 0xbf, 0x87, 0xa7, 0xdf, 0xd7, 0xa7, 
  0xa7, 0xd7, 0xef, 0xdf, 0xc7, 0xcf, 0xe7, 0xef, 0xe7, 0xe7, 0xd7, 0xef, 0xe7, 0xdf, 0xbf, 0x9f, 
  0xbf, 0xe7, 0xd3, 0xdf, 0xef, 0xcf, 0x8f, 0xaf, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xfb, 0xef, 0xeb, 0xe3, 0xdf, 0xef, 
  0xeb, 0xdb, 0xd7, 0xe3, 0xdb, 0xd3, 0xdf, 0xd7, 0xe3, 0xdf, 0xe7, 0xcf, 0xc7, 0xd7, 0xd7, 0xeb, 
  0xdb, 0xc7, 0xdb, 0xcb, 0xeb, 0xe7, 0xcf, 0xaf, 0xdf, 0xeb, 0xc3, 0xdb, 0xbb, 0xd3, 0xdb, 0xbf, 
  0xb7, 0xc7, 0xeb, 0xd7, 0xb3, 0xd3, 0xeb, 0xbf, 0x97, 0xbb, 0xcb, 0xc3, 0xcf, 0xd3, 0xb7, 0xdb, 
  0xeb, 0xdf, 0xd7, 0xd7, 0xe3, 0xd7, 0xdf, 0xef, 0xef, 0xcb, 0xd7, 0xf7, 0xf3, 0xcb, 0xdf, 0xf3, 
  0xf3, 0xc7, 0xb7, 0xe3, 0xcf, 0xe7, 0xa7, 0xb3, 0xe7, 0xaf, 0xbb, 0xef, 0xb7, 0x9b, 0xbf, 0xef, 
  0xd7, 0xb3, 0xd3, 0xef, 0xdb, 0xab, 0xbb, 0xef, 0xdb, 0xab, 0xb3, 0xe7, 0xd3, 0xa7, 0x97, 0xb3, 
  0xef, 0xe7, 0xb3, 0xbf, 0xd7, 0xdf, 0xdf, 0xcf, 0xcf, 0xeb, 0xef, 0xf3, 0xe7, 0xd7, 0xc3, 0xe7, 
  0xe3, 0xbf, 0xd7, 0xe3, 0x9b, 0x8f, 0xcf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xef, 0xdf, 0xcf, 0xe7, 0xef, 0xe7, 0xbf, 
  0xe7, 0xe7, 0xcf, 0xd7, 0xd7, 0xdf, 0xdf, 0xd3, 0xeb, 0xdb, 0xc3, 0xc7, 0xd7, 0xeb, 0xe3, 0xcb, 
  0xe3, 0xcb, 0xe7, 0xdb, 0xb7, 0xc7, 0xe7, 0xd3, 0xbf, 0xdb, 0xcb, 0xdf, 0xc7, 0xb7, 0xaf, 0xcf, 
  0xeb, 0xd7, 0xaf, 0xdb, 0xef, 0xc3, 0xb3, 0xc7, 0xbb, 0xb3, 0xcb, 0xcf, 0xa7, 0xcb, 0xdf, 0xdb, 
  0xd7, 0xd3, 0xeb, 0xdf, 0xd3, 0xeb, 0xeb, 0xd7, 0xd7, 0xeb, 0xef, 0xcb, 0xcf, 0xef, 0xf7, 0xc7, 
  0xaf, 0xdb, 0xe7, 0xeb, 0xa3, 0xab, 0xe7, 0xaf, 0xa3, 0xeb, 0xd3, 0xa7, 0xb7, 0xeb, 0xe3, 0xbb, 
  0xcf, 0xef, 0xeb, 0xb3, 0xab, 0xeb, 0xeb, 0xc7, 0xbf, 0xe7, 0xdf, 0xbf, 0xa7, 0xab, 0xdb, 0xeb, 
  0xc7, 0xb3, 0xb7, 0xe3, 0xe3, 0xbf, 0xb3, 0xdb, 0xef, 0xf3, 0xeb, 0xe7, 0xd7, 0xef, 0xef, 0xcb, 
  0xd7, 0xeb, 0xbf, 0x9b, 0xcf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xef, 0xe7, 0xd7, 0xd7, 0xdf, 0xef, 0xdf, 0xcf, 0xe7, 0xe7, 
  0xcf, 0xc7, 0xdf, 0xd7, 0xdf, 0xc7, 0xd7, 0xdf, 0xc7, 0xbf, 0xdf, 0xdf, 0xdf, 0xd7, 0xdf, 0xe7, 
  0xcf, 0xd7, 0xa7, 0xd7, 0xd7, 0xbf, 0xcf, 0xe7, 0xdf, 0xaf, 0x9f, 0xa3, 0xcb, 0xdf, 0xcf, 0xcf, 
  0xaf, 0xd7, 0xef, 0xe7, 0xd7, 0xc7, 0xc7, 0xaf, 0xcf, 0xd7, 0xb7, 0xcf, 0x9f, 0xcf, 0xd7, 0xc7, 
  0xef, 0xef, 0xd7, 0xcf, 0xdf, 0xe7, 0xd7, 0xdf, 0xd7, 0xdf, 0xaf, 0xf7, 0xf7, 0xdf, 0xaf, 0xbf, 
  0xe7, 0xe7, 0xa7, 0x9f, 0xef, 0xcf, 0x97, 0xdf, 0xe7, 0xbf, 0xaf, 0xdf, 0xe7, 0xb7, 0xb7, 0xef, 
  0xf7, 0xb7, 0x97, 0xdf, 0xef, 0xe7, 0xb7, 0xc7, 0xeb, 0xe7, 0xd7, 0xaf, 0xc7, 0xef, 0xef, 0xa7, 
  0xaf, 0xdf, 0xe7, 0xb7, 0x9f, 0xaf, 0xef, 0xe7, 0xe7, 0xcf, 0xdf, 0xef, 0xef, 0xe7, 0xdf, 0xe7, 
  0xef, 0xdf, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xfb, 0xfb, 0xf7, 0xe7, 0xdb, 0xdf, 0xd7, 0xe7, 0xe3, 0xe3, 0xeb, 0xe7, 0xcf, 0xc7, 
  0xe3, 0xdb, 0xdf, 0xcb, 0xcf, 0xe3, 0xcf, 0xd7, 0xe3, 0xeb, 0xdb, 0xd7, 0xdf, 0xef, 0xc7, 0xcb, 
  0xcb, 0xdf, 0xc7, 0xcf, 0xdb, 0xef, 0xdf, 0xb7, 0xb3, 0xaf, 0xdb, 0xc7, 0xcb, 0xdf, 0xc3, 0xcb, 
  0xd7, 0xd3, 0xcf, 0xdb, 0xc7, 0xd3, 0xe7, 0xe3, 0xc3, 0xcb, 0xcb, 0xd3, 0xc7, 0xd7, 0xd7, 0xeb, 
  0xd7, 0xc3, 0xbf, 0xdf, 0xef, 0xdf, 0xbf, 0xdf, 0xbb, 0xe7, 0xfb, 0xe7, 0xc7, 0xbf, 0xd7, 0xeb, 
  0xaf, 0x9b, 0xe7, 0xe7, 0xb7, 0xcf, 0xef, 0xbb, 0xab, 0xdb, 0xef, 0xc7, 0xbf, 0xef, 0xef, 0xc7, 
  0x87, 0xb3, 0xeb, 0xef, 0xcf, 0xaf, 0xcf, 0xef, 0xdf, 0xaf, 0xa7, 0xdf, 0xf7, 0xaf, 0x97, 0xdf, 
  0xd7, 0xc7, 0xc7, 0xaf, 0xcf, 0xdf, 0xe7, 0xbf, 0xc7, 0xdf, 0xeb, 0xdb, 0xcb, 0xdf, 0xef, 0xef, 
  0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xf7, 0xf7, 0xf3, 0xeb, 0xdf, 0xd7, 0xd3, 0xd3, 0xe3, 0xeb, 0xef, 0xe7, 0xdb, 0xd7, 0xdf, 0xd7, 
  0xdb, 0xbf, 0xc7, 0xe3, 0xd7, 0xd3, 0xe3, 0xe7, 0xd3, 0xd3, 0xe3, 0xeb, 0xcb, 0xbb, 0xdf, 0xe3, 
  0xc7, 0xd3, 0xe3, 0xef, 0xd3, 0xc3, 0xbb, 0xcb, 0xdf, 0xc3, 0xdb, 0xe3, 0xc3, 0xd3, 0xb7, 0xc7, 
  0xcf, 0xdf, 0xcf, 0xdb, 0xd7, 0xdf, 0xd3, 0xc7, 0xe3, 0xeb, 0xaf, 0xc3, 0xcf, 0xdb, 0xd7, 0xc3, 
  0xb3, 0xd7, 0xeb, 0xe3, 0xb3, 0xcf, 0xc3, 0xeb, 0xf3, 0xe3, 0xbf, 0xbf, 0xd3, 0xf3, 0xbf, 0x9b, 
  0xdf, 0xef, 0xbf, 0xcb, 0xef, 0xc7, 0x9f, 0xd7, 0xf7, 0xdb, 0xc3, 0xcf, 0xe7, 0xef, 0xb3, 0x93, 
  0xe3, 0xef, 0xc7, 0xab, 0xcf, 0xef, 0xdf, 0xbf, 0x93, 0xc7, 0xef, 0xc3, 0x9f, 0xd3, 0xdf, 0xcb, 
  0xc7, 0xc7, 0xbb, 0xcb, 0xeb, 0xbb, 0xa7, 0xbb, 0xdb, 0xe3, 0xbf, 0xc3, 0xeb, 0xef, 0xf3, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 
  0xf7, 0xf7, 0xdf, 0xcf, 0xcf, 0xc7, 0xe7, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xdf, 0xd3, 0xd7, 0xbf, 
  0xc7, 0xd7, 0xdf, 0xc7, 0xcf, 0xe7, 0xd7, 0xc7, 0xd7, 0xe3, 0xd3, 0xbb, 0xe3, 0xdf, 0xcf, 0xd3, 
  0xe7, 0xef, 0xd3, 0xcb, 0xc7, 0xe7, 0xdb, 0xc7, 0xdf, 0xe3, 0xcf, 0xc3, 0xb7, 0xcb, 0xdf, 0xe3, 
  0xd3, 0xd3, 0xbf, 0xd3, 0xd7, 0xc7, 0xe3, 0xef, 0xb7, 0xb3, 0xdb, 0xcf, 0xd3, 0xd3, 0xb3, 0xd7, 
  0xcf, 0xe3, 0xb7, 0xc3, 0xd3, 0xef, 0xdf, 0xe7, 0xaf, 0xc7, 0xd7, 0xf7, 0xc7, 0xa7, 0xcf, 0xf3, 
  0xc3, 0xbf, 0xeb, 0xd3, 0x9f, 0xcf, 0xf3, 0xe7, 0xd3, 0xbf, 0xd7, 0xef, 0xc3, 0x9f, 0xdb, 0xef, 
  0xcf, 0xaf, 0xc7, 0xef, 0xe3, 0xc3, 0xa3, 0xc3, 0xef, 0xd7, 0xaf, 0xcf, 0xe7, 0xc3, 0xbf, 0xd7, 
  0xbb, 0xb7, 0xeb, 0xd3, 0xab, 0xa7, 0xc7, 0xef, 0xcb, 0xab, 0xb7, 0xe7, 0xef, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf7, 
  0xe7, 0xcf, 0xcf, 0xd7, 0xe7, 0xe7, 0xc7, 0xc7, 0xef, 0xdf, 0xe7, 0xd7, 0xdf, 0xdf, 0xd3, 0xdf, 
  0xef, 0xcf, 0xcf, 0xe7, 0xe7, 0xd7, 0xcf, 0xdf, 0xd7, 0xc7, 0xdf, 0xc7, 0xd7, 0xd7, 0xe7, 0xd7, 
  0xd7, 0xdf, 0xd7, 0xdf, 0xcf, 0xcf, 0xcf, 0xe7, 0xdf, 0xc7, 0xcf, 0xc7, 0xf7, 0xcf, 0xaf, 0xaf, 
  0xbb, 0xd7, 0xdf, 0xd7, 0xd7, 0xf7, 0xdf, 0xcf, 0xdf, 0xd7, 0xdf, 0xf7, 0xc7, 0xc7, 0xb7, 0xef, 
  0xd7, 0xc7, 0xd7, 0xef, 0xd7, 0xe7, 0xaf, 0xb7, 0xcf, 0xef, 0xc7, 0xa7, 0xbf, 0xef, 0xcf, 0x97, 
  0xdf, 0xdf, 0x97, 0xaf, 0xeb, 0xf7, 0xcf, 0xb7, 0xbf, 0xef, 0xcf, 0xaf, 0xcf, 0xef, 0xd7, 0xaf, 
  0xa7, 0xef, 0xe7, 0xbf, 0xbf, 0xcf, 0xef, 0xdf, 0xbf, 0xd7, 0xe7, 0xc7, 0xc7, 0xef, 0xd7, 0xaf, 
  0xd7, 0xef, 0xd7, 0x97, 0x97, 0xcf, 0xe7, 0xbf, 0x97, 0xc7, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xf3, 0xef, 0xef, 0xe7, 
  0xd7, 0xdb, 0xdb, 0xeb, 0xcb, 0xc3, 0xeb, 0xd7, 0xd7, 0xcf, 0xdb, 0xd7, 0xcb, 0xdb, 0xef, 0xe7, 
  0xdf, 0xdf, 0xe3, 0xdb, 0xd7, 0xdf, 0xd3, 0xd3, 0xe7, 0xc7, 0xcb, 0xe3, 0xd3, 0xb3, 0xcb, 0xe7, 
  0xdf, 0xdb, 0xdb, 0xcf, 0xe7, 0xdf, 0xe3, 0xd7, 0xcb, 0xcf, 0xdb, 0xcb, 0xb7, 0xc3, 0xd3, 0xcf, 
  0xd7, 0xd3, 0xc7, 0xeb, 0xe3, 0xe7, 0xe3, 0xe7, 0xdf, 0xef, 0xcf, 0xb3, 0xbb, 0xeb, 0xfb, 0xd7, 
  0xd3, 0xf3, 0xdf, 0xe7, 0xb7, 0xb3, 0xcf, 0xef, 0xd7, 0xa3, 0xb7, 0xef, 0xc7, 0x97, 0xd7, 0xeb, 
  0xaf, 0x97, 0xdf, 0xef, 0xd7, 0xaf, 0xbf, 0xf7, 0xc7, 0xa7, 0xbf, 0xef, 0xd7, 0xaf, 0x9f, 0xef, 
  0xe7, 0xb7, 0xa7, 0xcf, 0xf7, 0xd7, 0xb7, 0xd7, 0xe7, 0xcf, 0xbf, 0xef, 0xdf, 0xb7, 0xaf, 0xdf, 
  0xe7, 0xa7, 0x87, 0xbf, 0xef, 0xcf, 0x97, 0xaf, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xf3, 0xef, 0xeb, 0xef, 0xe3, 0xd3, 
  0xc7, 0xdb, 0xd7, 0xcf, 0xef, 0xcf, 0xc7, 0xc7, 0xd7, 0xdb, 0xcb, 0xd3, 0xe3, 0xef, 0xdf, 0xdf, 
  0xd7, 0xcb, 0xdf, 0xe3, 0xd7, 0xdf, 0xe3, 0xc3, 0xb7, 0xe7, 0xd3, 0xbb, 0xc7, 0xef, 0xe7, 0xd3, 
  0xdb, 0xd3, 0xe7, 0xcf, 0xdb, 0xdf, 0xc7, 0xdb, 0xc7, 0xb7, 0xc7, 0xdb, 0xd7, 0xbb, 0xd7, 0xdb, 
  0xdb, 0xeb, 0xd7, 0xe7, 0xdf, 0xe7, 0xdb, 0xe7, 0xd7, 0xbb, 0xaf, 0xdb, 0xfb, 0xdb, 0xd3, 0xf3, 
  0xef, 0xeb, 0xb7, 0xb3, 0xd3, 0xef, 0xe7, 0x9f, 0xbb, 0xf3, 0xcb, 0x9b, 0xbf, 0xef, 0xdf, 0xbb, 
  0xd7, 0xf3, 0xd7, 0xa3, 0xcf, 0xef, 0xcb, 0xab, 0xb3, 0xeb, 0xe7, 0xaf, 0xbb, 0xe3, 0xeb, 0xbf, 
  0xa3, 0xd3, 0xef, 0xdb, 0xbb, 0xd7, 0xe7, 0xcb, 0xb7, 0xcf, 0xef, 0xdf, 0xbf, 0xd7, 0xef, 0xdb, 
  0xbb, 0xc3, 0xef, 0xd3, 0xab, 0x9b, 0xbf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf7, 0xf7, 0xe7, 0xdf, 0xeb, 0xeb, 0xdf, 0xbf, 0xbf, 
  0xcf, 0xd7, 0xe7, 0xdf, 0xc7, 0xc3, 0xdb, 0xdb, 0xc7, 0xd3, 0xd3, 0xeb, 0xe3, 0xe3, 0xd3, 0xc7, 
  0xd3, 0xe7, 0xd7, 0xe7, 0xdf, 0xc7, 0xab, 0xe7, 0xd7, 0xc7, 0xcb, 0xeb, 0xe3, 0xcf, 0xcf, 0xdb, 
  0xd7, 0xc7, 0xcf, 0xe3, 0xcf, 0xd7, 0xaf, 0xbb, 0xc3, 0xd7, 0xd7, 0xb3, 0xc7, 0xe7, 0xe3, 0xe3, 
  0xcb, 0xef, 0xcf, 0xd7, 0xcf, 0xef, 0xd7, 0xc3, 0xa3, 0xcb, 0xf7, 0xdb, 0xcb, 0xe3, 0xf3, 0xf7, 
  0xc7, 0xb7, 0xcb, 0xef, 0xe7, 0xa3, 0xb3, 0xeb, 0xcf, 0x9f, 0xaf, 0xeb, 0xe7, 0xcb, 0xcf, 0xef, 
  0xdf, 0xa3, 0xcb, 0xef, 0xcf, 0xa3, 0xaf, 0xe7, 0xeb, 0xbf, 0xbf, 0xd7, 0xe7, 0xc3, 0x9b, 0xd7, 
  0xef, 0xd3, 0xbf, 0xc3, 0xef, 0xd7, 0xb7, 0xc7, 0xef, 0xeb, 0xc7, 0xc3, 0xef, 0xeb, 0xcb, 0xbb, 
  0xeb, 0xe3, 0xb3, 0x93, 0xaf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xe7, 0xd7, 0xef, 0xef, 0xef, 0xc7, 0xbb, 0xc3, 0xb7, 
  0xe7, 0xef, 0xd7, 0xcf, 0xd7, 0xd7, 0xb7, 0xcf, 0xcf, 0xe7, 0xe7, 0xe7, 0xcf, 0xb7, 0xaf, 0xcf, 
  0xef, 0xe7, 0xd7, 0xdb, 0xcf, 0xef, 0xc7, 0xcf, 0xdf, 0xd7, 0xcf, 0xbf, 0xb7, 0xe7, 0xbf, 0xdf, 
  0xc7, 0xd7, 0xe7, 0xb7, 0xaf, 0xd7, 0xaf, 0xaf, 0xe7, 0xa7, 0xaf, 0xcf, 0xdf, 0xc7, 0xbf, 0xef, 
  0xcf, 0xd7, 0xbf, 0xf7, 0xef, 0xcf, 0xb7, 0xc7, 0xf7, 0xd7, 0xb7, 0xc7, 0xe7, 0xf7, 0xd7, 0xb7, 
  0xbf, 0xef, 0xdf, 0xaf, 0xaf, 0xdf, 0xe3, 0xb7, 0xb7, 0xe7, 0xef, 0xdf, 0xef, 0xf7, 0xef, 0xc7, 
  0xd7, 0xf7, 0xdf, 0xa7, 0xaf, 0xe7, 0xef, 0xcf, 0xaf, 0xc7, 0xe7, 0xdf, 0xa7, 0xbb, 0xeb, 0xef, 
  0xc7, 0xb7, 0xe7, 0xe7, 0xc7, 0xbf, 0xef, 0xef, 0xcf, 0xb7, 0xe7, 0xef, 0xcf, 0xa7, 0xcf, 0xef, 
  0xe7, 0xa7, 0x9f, 0xe7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xf3, 0xff, 0xf3, 0xef, 0xdb, 0xef, 0xef, 0xeb, 0xe7, 0xdf, 0xcf, 0xd7, 0xe3, 0xef, 
  0xef, 0xd7, 0xdb, 0xeb, 0xcb, 0xbb, 0xd3, 0xdf, 0xeb, 0xe7, 0xd3, 0xd7, 0xc3, 0xcb, 0xef, 0xe7, 
  0xd7, 0xdb, 0xef, 0xdb, 0xcb, 0xcf, 0xdf, 0xc7, 0xb7, 0xaf, 0xab, 0xdf, 0xe3, 0xdb, 0xcf, 0xdf, 
  0xdf, 0x97, 0xc7, 0xd7, 0xb7, 0x9f, 0xdf, 0xc7, 0xb7, 0xc7, 0xdf, 0xa7, 0xbf, 0xe7, 0xd7, 0xb7, 
  0xb7, 0xdf, 0xf7, 0xd7, 0xc7, 0xc7, 0xef, 0xd7, 0xb7, 0xcf, 0xf7, 0xef, 0xcf, 0xbf, 0xb7, 0xef, 
  0xdf, 0xa7, 0xb7, 0xd7, 0xe7, 0xaf, 0x97, 0xe7, 0xef, 0xd7, 0xd7, 0xf7, 0xef, 0xdf, 0xe7, 0xef, 
  0xdf, 0x9f, 0xa7, 0xe7, 0xef, 0xc7, 0x97, 0xc7, 0xdf, 0xef, 0xd7, 0xaf, 0xe7, 0xe7, 0xb7, 0xb7, 
  0xe7, 0xe7, 0xb7, 0xaf, 0xdf, 0xef, 0xd7, 0xbf, 0xdf, 0xef, 0xcf, 0x9f, 0xc7, 0xef, 0xef, 0xe7, 
  0xbf, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xf7, 0xff, 0xf3, 0xef, 0xe7, 0xef, 0xef, 0xe3, 0xe3, 0xe7, 0xd3, 0xd3, 0xd7, 0xeb, 0xeb, 0xd7, 
  0xe7, 0xef, 0xe3, 0xcf, 0xdb, 0xdf, 0xe3, 0xe3, 0xd7, 0xdf, 0xc7, 0xd3, 0xe7, 0xe7, 0xcf, 0xd7, 
  0xeb, 0xdb, 0xcf, 0xe3, 0xd7, 0xd3, 0xb3, 0xa3, 0xab, 0xdf, 0xe3, 0xd3, 0xd3, 0xe3, 0xe3, 0xa7, 
  0xcf, 0xd7, 0xa3, 0xaf, 0xd3, 0xcb, 0xa3, 0xc3, 0xdf, 0x9f, 0x9f, 0xd7, 0xe3, 0xb7, 0xb3, 0xdf, 
  0xeb, 0xdf, 0xcf, 0xbb, 0xef, 0xd3, 0xb7, 0xcf, 0xd7, 0xef, 0xd3, 0xbf, 0xcf, 0xef, 0xeb, 0x93, 
  0x97, 0xbf, 0xef, 0xab, 0x8f, 0xdf, 0xef, 0xcb, 0xcb, 0xf7, 0xeb, 0xcb, 0xeb, 0xef, 0xd7, 0x9f, 
  0xb3, 0xdb, 0xef, 0xcb, 0x8b, 0xb7, 0xdf, 0xe7, 0xdb, 0xc3, 0xe7, 0xeb, 0xc3, 0xc7, 0xe7, 0xeb, 
  0xbf, 0xab, 0xd7, 0xef, 0xd7, 0xab, 0xc3, 0xef, 0xe3, 0xbf, 0xb3, 0xc3, 0xef, 0xef, 0xdf, 0xeb, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xff, 
  0xf3, 0xef, 0xef, 0xef, 0xef, 0xdb, 0xdf, 0xeb, 0xd3, 0xcf, 0xcb, 0xe7, 0xef, 0xdf, 0xe7, 0xe7, 
  0xeb, 0xe7, 0xdf, 0xd7, 0xdf, 0xd3, 0xd3, 0xdf, 0xcb, 0xd7, 0xd7, 0xeb, 0xcb, 0xdb, 0xe7, 0xdb, 
  0xdb, 0xe7, 0xcf, 0xdb, 0xbb, 0xa3, 0xb7, 0xdb, 0xd7, 0xcb, 0xcf, 0xe3, 0xe7, 0xb3, 0xd3, 0xd7, 
  0x9f, 0xb3, 0xcb, 0xd3, 0xa3, 0xc7, 0xe3, 0x9f, 0xb7, 0xd3, 0xe7, 0xaf, 0xbb, 0xdf, 0xeb, 0xeb, 
  0xcf, 0xb3, 0xef, 0xdf, 0xb7, 0xc7, 0xdb, 0xef, 0xdb, 0xbb, 0xc7, 0xf3, 0xeb, 0xa3, 0x97, 0xbb, 
  0xef, 0xb7, 0x8b, 0xd7, 0xf3, 0xc3, 0xcb, 0xef, 0xef, 0xbf, 0xdf, 0xef, 0xe7, 0xa7, 0xbf, 0xd7, 
  0xef, 0xd7, 0x9b, 0x9f, 0xe3, 0xeb, 0xd3, 0xc7, 0xeb, 0xef, 0xd3, 0xcb, 0xe7, 0xef, 0xd3, 0xb3, 
  0xdb, 0xef, 0xdb, 0xb3, 0xb3, 0xe3, 0xeb, 0xc3, 0xbb, 0xaf, 0xef, 0xef, 0xeb, 0xf3, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xf7, 0xff, 
  0xf3, 0xef, 0xdf, 0xcf, 0xdf, 0xef, 0xe7, 0xd7, 0xcf, 0xef, 0xe7, 0xdf, 0xd7, 0xbf, 0xd7, 0xe7, 
  0xcf, 0xdb, 0xd7, 0xcf, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xdf, 0xd7, 0xe7, 0xe7, 0xcf, 0xdf, 0xef, 
  0xd7, 0xcf, 0xcf, 0xaf, 0xc7, 0xd7, 0xc7, 0xcf, 0xdf, 0xdf, 0xdf, 0xc7, 0xc7, 0xdf, 0xaf, 0xbf, 
  0xd7, 0xef, 0xa7, 0xc7, 0xe7, 0xc7, 0xc7, 0xcf, 0xf7, 0xb7, 0xbf, 0xd7, 0xff, 0xe7, 0xbf, 0xbf, 
  0xe7, 0xf7, 0xbf, 0xc7, 0xcf, 0xef, 0xe7, 0xbb, 0xbf, 0xef, 0xeb, 0xbb, 0x9f, 0xc3, 0xef, 0xc3, 
  0x83, 0xd3, 0xef, 0xc7, 0xcb, 0xeb, 0xef, 0xc3, 0xcf, 0xeb, 0xeb, 0xb7, 0xc3, 0xd7, 0xeb, 0xe7, 
  0xab, 0xa3, 0xe7, 0xef, 0xd7, 0xc7, 0xeb, 0xef, 0xd7, 0xcb, 0xe7, 0xef, 0xe3, 0xb3, 0xd7, 0xef, 
  0xeb, 0xdb, 0xab, 0xdb, 0xeb, 0xc3, 0xcb, 0xa7, 0xe7, 0xf3, 0xef, 0xf7, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xef, 0xf7, 0xf7, 0xe7, 
  0xcb, 0xd7, 0xd7, 0xe7, 0xef, 0xd7, 0xd7, 0xef, 0xdf, 0xcf, 0xdf, 0xb7, 0xc7, 0xe7, 0xc7, 0xe7, 
  0xe7, 0xdf, 0xdf, 0xdf, 0xd7, 0xdf, 0xd7, 0xdf, 0xc7, 0xdf, 0xef, 0xcf, 0xdf, 0xef, 0xdf, 0xc7, 
  0xd7, 0xc7, 0xdf, 0xd3, 0xcf, 0xd7, 0xdf, 0xe7, 0xd7, 0xc7, 0xcf, 0xdf, 0xc7, 0xc7, 0xdf, 0xf7, 
  0xaf, 0xb7, 0xf7, 0xd7, 0xcf, 0xdf, 0xf7, 0xcf, 0xcf, 0xd7, 0xf7, 0xdf, 0xcf, 0xaf, 0xef, 0xf7, 
  0xbf, 0xb7, 0xd7, 0xf7, 0xef, 0xd7, 0xb7, 0xdf, 0xef, 0xd7, 0x87, 0xbf, 0xef, 0xc7, 0x8f, 0xcf, 
  0xef, 0xd7, 0xbf, 0xef, 0xf7, 0xbf, 0xbf, 0xe7, 0xf7, 0xc7, 0xbf, 0xc7, 0xe7, 0xe7, 0x9f, 0xaf, 
  0xe7, 0xf7, 0xdf, 0xbf, 0xe7, 0xef, 0xd7, 0xcf, 0xdf, 0xef, 0xe7, 0xc7, 0xaf, 0xdf, 0xef, 0xe7, 
  0xaf, 0xd7, 0xef, 0xdf, 0xd7, 0xaf, 0xd7, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xfb, 0xef, 0xef, 0xf3, 0xe7, 0xcf, 0xe3, 
  0xe3, 0xd3, 0xd7, 0xdf, 0xd7, 0xe3, 0xe7, 0xcb, 0xcf, 0xcf, 0xdb, 0xe7, 0xc7, 0xd7, 0xdf, 0xef, 
  0xdf, 0xd7, 0xd3, 0xcf, 0xdb, 0xe7, 0xd7, 0xcb, 0xe3, 0xdb, 0xdf, 0xeb, 0xdb, 0xab, 0xb3, 0xcf, 
  0xdb, 0xdb, 0xd7, 0xdb, 0xe3, 0xc7, 0xe3, 0xcf, 0xcf, 0xe7, 0xd7, 0xd3, 0xd7, 0xef, 0xbf, 0xc7, 
  0xeb, 0xd3, 0xcb, 0xdb, 0xef, 0xdf, 0xbb, 0xb3, 0xeb, 0xd7, 0xab, 0xaf, 0xeb, 0xf3, 0xb7, 0xb7, 
  0xdf, 0xe3, 0xbb, 0xe3, 0xc7, 0xcf, 0xeb, 0xeb, 0x9b, 0xc3, 0xef, 0xdf, 0x93, 0xc3, 0xf7, 0xcb, 
  0xbf, 0xdf, 0xf3, 0xc3, 0xb7, 0xdf, 0xf7, 0xd3, 0xb3, 0xb7, 0xeb, 0xef, 0xbf, 0xab, 0xd7, 0xef, 
  0xf3, 0xbf, 0xe7, 0xef, 0xdf, 0xd7, 0xd7, 0xef, 0xef, 0xc7, 0xb7, 0xd7, 0xef, 0xe7, 0xb7, 0xcf, 
  0xef, 0xe7, 0xdf, 0xb7, 0xcf, 0xef, 0xef, 0xf3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xfb, 0xf3, 0xef, 0xef, 0xe3, 0xe3, 0xeb, 0xe7, 0xcb, 
  0xd7, 0xdf, 0xcf, 0xdf, 0xeb, 0xcf, 0xc7, 0xcf, 0xdf, 0xe3, 0xcb, 0xcf, 0xcf, 0xe7, 0xdf, 0xcf, 
  0xcb, 0xc7, 0xd7, 0xe3, 0xe3, 0xcb, 0xdf, 0xdf, 0xdb, 0xef, 0xdf, 0xab, 0x9f, 0xcf, 0xd7, 0xd3, 
  0xe3, 0xe3, 0xdf, 0xc7, 0xdb, 0xd3, 0xd3, 0xe7, 0xdf, 0xd3, 0xd7, 0xe7, 0xb3, 0xc3, 0xf3, 0xcb, 
  0xcf, 0xdf, 0xeb, 0xdb, 0xaf, 0xb3, 0xe7, 0xcb, 0xa7, 0xbb, 0xe7, 0xf3, 0xb7, 0xb7, 0xe3, 0xd7, 
  0xb3, 0xe7, 0xcf, 0xc7, 0xdf, 0xef, 0xaf, 0xc3, 0xeb, 0xeb, 0x9b, 0xb7, 0xf3, 0xd7, 0xcb, 0xe3, 
  0xf3, 0xc7, 0xaf, 0xd3, 0xf3, 0xdf, 0xbb, 0xbf, 0xeb, 0xeb, 0xcb, 0xab, 0xcf, 0xef, 0xe7, 0xbb, 
  0xd3, 0xef, 0xf3, 0xe7, 0xbf, 0xd7, 0xef, 0xdb, 0xb7, 0xd7, 0xef, 0xeb, 0xc3, 0xcb, 0xef, 0xe3, 
  0xe3, 0xc3, 0xc7, 0xeb, 0xf7, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xef, 0xfb, 0xff, 0xf7, 0xf7, 0xeb, 0xdb, 0xef, 0xef, 0xe7, 0xd7, 0xdf, 0xdf, 
  0xd7, 0xe7, 0xeb, 0xcf, 0xcf, 0xd7, 0xdf, 0xdf, 0xcb, 0xcb, 0xc7, 0xdf, 0xd7, 0xdf, 0xd3, 0xcb, 
  0xd3, 0xdf, 0xe3, 0xd7, 0xdf, 0xdf, 0xdf, 0xef, 0xe7, 0xbf, 0xb3, 0xd3, 0xdb, 0xd3, 0xdf, 0xe3, 
  0xcf, 0xdf, 0xd3, 0xcf, 0xd3, 0xdf, 0xdf, 0xd7, 0xcf, 0xe7, 0xaf, 0xc3, 0xf3, 0xcb, 0xcb, 0xdb, 
  0xeb, 0xd7, 0xaf, 0xc3, 0xef, 0xcb, 0xab, 0xc3, 0xe3, 0xef, 0xb3, 0xab, 0xdf, 0xd3, 0xb7, 0xeb, 
  0xd7, 0xc7, 0xd3, 0xf3, 0xc3, 0xbf, 0xeb, 0xef, 0x9f, 0xb3, 0xef, 0xd7, 0xc7, 0xdf, 0xfb, 0xc7, 
  0xab, 0xbb, 0xe7, 0xe7, 0xbb, 0xbb, 0xeb, 0xdf, 0xd3, 0xb7, 0xc7, 0xef, 0xdf, 0xbb, 0xcb, 0xef, 
  0xef, 0xef, 0xc3, 0xd7, 0xef, 0xe3, 0xc3, 0xdb, 0xef, 0xef, 0xbf, 0xbb, 0xeb, 0xe3, 0xe7, 0xd7, 
  0xbf, 0xe7, 0xf7, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xf7, 0xf3, 0xef, 0xe7, 0xe7, 0xef, 0xef, 0xe7, 0xd7, 0xef, 0xcf, 0xc7, 0xdf, 
  0xe7, 0xcf, 0xdf, 0xdf, 0xd7, 0xdf, 0xcf, 0xcf, 0xd7, 0xdf, 0xc7, 0xe7, 0xef, 0xe7, 0xd7, 0xdf, 
  0xdb, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xcf, 0xd7, 0xdf, 0xd7, 0xdf, 0xd7, 0xef, 0xc7, 0xef, 
  0xdf, 0xc7, 0xe7, 0xc7, 0xe7, 0xcf, 0xb7, 0xef, 0xc7, 0xcf, 0xef, 0xdf, 0xbf, 0xc7, 0xef, 0xdf, 
  0xc7, 0xb7, 0xf7, 0xdf, 0xaf, 0xc7, 0xd7, 0xe7, 0xb7, 0xa7, 0xd7, 0xcf, 0xb7, 0xe7, 0xcf, 0xb7, 
  0xdf, 0xf7, 0xbf, 0xa7, 0xe7, 0xef, 0xa7, 0xb7, 0xe7, 0xdf, 0xc7, 0xdf, 0xff, 0xc7, 0xa3, 0xbf, 
  0xe7, 0xe7, 0xa7, 0x97, 0xe7, 0xdf, 0xd7, 0xcf, 0xb7, 0xe7, 0xdf, 0x9f, 0xb7, 0xdf, 0xef, 0xdf, 
  0xc7, 0xdf, 0xef, 0xef, 0xcf, 0xd7, 0xef, 0xef, 0xc3, 0xab, 0xd3, 0xef, 0xeb, 0xe7, 0xcb, 0xe3, 
  0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 
  0xf7, 0xf7, 0xff, 0xef, 0xef, 0xef, 0xef, 0xef, 0xe7, 0xd7, 0xef, 0xd7, 0xc7, 0xd7, 0xe7, 0xcf, 
  0xdf, 0xd7, 0xcf, 0xd7, 0xd7, 0xcf, 0xd7, 0xef, 0xcf, 0xdf, 0xef, 0xef, 0xcf, 0xdf, 0xdf, 0xdf, 
  0xdf, 0xdf, 0xdf, 0xdf, 0xe7, 0xd7, 0xdf, 0xd7, 0xc7, 0xd7, 0xdf, 0xe7, 0xcf, 0xdf, 0xdb, 0xcf, 
  0xd7, 0xb7, 0xdf, 0xd7, 0xb7, 0xe7, 0xe7, 0xcf, 0xe7, 0xd7, 0xaf, 0xc7, 0xf7, 0xcb, 0xcf, 0xbf, 
  0xef, 0xe7, 0xbf, 0xbf, 0xd7, 0xef, 0xb7, 0xbf, 0xe7, 0xb7, 0xb7, 0xe7, 0xdf, 0xcf, 0xe7, 0xef, 
  0xd7, 0x97, 0xef, 0xe7, 0xb7, 0xc7, 0xf7, 0xe7, 0xc7, 0xd7, 0xff, 0xf3, 0xb7, 0xbf, 0xf7, 0xef, 
  0xb7, 0x9f, 0xe7, 0xef, 0xd7, 0xcf, 0xb7, 0xef, 0xe7, 0xc7, 0xb7, 0xcf, 0xef, 0xd7, 0xc7, 0xcf, 
  0xef, 0xef, 0xd7, 0xcf, 0xef, 0xef, 0xd7, 0xb3, 0xc7, 0xef, 0xef, 0xef, 0xe7, 0xe7, 0xef, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xf7, 
  0xf3, 0xeb, 0xdb, 0xdf, 0xeb, 0xef, 0xdb, 0xe3, 0xef, 0xe3, 0xdb, 0xe3, 0xeb, 0xdb, 0xdf, 0xd3, 
  0xd7, 0xdb, 0xdb, 0xd3, 0xcf, 0xdb, 0xdf, 0xd7, 0xd7, 0xe7, 0xc3, 0xcf, 0xe3, 0xe7, 0xd7, 0xdb, 
  0xd7, 0xc7, 0xdb, 0xd7, 0xdb, 0xcf, 0xcf, 0xd3, 0xeb, 0xe7, 0xd3, 0xeb, 0xd3, 0xcf, 0xdb, 0xc7, 
  0xf3, 0xd3, 0xc7, 0xe3, 0xf3, 0xe3, 0xdf, 0xcf, 0xc7, 0xcf, 0xf3, 0xd3, 0xcb, 0xcb, 0xf3, 0xd3, 
  0xa7, 0xb7, 0xe7, 0xe3, 0xa3, 0xbf, 0xeb, 0xb7, 0xb7, 0xe7, 0xeb, 0xcb, 0xdf, 0xef, 0xdb, 0xa3, 
  0xdf, 0xf3, 0xcf, 0xc7, 0xeb, 0xeb, 0xcb, 0xd3, 0xf3, 0xf3, 0xc3, 0xb7, 0xeb, 0xeb, 0xbf, 0xb3, 
  0xe3, 0xeb, 0xd7, 0xb7, 0xc7, 0xdf, 0xeb, 0xe7, 0xb7, 0xc7, 0xef, 0xd7, 0xc7, 0xcf, 0xff, 0xef, 
  0xc7, 0xcf, 0xef, 0xef, 0xe7, 0xc7, 0xc7, 0xe7, 0xf7, 0xff, 0xe7, 0xf7, 0xf7, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xfb, 0xf3, 0xeb, 
  0xdf, 0xd3, 0xe7, 0xef, 0xcf, 0xdf, 0xeb, 0xdf, 0xdf, 0xeb, 0xe7, 0xdf, 0xdf, 0xd7, 0xdb, 0xd7, 
  0xdf, 0xd7, 0xcf, 0xd3, 0xdf, 0xdb, 0xcf, 0xdb, 0xd3, 0xcb, 0xcf, 0xdf, 0xcf, 0xdb, 0xc7, 0xbf, 
  0xdb, 0xd3, 0xdf, 0xdb, 0xdf, 0xd3, 0xeb, 0xe3, 0xcf, 0xeb, 0xcf, 0xd3, 0xe7, 0xcf, 0xf3, 0xe3, 
  0xd3, 0xdf, 0xfb, 0xeb, 0xe3, 0xc3, 0xcb, 0xdb, 0xf3, 0xcf, 0xc7, 0xc3, 0xf3, 0xd3, 0x97, 0xaf, 
  0xe7, 0xdb, 0xa3, 0xc7, 0xeb, 0xb7, 0xaf, 0xe7, 0xef, 0xc3, 0xd7, 0xef, 0xe3, 0xab, 0xd3, 0xf7, 
  0xdb, 0xc3, 0xef, 0xe7, 0xbf, 0xbf, 0xe3, 0xf3, 0xc7, 0xbb, 0xeb, 0xeb, 0xc7, 0xb7, 0xe3, 0xef, 
  0xdb, 0xbb, 0xc3, 0xdf, 0xf7, 0xe7, 0xaf, 0xd3, 0xf7, 0xe3, 0xc3, 0xdb, 0xf3, 0xeb, 0xc3, 0xbb, 
  0xdb, 0xef, 0xef, 0xcf, 0xd3, 0xd3, 0xe7, 0xfb, 0xf3, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xfb, 0xff, 0xf3, 0xeb, 0xeb, 0xd7, 
  0xe7, 0xe7, 0xdf, 0xdb, 0xdf, 0xd7, 0xd7, 0xeb, 0xe3, 0xdb, 0xd7, 0xd3, 0xe3, 0xdb, 0xdf, 0xcf, 
  0xcf, 0xcb, 0xd7, 0xdb, 0xd7, 0xd7, 0xdb, 0xdb, 0xd3, 0xcf, 0xc7, 0xdf, 0xd3, 0xd7, 0xdf, 0xcf, 
  0xdf, 0xdf, 0xe7, 0xcf, 0xeb, 0xe7, 0xb7, 0xe7, 0xcb, 0xdb, 0xeb, 0xcf, 0xeb, 0xef, 0xd7, 0xd7, 
  0xf3, 0xeb, 0xe7, 0xb7, 0xb7, 0xd7, 0xf3, 0xc7, 0xbf, 0xbb, 0xef, 0xdf, 0x93, 0xaf, 0xeb, 0xd7, 
  0x9f, 0xc7, 0xeb, 0xbb, 0xb3, 0xeb, 0xef, 0xbf, 0xcf, 0xef, 0xef, 0xbb, 0xcb, 0xfb, 0xd7, 0xb3, 
  0xeb, 0xe7, 0xbb, 0xb3, 0xe7, 0xef, 0xc3, 0xbb, 0xe7, 0xeb, 0xc3, 0xbf, 0xeb, 0xeb, 0xdb, 0xcb, 
  0xbf, 0xdb, 0xf3, 0xd7, 0xb3, 0xdb, 0xf3, 0xeb, 0xcf, 0xd7, 0xef, 0xf7, 0xdf, 0xbf, 0xd3, 0xef, 
  0xef, 0xd7, 0xd3, 0xcb, 0xeb, 0xff, 0xfb, 0xff, 0xfb, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xef, 0xe7, 0xe7, 0xe7, 0xdf, 0xd7, 
  0xdf, 0xcf, 0xd7, 0xc7, 0xd3, 0xdf, 0xd7, 0xdf, 0xcf, 0xd7, 0xd7, 0xdf, 0xdf, 0xdf, 0xcf, 0xc7, 
  0xd3, 0xdf, 0xdf, 0xe7, 0xdf, 0xef, 0xef, 0xcf, 0xc7, 0xdf, 0xdf, 0xe7, 0xd7, 0xcf, 0xe7, 0xd7, 
  0xd7, 0xc7, 0xe7, 0xdf, 0xbf, 0xe7, 0xd7, 0xe7, 0xe7, 0xcf, 0xdf, 0xf7, 0xdf, 0xd7, 0xef, 0xd7, 
  0xef, 0xc7, 0xbf, 0xdf, 0xf7, 0xcf, 0xaf, 0xcf, 0xf7, 0xef, 0xa7, 0xc7, 0xf7, 0xcf, 0xb7, 0xcf, 
  0xef, 0xb7, 0xa7, 0xef, 0xef, 0xd7, 0xbf, 0xeb, 0xf7, 0xc3, 0xcb, 0xfb, 0xcb, 0x9f, 0xe7, 0xeb, 
  0xd3, 0xb7, 0xef, 0xf3, 0xbf, 0xb3, 0xeb, 0xf3, 0xbf, 0xbb, 0xe7, 0xeb, 0xdb, 0xcf, 0xc7, 0xd7, 
  0xf3, 0xcf, 0xaf, 0xdb, 0xf3, 0xef, 0xcb, 0xd3, 0xeb, 0xf3, 0xdf, 0xcf, 0xcf, 0xef, 0xf3, 0xdf, 
  0xcf, 0xd3, 0xf3, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xdb, 0xd7, 0xef, 0xd7, 0xb7, 0xd7, 0xdf, 
  0xd7, 0xcf, 0xd7, 0xe7, 0xdf, 0xdf, 0xcf, 0xdf, 0xdf, 0xc7, 0xdf, 0xc7, 0xd7, 0xcf, 0xcf, 0xcf, 
  0xdb, 0xdf, 0xdf, 0xdf, 0xdf, 0xbf, 0xcf, 0xd7, 0xcf, 0xd7, 0xcf, 0xd7, 0xdf, 0xcf, 0xd7, 0xbf, 
  0xe7, 0xe7, 0xc7, 0xdf, 0xd7, 0xdf, 0xdf, 0xc7, 0xff, 0xef, 0xcf, 0xdf, 0xef, 0xd7, 0xe7, 0xdf, 
  0xd7, 0xdf, 0xff, 0xcf, 0xcf, 0xcf, 0xff, 0xdf, 0xb7, 0xdf, 0xff, 0xcf, 0xc7, 0xd7, 0xf7, 0xbf, 
  0xaf, 0xd7, 0xf7, 0xcf, 0xb7, 0xf7, 0xf7, 0xbf, 0xd7, 0xff, 0xd7, 0x9f, 0xd7, 0xff, 0xd7, 0xb7, 
  0xe7, 0xef, 0xcf, 0xbf, 0xdf, 0xe7, 0x9f, 0x97, 0xdf, 0xef, 0xd7, 0xc7, 0xcf, 0xd7, 0xe7, 0xd7, 
  0xb7, 0xcf, 0xef, 0xe7, 0xcb, 0xcb, 0xf7, 0xe7, 0xef, 0xcf, 0xbf, 0xef, 0xf7, 0xef, 0xcf, 0xcf, 
  0xeb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xfb, 0xfb, 0xfb, 0xff, 0xf7, 0xdf, 0xe7, 0xef, 0xe7, 0xd3, 0xcb, 0xd7, 0xe3, 0xc3, 
  0xcf, 0xeb, 0xe3, 0xd7, 0xdb, 0xeb, 0xeb, 0xd7, 0xdb, 0xd7, 0xdb, 0xcf, 0xd7, 0xd7, 0xdb, 0xd3, 
  0xdb, 0xe3, 0xcf, 0xcb, 0xcb, 0xdb, 0xc7, 0xaf, 0xd3, 0xd7, 0xc3, 0xdb, 0xdf, 0xbb, 0xe3, 0xe3, 
  0xcb, 0xeb, 0xd7, 0xdf, 0xe3, 0xcf, 0xef, 0xf3, 0xdf, 0xdf, 0xef, 0xcf, 0xf7, 0xdf, 0xc7, 0xc7, 
  0xf7, 0xdf, 0xc7, 0xcf, 0xef, 0xd7, 0xbf, 0xe7, 0xf7, 0xc7, 0xc7, 0xd7, 0xff, 0xc7, 0xbf, 0xdf, 
  0xef, 0xc7, 0xa7, 0xdf, 0xf7, 0xb7, 0xcf, 0xff, 0xd7, 0xb7, 0xd3, 0xef, 0xef, 0xcf, 0xe7, 0xf7, 
  0xd7, 0xb7, 0xdf, 0xf7, 0xaf, 0x9f, 0xd3, 0xf7, 0xef, 0xbf, 0xb7, 0xcf, 0xf7, 0xcf, 0xa7, 0xcf, 
  0xe7, 0xfb, 0xe7, 0xbf, 0xef, 0xe7, 0xe7, 0xd7, 0xc7, 0xdf, 0xef, 0xef, 0xdb, 0xcf, 0xe7, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xfb, 0xff, 0xfb, 0xff, 0xff, 0xeb, 0xef, 0xef, 0xe7, 0xdb, 0xcb, 0xdf, 0xe7, 0xcb, 0xdb, 0xeb, 
  0xe7, 0xdf, 0xe3, 0xdf, 0xe3, 0xe7, 0xe3, 0xe3, 0xd3, 0xcb, 0xdf, 0xdb, 0xdb, 0xc3, 0xe3, 0xe3, 
  0xc7, 0xdb, 0xbf, 0xdb, 0xcb, 0x9b, 0xbf, 0xd7, 0xaf, 0xe7, 0xe7, 0xc7, 0xe7, 0xdb, 0xc7, 0xe7, 
  0xdf, 0xdb, 0xe7, 0xaf, 0xf3, 0xe7, 0xdb, 0xd7, 0xef, 0xcf, 0xe3, 0xeb, 0xcb, 0xdb, 0xf7, 0xd7, 
  0xb7, 0xd7, 0xeb, 0xc7, 0xbf, 0xe3, 0xf3, 0xbf, 0xaf, 0xdf, 0xef, 0xcf, 0xb3, 0xd3, 0xef, 0xbb, 
  0xb3, 0xe3, 0xf7, 0xc7, 0xcf, 0xf7, 0xe7, 0xb3, 0xd3, 0xf7, 0xef, 0xd7, 0xdb, 0xff, 0xdb, 0xcb, 
  0xe7, 0xf7, 0xcf, 0xc7, 0xd3, 0xfb, 0xef, 0xcf, 0xcb, 0xe3, 0xf3, 0xd3, 0xaf, 0xdf, 0xe7, 0xe7, 
  0xf3, 0xdb, 0xe7, 0xeb, 0xeb, 0xeb, 0xd3, 0xcb, 0xef, 0xf3, 0xd7, 0xc7, 0xcb, 0xf7, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xef, 0xf3, 0xeb, 0xdf, 0xdb, 0xcb, 0xeb, 0xe3, 0xdb, 0xdb, 0xe3, 0xe7, 0xdf, 
  0xe3, 0xdb, 0xdf, 0xe3, 0xdf, 0xe3, 0xcf, 0xcf, 0xe3, 0xdf, 0xdf, 0xc3, 0xdf, 0xdf, 0xd3, 0xdb, 
  0xc3, 0xd3, 0xc3, 0x9b, 0xb7, 0xd3, 0xa7, 0xe3, 0xdb, 0xcf, 0xeb, 0xd3, 0xcb, 0xdf, 0xe7, 0xd7, 
  0xeb, 0xaf, 0xef, 0xeb, 0xdb, 0xd7, 0xef, 0xcf, 0xeb, 0xef, 0xd3, 0xd7, 0xfb, 0xd3, 0xab, 0xdf, 
  0xeb, 0xbf, 0xbf, 0xe7, 0xef, 0xbf, 0xa7, 0xe7, 0xeb, 0xd7, 0xaf, 0xd3, 0xf3, 0xbb, 0xb3, 0xe3, 
  0xf7, 0xbb, 0xc7, 0xfb, 0xe7, 0xa7, 0xcb, 0xf7, 0xf3, 0xcb, 0xd7, 0xfb, 0xe3, 0xd7, 0xeb, 0xf7, 
  0xdb, 0xd3, 0xdf, 0xf7, 0xf3, 0xcb, 0xbf, 0xe7, 0xf7, 0xd7, 0xbb, 0xd3, 0xef, 0xe7, 0xf3, 0xdb, 
  0xd3, 0xe3, 0xf3, 0xef, 0xd3, 0xcf, 0xe3, 0xfb, 0xd3, 0xcb, 0xcf, 0xef, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xef, 0xf7, 0xef, 0xdf, 0xe7, 0xd7, 0xef, 0xdb, 0xcf, 0xd3, 0xe3, 0xe7, 0xdf, 0xeb, 0xd7, 
  0xdf, 0xdb, 0xcf, 0xdb, 0xdb, 0xdb, 0xdb, 0xd7, 0xdf, 0xd3, 0xd7, 0xe7, 0xdb, 0xdb, 0xd3, 0xd7, 
  0xc3, 0xa7, 0xcf, 0xd3, 0xaf, 0xdf, 0xd3, 0xcb, 0xe7, 0xd3, 0xd7, 0xd7, 0xe3, 0xd7, 0xe7, 0xb7, 
  0xeb, 0xe3, 0xd3, 0xcf, 0xe7, 0xcf, 0xf3, 0xf3, 0xd3, 0xdf, 0xfb, 0xd7, 0xaf, 0xdf, 0xeb, 0xbb, 
  0xbb, 0xe7, 0xe7, 0xc3, 0xb3, 0xeb, 0xf3, 0xd7, 0xcf, 0xdb, 0xf7, 0xbf, 0xb3, 0xef, 0xf7, 0xaf, 
  0xc7, 0xf7, 0xe3, 0xb7, 0xc3, 0xf3, 0xf7, 0xbf, 0xd3, 0xf7, 0xe3, 0xc7, 0xef, 0xf3, 0xe7, 0xc7, 
  0xe3, 0xf7, 0xf7, 0xcb, 0xab, 0xdf, 0xf7, 0xcf, 0xbb, 0xbf, 0xe7, 0xe7, 0xf3, 0xc3, 0xb7, 0xdf, 
  0xf7, 0xe7, 0xcf, 0xc7, 0xe7, 0xfb, 0xdb, 0xcf, 0xd7, 0xeb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf7, 0xff, 
  0xf7, 0xef, 0xe7, 0xd7, 0xd7, 0xe7, 0xcf, 0xcf, 0xdb, 0xdf, 0xef, 0xdf, 0xef, 0xdf, 0xdf, 0xd7, 
  0xc7, 0xdf, 0xdf, 0xd7, 0xdf, 0xd7, 0xdf, 0xdf, 0xcf, 0xdf, 0xe7, 0xcf, 0xc3, 0xdf, 0xcf, 0xb7, 
  0xdf, 0xdf, 0xb7, 0xe7, 0xd7, 0xdf, 0xef, 0xd7, 0xdf, 0xe7, 0xdf, 0xe7, 0xef, 0xc7, 0xef, 0xe7, 
  0xc7, 0xb7, 0xe7, 0xbf, 0xe7, 0xf7, 0xcf, 0xef, 0xff, 0xdf, 0xc7, 0xef, 0xe7, 0xaf, 0xbf, 0xef, 
  0xd7, 0xbf, 0xcf, 0xf7, 0xef, 0xbf, 0xd7, 0xe7, 0xef, 0xbf, 0xaf, 0xe7, 0xe7, 0xaf, 0xcf, 0xf7, 
  0xef, 0xcf, 0xb7, 0xf7, 0xf7, 0xaf, 0xc7, 0xff, 0xe7, 0xaf, 0xe7, 0xff, 0xdf, 0xbf, 0xcf, 0xf7, 
  0xe7, 0xbf, 0x9f, 0xdb, 0xf7, 0xdf, 0xb7, 0xb7, 0xe3, 0xe3, 0xeb, 0xbb, 0xaf, 0xdb, 0xf3, 0xdb, 
  0xc7, 0xc3, 0xeb, 0xfb, 0xeb, 0xd7, 0xeb, 0xef, 0xf7, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xf7, 0xef, 0xfb, 0xf7, 
  0xe7, 0xdf, 0xd7, 0xd7, 0xc7, 0xd7, 0xdf, 0xef, 0xef, 0xdf, 0xef, 0xdf, 0xe7, 0xdf, 0xd7, 0xe7, 
  0xcf, 0xdb, 0xdf, 0xcf, 0xdf, 0xcf, 0xcf, 0xdf, 0xdf, 0xcf, 0xd7, 0xdf, 0xd7, 0xb7, 0xd7, 0xef, 
  0xc7, 0xd7, 0xbf, 0xe7, 0xe7, 0xd3, 0xcf, 0xe7, 0xdf, 0xd7, 0xf7, 0xc7, 0xdf, 0xf7, 0xbf, 0xaf, 
  0xdf, 0xc7, 0xef, 0xef, 0xcf, 0xe7, 0xff, 0xd7, 0xc7, 0xef, 0xdf, 0xaf, 0xcf, 0xf7, 0xdf, 0xc7, 
  0xd7, 0xf7, 0xd7, 0xcf, 0xdf, 0xef, 0xef, 0xcf, 0xaf, 0xe7, 0xe7, 0xaf, 0xdf, 0xff, 0xff, 0xc7, 
  0xb7, 0xf7, 0xf7, 0xa7, 0xb7, 0xef, 0xe7, 0xa7, 0xb7, 0xf7, 0xdf, 0xbf, 0xc7, 0xef, 0xef, 0xb7, 
  0xbf, 0xd7, 0xeb, 0xdf, 0xaf, 0xb7, 0xdf, 0xd7, 0xe7, 0xc7, 0xbf, 0xd3, 0xeb, 0xdf, 0xbf, 0xbf, 
  0xef, 0xf7, 0xdf, 0xf7, 0xf7, 0xef, 0xf7, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xf7, 0xf3, 0xf7, 0xeb, 0xe3, 0xdf, 
  0xdb, 0xeb, 0xd3, 0xe3, 0xe7, 0xe7, 0xdf, 0xd3, 0xdb, 0xd3, 0xdb, 0xdb, 0xd7, 0xdf, 0xc7, 0xdf, 
  0xe3, 0xd3, 0xdf, 0xcb, 0xd7, 0xdf, 0xc3, 0xcf, 0xc7, 0xef, 0xe3, 0xa3, 0xcf, 0xef, 0xd7, 0xdb, 
  0xc7, 0xdb, 0xef, 0xbf, 0xdf, 0xdf, 0xe7, 0xdf, 0xef, 0xaf, 0xdf, 0xf7, 0xbf, 0xd7, 0xef, 0xc7, 
  0xdf, 0xe7, 0xcf, 0xe7, 0xff, 0xcf, 0xc7, 0xef, 0xd7, 0xb7, 0xd7, 0xf7, 0xdf, 0xbf, 0xd7, 0xf7, 
  0xdf, 0xd7, 0xe7, 0xff, 0xf7, 0xcf, 0xcf, 0xef, 0xe7, 0xaf, 0xe7, 0xff, 0xf7, 0xc7, 0xb7, 0xef, 
  0xef, 0xaf, 0xbf, 0xf7, 0xef, 0xab, 0xb7, 0xef, 0xdf, 0xb7, 0xc7, 0xef, 0xef, 0xb7, 0xbf, 0xe7, 
  0xff, 0xdf, 0xb7, 0xa7, 0xdf, 0xd7, 0xdf, 0xdf, 0xb3, 0xbf, 0xe7, 0xdf, 0xc7, 0xb7, 0xe7, 0xef, 
  0xef, 0xef, 0xfb, 0xef, 0xff, 0xef, 0xef, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xfb, 0xfb, 0xf7, 0xf7, 0xff, 0xe7, 0xe3, 0xe3, 0xeb, 0xef, 
  0xe3, 0xe7, 0xe7, 0xe3, 0xdb, 0xcb, 0xd3, 0xd3, 0xd7, 0xd7, 0xd7, 0xdf, 0xbf, 0xdf, 0xe7, 0xc3, 
  0xdb, 0xd7, 0xd7, 0xeb, 0xc7, 0xcb, 0xcf, 0xf3, 0xb7, 0x83, 0xbb, 0xeb, 0xe3, 0xdf, 0xcf, 0xdb, 
  0xef, 0xcf, 0xdf, 0xd3, 0xe7, 0xeb, 0xe7, 0xbf, 0xe3, 0xf3, 0xc3, 0xdf, 0xef, 0xcf, 0xef, 0xeb, 
  0xe3, 0xe3, 0xf3, 0xdb, 0xbf, 0xef, 0xdf, 0xd7, 0xe3, 0xf3, 0xcb, 0xb3, 0xdf, 0xef, 0xcf, 0xdb, 
  0xe7, 0xfb, 0xf3, 0xbf, 0xcf, 0xf3, 0xe3, 0xbf, 0xe3, 0xff, 0xfb, 0xbf, 0xb7, 0xf3, 0xf7, 0xbf, 
  0xcb, 0xf7, 0xeb, 0xcb, 0xc3, 0xef, 0xdb, 0xaf, 0xd7, 0xef, 0xf3, 0xb7, 0xa7, 0xdf, 0xef, 0xdb, 
  0xb3, 0xa7, 0xe3, 0xe7, 0xe7, 0xeb, 0xc3, 0xcb, 0xf3, 0xfb, 0xdf, 0xcf, 0xe7, 0xef, 0xff, 0xff, 
  0xfb, 0xf3, 0xf3, 0xf3, 0xf7, 0xf3, 0xef, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xfb, 0xff, 0xfb, 0xfb, 0xfb, 0xf3, 0xfb, 0xeb, 0xe3, 0xeb, 0xef, 0xef, 0xdf, 0xe7, 
  0xe7, 0xe3, 0xd3, 0xcb, 0xdb, 0xdb, 0xdb, 0xcf, 0xd7, 0xe3, 0xc7, 0xdf, 0xeb, 0xcb, 0xdb, 0xdf, 
  0xd7, 0xef, 0xd3, 0xc7, 0xd3, 0xeb, 0xb3, 0x77, 0xa3, 0xe7, 0xdf, 0xdf, 0xd3, 0xeb, 0xe7, 0xdb, 
  0xdf, 0xd3, 0xdf, 0xef, 0xe3, 0xbb, 0xeb, 0xeb, 0xc7, 0xe3, 0xe3, 0xd3, 0xf3, 0xe7, 0xe3, 0xdf, 
  0xf3, 0xdb, 0xc3, 0xeb, 0xdf, 0xdb, 0xef, 0xef, 0xc7, 0xbf, 0xe3, 0xeb, 0xb7, 0xc7, 0xeb, 0xfb, 
  0xeb, 0xcb, 0xd3, 0xf3, 0xe3, 0xbf, 0xdb, 0xf7, 0xf7, 0xbf, 0xb7, 0xef, 0xf7, 0xcb, 0xd3, 0xf7, 
  0xef, 0xd3, 0xbf, 0xef, 0xdf, 0xab, 0xdb, 0xfb, 0xeb, 0xc7, 0xb3, 0xdb, 0xe7, 0xdb, 0xb7, 0xaf, 
  0xe3, 0xeb, 0xef, 0xeb, 0xb3, 0xc7, 0xf7, 0xf7, 0xe3, 0xdb, 0xeb, 0xef, 0xfb, 0xff, 0xff, 0xfb, 
  0xf3, 0xf3, 0xfb, 0xfb, 0xf7, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 
  0xfb, 0xf7, 0xf3, 0xf7, 0xff, 0xef, 0xf3, 0xef, 0xeb, 0xeb, 0xeb, 0xdb, 0xcb, 0xdb, 0xe7, 0xe7, 
  0xd7, 0xcf, 0xdf, 0xeb, 0xe3, 0xd7, 0xdb, 0xe3, 0xd3, 0xdb, 0xeb, 0xcf, 0xd3, 0xdf, 0xdb, 0xeb, 
  0xd3, 0xc7, 0xcf, 0xe7, 0xc7, 0x8b, 0xbb, 0xe7, 0xd7, 0xdf, 0xdf, 0xef, 0xeb, 0xe3, 0xe3, 0xdf, 
  0xe3, 0xef, 0xe7, 0xbf, 0xef, 0xe7, 0xd3, 0xeb, 0xd3, 0xcf, 0xef, 0xdb, 0xdf, 0xe7, 0xf3, 0xe3, 
  0xcf, 0xe7, 0xbf, 0xcf, 0xf7, 0xef, 0xc7, 0xcb, 0xe7, 0xe7, 0xa7, 0xbf, 0xf3, 0xfb, 0xeb, 0xdb, 
  0xd3, 0xef, 0xe3, 0xbf, 0xdb, 0xfb, 0xf7, 0xc3, 0xbf, 0xef, 0xfb, 0xd3, 0xd3, 0xf3, 0xf7, 0xcb, 
  0xc3, 0xef, 0xdb, 0xab, 0xdf, 0xfb, 0xeb, 0xdb, 0xb7, 0xdf, 0xe7, 0xdf, 0xcb, 0xbf, 0xe3, 0xef, 
  0xef, 0xef, 0xaf, 0xbf, 0xf7, 0xef, 0xdf, 0xdb, 0xeb, 0xef, 0xfb, 0xff, 0xff, 0xff, 0xfb, 0xef, 
  0xf3, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xf7, 0xff, 0xfb, 0xef, 0xff, 0xef, 0xef, 0xe7, 0xe7, 0xcf, 0xaf, 0xd3, 0xef, 0xef, 0xdf, 0xcf, 
  0xdf, 0xe7, 0xef, 0xcf, 0xd7, 0xe7, 0xcf, 0xd7, 0xef, 0xcf, 0xd7, 0xe7, 0xe3, 0xef, 0xcf, 0xc7, 
  0xc7, 0xe7, 0xdf, 0xaf, 0xc7, 0xef, 0xd7, 0xdf, 0xd7, 0xf7, 0xe7, 0xcf, 0xe7, 0xe7, 0xd3, 0xe7, 
  0xef, 0xcf, 0xff, 0xdf, 0xe7, 0xef, 0xcf, 0xdf, 0xeb, 0xc7, 0xdf, 0xef, 0xe3, 0xeb, 0xdb, 0xe7, 
  0xb7, 0xcf, 0xf7, 0xe7, 0xc3, 0xcb, 0xe7, 0xe7, 0xb7, 0xc7, 0xf7, 0xff, 0xeb, 0xdf, 0xd3, 0xeb, 
  0xdf, 0xc3, 0xe7, 0xff, 0xf7, 0xcf, 0xcf, 0xef, 0xfb, 0xd3, 0xd7, 0xef, 0xf7, 0xb7, 0xc7, 0xf3, 
  0xdb, 0xb7, 0xdf, 0xfb, 0xf3, 0xdb, 0xcb, 0xe7, 0xf3, 0xe7, 0xdb, 0xc7, 0xcf, 0xeb, 0xeb, 0xf3, 
  0xbf, 0xbb, 0xf7, 0xef, 0xe3, 0xd3, 0xdb, 0xef, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf7, 0xf3, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf7, 0xff, 
  0xf7, 0xf7, 0xf7, 0xef, 0xe7, 0xef, 0xe7, 0xd7, 0xc7, 0xdf, 0xe3, 0xef, 0xef, 0xdf, 0xdf, 0xef, 
  0xef, 0xc7, 0xd7, 0xeb, 0xc7, 0xd7, 0xef, 0xc7, 0xc7, 0xdf, 0xdf, 0xe7, 0xcf, 0xc7, 0xbf, 0xdf, 
  0xdf, 0xc7, 0xd7, 0xef, 0xef, 0xd7, 0xd7, 0xf7, 0xef, 0xbf, 0xe7, 0xe7, 0xcf, 0xe7, 0xf7, 0xcf, 
  0xef, 0xdf, 0xe7, 0xef, 0xd7, 0xe3, 0xdf, 0xa7, 0xc7, 0xe7, 0xdf, 0xef, 0xdf, 0xe7, 0xcf, 0xe7, 
  0xef, 0xd7, 0xbf, 0xbf, 0xe7, 0xdf, 0xb7, 0xbf, 0xf7, 0xff, 0xdf, 0xcf, 0xdf, 0xf7, 0xe7, 0xcf, 
  0xe7, 0xff, 0xff, 0xcf, 0xbf, 0xe7, 0xf7, 0xbf, 0xd7, 0xf7, 0xef, 0xaf, 0xd7, 0xef, 0xd7, 0xb7, 
  0xdf, 0xfb, 0xef, 0xd7, 0xcf, 0xe7, 0xf7, 0xe7, 0xc7, 0xc7, 0xa7, 0xe7, 0xe7, 0xef, 0xcf, 0xb7, 
  0xf7, 0xf7, 0xe3, 0xcf, 0xcf, 0xef, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf7, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf3, 0xff, 0xff, 0xff, 0xf7, 0xf7, 0xef, 
  0xef, 0xeb, 0xe7, 0xef, 0xe7, 0xef, 0xd7, 0xcf, 0xe7, 0xeb, 0xdf, 0xdf, 0xdf, 0xe7, 0xef, 0xc7, 
  0xcf, 0xdf, 0xcf, 0xcf, 0xef, 0xcf, 0xc7, 0xcf, 0xe7, 0xd7, 0xcf, 0xdf, 0xcf, 0xdf, 0xdf, 0xd7, 
  0xcf, 0xf7, 0xef, 0xe7, 0xcf, 0xef, 0xef, 0xd7, 0xd7, 0xef, 0xe7, 0xdf, 0xf7, 0xd7, 0xf7, 0xdf, 
  0xe7, 0xef, 0xdf, 0xef, 0xe7, 0xb7, 0xd7, 0xd7, 0xe7, 0xe7, 0xdf, 0xe7, 0xef, 0xe7, 0xef, 0xdf, 
  0xbf, 0xc7, 0xf7, 0xdf, 0xc7, 0xcf, 0xf7, 0xef, 0xcf, 0xcf, 0xdf, 0xf7, 0xe7, 0xd7, 0xef, 0xf7, 
  0xff, 0xcf, 0xbf, 0xef, 0xef, 0xc7, 0xcb, 0xf7, 0xef, 0xb7, 0xd7, 0xe7, 0xdf, 0xaf, 0xe3, 0xf7, 
  0xdf, 0xbf, 0xbf, 0xef, 0xff, 0xef, 0xc7, 0xbf, 0xb7, 0xe7, 0xdf, 0xef, 0xc7, 0xaf, 0xef, 0xf3, 
  0xe7, 0xcf, 0xdf, 0xef, 0xf7, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xf7, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf3, 0xfb, 0xfb, 0xf3, 0xf3, 0xf3, 0xf3, 0xe7, 
  0xeb, 0xe7, 0xdf, 0xe7, 0xcb, 0xbf, 0xe3, 0xe7, 0xeb, 0xd7, 0xcf, 0xdb, 0xeb, 0xdf, 0xcf, 0xe7, 
  0xd3, 0xcf, 0xd7, 0xc3, 0xcb, 0xc7, 0xdf, 0xdb, 0xcb, 0xdf, 0xcf, 0xe7, 0xdf, 0xdf, 0xd3, 0xe7, 
  0xeb, 0xd7, 0xc7, 0xf3, 0xf3, 0xdf, 0xeb, 0xdf, 0xeb, 0xef, 0xe7, 0xdf, 0xf7, 0xcf, 0xe7, 0xef, 
  0xef, 0xef, 0xe3, 0xc7, 0xdf, 0xd7, 0xe7, 0xe7, 0xcf, 0xef, 0xdf, 0xdf, 0xe7, 0xcf, 0xbf, 0xdf, 
  0xf7, 0xdf, 0xb7, 0xbf, 0xf7, 0xef, 0xc7, 0xc7, 0xe7, 0xef, 0xdf, 0xcf, 0xef, 0xe7, 0xff, 0xcf, 
  0xb7, 0xef, 0xf7, 0xcf, 0xd7, 0xef, 0xe7, 0xb7, 0xbf, 0xef, 0xd7, 0xc7, 0xd7, 0xef, 0xd7, 0xb7, 
  0xa7, 0xef, 0xff, 0xef, 0xd3, 0x9f, 0xaf, 0xdf, 0xd7, 0xef, 0xd7, 0xbf, 0xe3, 0xf7, 0xe7, 0xcf, 
  0xd7, 0xef, 0xf7, 0xff, 0xf3, 0xff, 0xf7, 0xff, 0xff, 0xf7, 0xf7, 0xf3, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf3, 0xfb, 0xf3, 0xf3, 0xfb, 0xf7, 0xef, 0xdb, 0xe7, 0xdb, 
  0xdf, 0xeb, 0xcf, 0xd7, 0xe7, 0xe7, 0xe7, 0xd3, 0xcf, 0xd3, 0xdf, 0xe3, 0xcb, 0xe3, 0xdb, 0xd3, 
  0xdb, 0xd3, 0xdb, 0xcb, 0xd7, 0xe3, 0xc3, 0xdb, 0xd7, 0xe7, 0xdb, 0xdb, 0xcf, 0xe3, 0xe7, 0xcb, 
  0xd7, 0xef, 0xf3, 0xcf, 0xef, 0xe3, 0xeb, 0xeb, 0xeb, 0xe3, 0xeb, 0xdf, 0xd3, 0xe3, 0xdf, 0xef, 
  0xcf, 0xc3, 0xe7, 0xeb, 0xeb, 0xdf, 0xd3, 0xe7, 0xfb, 0xe3, 0xeb, 0xbb, 0xb7, 0xe7, 0xf3, 0xdf, 
  0xb3, 0xcb, 0xef, 0xf3, 0xd3, 0xd7, 0xf3, 0xfb, 0xe3, 0xdf, 0xe3, 0xe3, 0xfb, 0xcf, 0xc7, 0xeb, 
  0xeb, 0xcf, 0xc3, 0xf3, 0xdf, 0xbb, 0xe3, 0xeb, 0xb7, 0xc7, 0xdb, 0xeb, 0xcb, 0xbf, 0xbb, 0xef, 
  0xef, 0xf3, 0xdf, 0x8f, 0xab, 0xeb, 0xdb, 0xe7, 0xc3, 0xb3, 0xe3, 0xe7, 0xf7, 0xcf, 0xe7, 0xef, 
  0xf7, 0xff, 0xff, 0xef, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xf7, 0xff, 0xff, 0xf3, 0xef, 0xd7, 0xe7, 0xdb, 0xeb, 0xef, 
  0xd7, 0xdf, 0xe7, 0xe7, 0xeb, 0xcf, 0xd3, 0xcf, 0xdb, 0xe3, 0xcb, 0xdb, 0xd7, 0xc7, 0xdf, 0xe3, 
  0xe7, 0xd3, 0xcf, 0xe3, 0xbb, 0xdf, 0xcf, 0xe3, 0xdb, 0xdb, 0xc3, 0xdb, 0xe7, 0xcf, 0xdf, 0xe7, 
  0xf7, 0xc7, 0xef, 0xe3, 0xeb, 0xef, 0xdb, 0xdf, 0xeb, 0xdf, 0xd3, 0xe3, 0xcf, 0xeb, 0xc3, 0xb3, 
  0xe7, 0xef, 0xef, 0xdb, 0xdf, 0xeb, 0xf7, 0xf3, 0xdf, 0xab, 0xb7, 0xeb, 0xeb, 0xe3, 0xbf, 0xd3, 
  0xef, 0xeb, 0xc7, 0xdb, 0xf7, 0xf7, 0xe3, 0xdb, 0xe3, 0xeb, 0xfb, 0xcf, 0xc3, 0xeb, 0xeb, 0xd3, 
  0xc7, 0xef, 0xdf, 0xbf, 0xeb, 0xe7, 0xaf, 0xaf, 0xdf, 0xef, 0xcb, 0xcf, 0xdf, 0xe7, 0xd3, 0xef, 
  0xdb, 0x9b, 0xab, 0xeb, 0xe7, 0xeb, 0xdb, 0xc3, 0xe3, 0xe7, 0xef, 0xe3, 0xeb, 0xef, 0xef, 0xef, 
  0xef, 0xf7, 0xf3, 0xf7, 0xf7, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xf7, 0xfb, 0xf3, 0xf7, 0xf7, 0xdb, 0xe7, 0xe3, 0xeb, 0xef, 0xcf, 0xdf, 
  0xe7, 0xdb, 0xef, 0xcb, 0xd7, 0xd3, 0xdf, 0xe7, 0xcb, 0xd7, 0xcf, 0xbf, 0xdf, 0xd3, 0xdb, 0xd3, 
  0xcf, 0xdb, 0xb7, 0xdf, 0xc7, 0xe7, 0xdf, 0xe3, 0xc7, 0xd7, 0xe3, 0xd7, 0xdf, 0xeb, 0xef, 0xc3, 
  0xef, 0xdf, 0xe3, 0xe7, 0xc7, 0xdf, 0xe7, 0xe7, 0xdf, 0xe3, 0xcf, 0xe7, 0xb7, 0xa7, 0xe7, 0xef, 
  0xef, 0xd7, 0xe3, 0xef, 0xfb, 0xf7, 0xdb, 0xab, 0xc7, 0xeb, 0xe7, 0xe3, 0xd3, 0xe3, 0xef, 0xe7, 
  0xbf, 0xe3, 0xfb, 0xf3, 0xe7, 0xdb, 0xe7, 0xef, 0xf7, 0xcf, 0xbb, 0xef, 0xef, 0xdb, 0xd3, 0xef, 
  0xdb, 0xbb, 0xef, 0xe3, 0xb3, 0xa3, 0xe3, 0xef, 0xd3, 0xd7, 0xef, 0xd7, 0xc3, 0xe3, 0xdf, 0xaf, 
  0xb3, 0xef, 0xf3, 0xef, 0xeb, 0xd7, 0xd3, 0xeb, 0xe3, 0xe7, 0xef, 0xeb, 0xef, 0xef, 0xef, 0xf3, 
  0xf7, 0xf7, 0xf3, 0xfb, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xef, 0xef, 0xe7, 0xe7, 0xef, 0xef, 0xdb, 0xef, 0xe3, 0xcf, 
  0xef, 0xcb, 0xd7, 0xcf, 0xdb, 0xeb, 0xc7, 0xdf, 0xd3, 0xbf, 0xdb, 0xc7, 0xdf, 0xd3, 0xcf, 0xd7, 
  0xc7, 0xe3, 0xc3, 0xe3, 0xdf, 0xe7, 0xd7, 0xdb, 0xe3, 0xe3, 0xdf, 0xeb, 0xe3, 0xbb, 0xef, 0xdb, 
  0xd7, 0xe3, 0xcb, 0xef, 0xeb, 0xe7, 0xeb, 0xdf, 0xdb, 0xe7, 0xb7, 0xbb, 0xe7, 0xeb, 0xe7, 0xd7, 
  0xd7, 0xef, 0xff, 0xfb, 0xdf, 0xb7, 0xdb, 0xe7, 0xe7, 0xdb, 0xc7, 0xe3, 0xef, 0xe3, 0xc3, 0xe3, 
  0xfb, 0xeb, 0xdf, 0xdf, 0xe7, 0xef, 0xf7, 0xcf, 0xbb, 0xef, 0xef, 0xdf, 0xdb, 0xef, 0xd7, 0xc3, 
  0xef, 0xdf, 0xaf, 0xa7, 0xeb, 0xeb, 0xd3, 0xdf, 0xef, 0xdf, 0xbf, 0xdf, 0xeb, 0xc7, 0xbb, 0xeb, 
  0xfb, 0xf3, 0xef, 0xdf, 0xcf, 0xef, 0xe3, 0xe7, 0xef, 0xeb, 0xef, 0xf3, 0xef, 0xef, 0xf3, 0xf7, 
  0xf3, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf3, 0xff, 
  0xff, 0xff, 0xf7, 0xf7, 0xef, 0xeb, 0xe7, 0xe7, 0xe7, 0xe7, 0xd7, 0xe7, 0xcb, 0xbf, 0xe7, 0xc7, 
  0xcf, 0xc7, 0xd7, 0xe7, 0xd3, 0xdf, 0xdf, 0xb7, 0xdf, 0xc7, 0xd7, 0xbf, 0xc7, 0xd7, 0xdf, 0xd7, 
  0xbf, 0xdf, 0xeb, 0xe7, 0xdf, 0xd7, 0xef, 0xe7, 0xdf, 0xe7, 0xe3, 0xc7, 0xef, 0xe7, 0xf7, 0xe7, 
  0xcf, 0xf7, 0xef, 0xdf, 0xef, 0xcf, 0xdf, 0xe7, 0xcf, 0xdf, 0xef, 0xd7, 0xdf, 0xcf, 0xd7, 0xef, 
  0xff, 0xff, 0xdf, 0xcf, 0xdf, 0xdf, 0xe7, 0xc7, 0xbf, 0xef, 0xf7, 0xcf, 0xdf, 0xe7, 0xff, 0xe7, 
  0xdf, 0xd7, 0xe3, 0xf3, 0xf7, 0xd3, 0xc7, 0xef, 0xef, 0xdf, 0xe3, 0xef, 0xd3, 0xd3, 0xef, 0xe3, 
  0xaf, 0xb7, 0xeb, 0xe7, 0xcb, 0xe7, 0xef, 0xdb, 0xcb, 0xdf, 0xf3, 0xdb, 0xb7, 0xe3, 0xf3, 0xef, 
  0xe3, 0xdb, 0xdb, 0xf3, 0xeb, 0xeb, 0xf7, 0xef, 0xef, 0xf7, 0xf3, 0xef, 0xef, 0xef, 0xf3, 0xef, 
  0xf3, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf7, 0xef, 0xf3, 0xff, 0xff, 
  0xf7, 0xf7, 0xef, 0xe7, 0xe3, 0xe7, 0xe7, 0xdf, 0xcf, 0xef, 0xc7, 0xbb, 0xe7, 0xdf, 0xc7, 0xcf, 
  0xdf, 0xe7, 0xd7, 0xe7, 0xdf, 0xc7, 0xe7, 0xcf, 0xcf, 0xc7, 0xdb, 0xe7, 0xd7, 0xdf, 0xbf, 0xd7, 
  0xe7, 0xdf, 0xd7, 0xd7, 0xef, 0xe7, 0xdf, 0xc7, 0xe7, 0xd7, 0xf7, 0xdf, 0xef, 0xdf, 0xd7, 0xef, 
  0xe3, 0xcf, 0xef, 0xdf, 0xef, 0xdf, 0xd7, 0xef, 0xef, 0xdf, 0xd7, 0xe7, 0xef, 0xef, 0xf7, 0xf7, 
  0xd7, 0xd7, 0xe7, 0xe7, 0xdf, 0xbf, 0xcf, 0xf7, 0xf7, 0xdf, 0xdf, 0xe7, 0xf7, 0xe7, 0xdf, 0xc7, 
  0xe7, 0xf7, 0xf7, 0xd7, 0xcf, 0xef, 0xf7, 0xdf, 0xdf, 0xef, 0xc7, 0xe7, 0xe7, 0xcf, 0xcf, 0xd7, 
  0xef, 0xdf, 0xbf, 0xe7, 0xef, 0xd7, 0xd7, 0xdf, 0xef, 0xd7, 0xbf, 0xd7, 0xef, 0xe7, 0xb7, 0xc7, 
  0xe7, 0xf7, 0xfb, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xf7, 0xef, 0xff, 0xef, 
  0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xff, 0xf3, 0xef, 0xef, 
  0xef, 0xef, 0xe7, 0xeb, 0xe7, 0xdf, 0xbf, 0xef, 0xcf, 0xcf, 0xef, 0xe7, 0xcf, 0xcf, 0xdf, 0xe7, 
  0xd7, 0xdf, 0xdf, 0xd7, 0xef, 0xd7, 0xcf, 0xd7, 0xc7, 0xd7, 0xd7, 0xd7, 0xcf, 0xcf, 0xef, 0xe7, 
  0xd3, 0xe7, 0xdf, 0xe7, 0xdf, 0xcf, 0xef, 0xef, 0xf7, 0xe7, 0xef, 0xe7, 0xdf, 0xf7, 0xdf, 0xcf, 
  0xe7, 0xe7, 0xef, 0xcf, 0xdf, 0xf7, 0xf7, 0xef, 0xd7, 0xe7, 0xef, 0xe7, 0xef, 0xef, 0xd7, 0xdf, 
  0xe7, 0xef, 0xc7, 0xa7, 0xcf, 0xf7, 0xef, 0xdf, 0xdf, 0xf7, 0xff, 0xeb, 0xdf, 0xc7, 0xe7, 0xff, 
  0xe7, 0xc7, 0xd7, 0xe7, 0xef, 0xe7, 0xdf, 0xe7, 0xd7, 0xef, 0xef, 0xd7, 0xc7, 0xe7, 0xef, 0xd7, 
  0xb7, 0xd7, 0xef, 0xd7, 0xc7, 0xe7, 0xef, 0xcf, 0xbf, 0xd7, 0xef, 0xe7, 0x97, 0xb7, 0xf7, 0xf3, 
  0xef, 0xff, 0xf7, 0xef, 0xef, 0xf7, 0xf3, 0xf7, 0xef, 0xef, 0xf7, 0xef, 0xf7, 0xef, 0xf7, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xfb, 0xff, 0xff, 0xf7, 0xf3, 0xf3, 0xf3, 0xf3, 0xef, 
  0xef, 0xe7, 0xef, 0xeb, 0xb7, 0xdf, 0xdb, 0xbf, 0xe7, 0xd3, 0xbf, 0xc3, 0xcb, 0xe7, 0xd7, 0xd7, 
  0xdf, 0xdf, 0xe7, 0xdf, 0xcf, 0xd7, 0xc7, 0xd3, 0xd7, 0xc7, 0xbf, 0xd7, 0xe7, 0xd7, 0xcb, 0xcf, 
  0xef, 0xef, 0xdf, 0xcf, 0xdf, 0xef, 0xef, 0xe7, 0xd7, 0xef, 0xf7, 0xef, 0xd7, 0xd7, 0xe7, 0xdf, 
  0xef, 0xc7, 0xdf, 0xef, 0xef, 0xef, 0xcf, 0xe7, 0xf7, 0xd7, 0xef, 0xe3, 0xcf, 0xe7, 0xe7, 0xf7, 
  0xbf, 0x97, 0xcf, 0xf7, 0xf7, 0xdf, 0xdf, 0xf7, 0xef, 0xef, 0xd7, 0xbf, 0xef, 0xef, 0xe7, 0xbf, 
  0xcf, 0xe7, 0xef, 0xef, 0xe7, 0xe7, 0xe7, 0xef, 0xef, 0xd7, 0xbf, 0xe7, 0xe7, 0xcf, 0xc3, 0xdf, 
  0xef, 0xd7, 0xc7, 0xe7, 0xef, 0xdb, 0xcf, 0xdf, 0xf7, 0xe7, 0xb7, 0xc7, 0xef, 0xf7, 0xf7, 0xff, 
  0xef, 0xef, 0xf7, 0xf3, 0xf7, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xf3, 0xfb, 0xff, 0xf7, 0xfb, 0xf3, 0xf3, 0xf3, 0xef, 0xef, 0xef, 0xef, 
  0xef, 0xdf, 0xbb, 0xd3, 0xdb, 0xc3, 0xdf, 0xc3, 0xcb, 0xbf, 0xc3, 0xdb, 0xdb, 0xcb, 0xef, 0xef, 
  0xe3, 0xd7, 0xcf, 0xd3, 0xcf, 0xe7, 0xe3, 0xd7, 0xdb, 0xdf, 0xef, 0xd7, 0xdb, 0xdb, 0xef, 0xeb, 
  0xd7, 0xcb, 0xd7, 0xeb, 0xe7, 0xe7, 0xdf, 0xef, 0xef, 0xe3, 0xcf, 0xdb, 0xe7, 0xdf, 0xef, 0xbf, 
  0xd7, 0xef, 0xef, 0xeb, 0xd3, 0xef, 0xfb, 0xdf, 0xdf, 0xb7, 0xbf, 0xe3, 0xfb, 0xef, 0xc3, 0xc3, 
  0xe7, 0xf3, 0xe7, 0xd7, 0xef, 0xf7, 0xdf, 0xc7, 0xc7, 0xd7, 0xef, 0xef, 0xdf, 0xbf, 0xcb, 0xef, 
  0xe7, 0xdf, 0xe7, 0xdf, 0xe7, 0xef, 0xe7, 0xd7, 0xd7, 0xe7, 0xe7, 0xcf, 0xcf, 0xe7, 0xef, 0xd7, 
  0xc7, 0xe7, 0xef, 0xdf, 0xcf, 0xdf, 0xef, 0xe7, 0xe7, 0xd3, 0xdf, 0xef, 0xe7, 0xff, 0xf7, 0xff, 
  0xf3, 0xff, 0xf7, 0xf7, 0xef, 0xf7, 0xf7, 0xef, 0xef, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xfb, 0xff, 0xf7, 0xef, 0xfb, 0xf3, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xeb, 
  0xc3, 0xc3, 0xe3, 0xd3, 0xdf, 0xbf, 0xd7, 0xab, 0xbb, 0xdb, 0xdb, 0xcf, 0xe7, 0xeb, 0xe3, 0xdb, 
  0xd3, 0xcf, 0xd3, 0xdf, 0xdb, 0xd3, 0xe7, 0xe7, 0xef, 0xd7, 0xdf, 0xe3, 0xef, 0xeb, 0xd7, 0xc3, 
  0xdf, 0xef, 0xeb, 0xdb, 0xe3, 0xef, 0xef, 0xdb, 0xcb, 0xdf, 0xe7, 0xdf, 0xeb, 0xbf, 0xcb, 0xeb, 
  0xef, 0xe7, 0xd3, 0xf3, 0xfb, 0xe7, 0xd7, 0xa7, 0xbf, 0xe3, 0xf7, 0xeb, 0xcf, 0xdb, 0xeb, 0xef, 
  0xe7, 0xd7, 0xf7, 0xf7, 0xdb, 0xc3, 0xbf, 0xe3, 0xef, 0xef, 0xd7, 0xdb, 0xe3, 0xe7, 0xd3, 0xc7, 
  0xdf, 0xdf, 0xef, 0xeb, 0xd7, 0xd7, 0xdf, 0xef, 0xcf, 0xd7, 0xdb, 0xe7, 0xef, 0xcb, 0xcb, 0xe7, 
  0xef, 0xd7, 0xdf, 0xe3, 0xf3, 0xe3, 0xef, 0xeb, 0xef, 0xfb, 0xeb, 0xfb, 0xfb, 0xfb, 0xf7, 0xfb, 
  0xf7, 0xf3, 0xef, 0xf7, 0xf3, 0xf7, 0xef, 0xef, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xf7, 0xef, 0xf7, 0xef, 0xfb, 0xef, 0xf3, 0xf3, 0xef, 0xef, 0xef, 0xef, 0xbf, 0xc3, 
  0xe7, 0xdb, 0xdb, 0xbf, 0xcf, 0xab, 0xc7, 0xd7, 0xe3, 0xcf, 0xe3, 0xe7, 0xdb, 0xdf, 0xd3, 0xcf, 
  0xcb, 0xdb, 0xd7, 0xd7, 0xdf, 0xe7, 0xeb, 0xdb, 0xe3, 0xeb, 0xef, 0xef, 0xdb, 0xb7, 0xe3, 0xef, 
  0xe3, 0xd7, 0xe7, 0xe7, 0xef, 0xd7, 0xc7, 0xe7, 0xeb, 0xe7, 0xe7, 0xc7, 0xcf, 0xeb, 0xef, 0xe3, 
  0xd7, 0xf7, 0xf7, 0xeb, 0xd7, 0xbf, 0xd3, 0xeb, 0xef, 0xdb, 0xdb, 0xe3, 0xeb, 0xf7, 0xe7, 0xdb, 
  0xf7, 0xfb, 0xdf, 0xcb, 0xc7, 0xeb, 0xf3, 0xef, 0xd7, 0xe7, 0xeb, 0xe7, 0xd3, 0xc3, 0xdf, 0xeb, 
  0xef, 0xe7, 0xdb, 0xdb, 0xe3, 0xef, 0xc7, 0xcb, 0xd7, 0xeb, 0xef, 0xd7, 0xd3, 0xeb, 0xef, 0xdf, 
  0xdf, 0xe3, 0xf3, 0xd7, 0xe7, 0xef, 0xef, 0xf7, 0xeb, 0xf7, 0xfb, 0xff, 0xfb, 0xf7, 0xff, 0xf3, 
  0xef, 0xef, 0xf3, 0xef, 0xf3, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xf7, 0xf7, 0xf3, 0xef, 0xf7, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0xef, 0xc3, 0xc3, 0xe7, 0xdb, 
  0xcf, 0xc3, 0xc7, 0xb3, 0xcf, 0xdb, 0xe3, 0xcb, 0xdb, 0xd7, 0xc7, 0xe3, 0xd3, 0xcf, 0xcb, 0xe3, 
  0xd7, 0xd7, 0xcb, 0xe3, 0xe7, 0xdf, 0xe7, 0xeb, 0xf7, 0xf3, 0xd7, 0xbb, 0xe3, 0xef, 0xdf, 0xd7, 
  0xe3, 0xe3, 0xef, 0xdf, 0xc3, 0xeb, 0xef, 0xef, 0xe7, 0xd3, 0xe3, 0xef, 0xe7, 0xd7, 0xdb, 0xf3, 
  0xf7, 0xef, 0xd7, 0xcf, 0xdf, 0xef, 0xf3, 0xd3, 0xe3, 0xeb, 0xf3, 0xfb, 0xeb, 0xe3, 0xf3, 0xf7, 
  0xe7, 0xcb, 0xd3, 0xef, 0xf3, 0xeb, 0xd3, 0xe7, 0xef, 0xeb, 0xd7, 0xbf, 0xe7, 0xef, 0xef, 0xeb, 
  0xdf, 0xdb, 0xeb, 0xef, 0xd7, 0xd3, 0xd7, 0xef, 0xeb, 0xdf, 0xdb, 0xe3, 0xef, 0xe7, 0xdf, 0xdb, 
  0xf7, 0xcf, 0xdf, 0xef, 0xe3, 0xeb, 0xef, 0xfb, 0xf7, 0xfb, 0xf7, 0xf3, 0xf7, 0xef, 0xef, 0xef, 
  0xef, 0xef, 0xf7, 0xf3, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xf3, 0xf7, 
  0xf7, 0xef, 0xf3, 0xfb, 0xf3, 0xf3, 0xf7, 0xf7, 0xf3, 0xeb, 0xcf, 0xc3, 0xdf, 0xcb, 0xbf, 0xcb, 
  0xc7, 0xb3, 0xcb, 0xdb, 0xd7, 0xc7, 0xc3, 0xbb, 0xb3, 0xd7, 0xcf, 0xd3, 0xcf, 0xeb, 0xe7, 0xcb, 
  0xc7, 0xdb, 0xeb, 0xdb, 0xe3, 0xe7, 0xf7, 0xef, 0xd7, 0xcb, 0xeb, 0xef, 0xd3, 0xe3, 0xe7, 0xe7, 
  0xef, 0xeb, 0xc3, 0xef, 0xef, 0xf7, 0xe7, 0xd3, 0xeb, 0xeb, 0xe3, 0xcf, 0xe3, 0xf3, 0xf7, 0xeb, 
  0xd3, 0xcf, 0xe3, 0xef, 0xf3, 0xdb, 0xe7, 0xf7, 0xf7, 0xf3, 0xef, 0xeb, 0xf3, 0xef, 0xef, 0xd3, 
  0xdb, 0xef, 0xef, 0xe7, 0xc7, 0xcf, 0xef, 0xef, 0xd7, 0xbb, 0xef, 0xef, 0xef, 0xef, 0xe7, 0xdf, 
  0xf3, 0xef, 0xeb, 0xdf, 0xdf, 0xef, 0xeb, 0xe3, 0xe7, 0xeb, 0xef, 0xeb, 0xe7, 0xe3, 0xfb, 0xeb, 
  0xeb, 0xf3, 0xd7, 0xe7, 0xfb, 0xff, 0xf7, 0xfb, 0xf3, 0xf3, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 
  0xf3, 0xf3, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf3, 0xf7, 0xef, 0xf7, 0xef, 0xef, 
  0xef, 0xf7, 0xef, 0xef, 0xf7, 0xf7, 0xf3, 0xe7, 0xc7, 0xbf, 0xdf, 0xc7, 0xb3, 0xc7, 0xc7, 0xcf, 
  0xc7, 0xcf, 0xdb, 0xcf, 0xaf, 0xd7, 0xb7, 0xe7, 0xcf, 0xdb, 0xd7, 0xdf, 0xe7, 0xbf, 0xcf, 0xdf, 
  0xef, 0xd7, 0xcf, 0xdf, 0xf7, 0xeb, 0xd7, 0xd7, 0xef, 0xe7, 0xbf, 0xe7, 0xef, 0xe7, 0xef, 0xdf, 
  0xd3, 0xeb, 0xef, 0xf7, 0xe3, 0xcf, 0xef, 0xdf, 0xe7, 0xcf, 0xef, 0xfb, 0xf7, 0xe3, 0xc7, 0xd7, 
  0xeb, 0xe3, 0xef, 0xdf, 0xe7, 0xff, 0xf7, 0xef, 0xe7, 0xeb, 0xf3, 0xe7, 0xe7, 0xe3, 0xd3, 0xef, 
  0xef, 0xe3, 0xc3, 0xc7, 0xef, 0xeb, 0xdb, 0xcb, 0xef, 0xef, 0xef, 0xeb, 0xe7, 0xeb, 0xf3, 0xef, 
  0xeb, 0xeb, 0xeb, 0xef, 0xef, 0xeb, 0xef, 0xef, 0xef, 0xf3, 0xef, 0xef, 0xf7, 0xf7, 0xf7, 0xf7, 
  0xdb, 0xeb, 0xfb, 0xff, 0xfb, 0xff, 0xf3, 0xf3, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xf3, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xf7, 0xf7, 0xff, 0xf7, 0xf7, 0xff, 
  0xf7, 0xf7, 0xf7, 0xef, 0xef, 0xef, 0xd7, 0xbf, 0xe7, 0xc7, 0xa7, 0xaf, 0xc7, 0xcf, 0xcf, 0xc7, 
  0xd7, 0xd7, 0xb7, 0xdf, 0xd7, 0xdf, 0xbf, 0xd3, 0xd7, 0xd7, 0xd7, 0xbf, 0xd7, 0xe7, 0xe7, 0xe7, 
  0xcf, 0xe7, 0xef, 0xe7, 0xc7, 0xd7, 0xf7, 0xe7, 0xc7, 0xe7, 0xef, 0xd7, 0xef, 0xe7, 0xe7, 0xe7, 
  0xef, 0xef, 0xdf, 0xd7, 0xe7, 0xd7, 0xe7, 0xc7, 0xef, 0xef, 0xf7, 0xdf, 0xc7, 0xef, 0xef, 0xd7, 
  0xef, 0xdf, 0xf7, 0xf7, 0xff, 0xe7, 0xd7, 0xe7, 0xef, 0xd7, 0xdf, 0xe7, 0xcf, 0xef, 0xef, 0xdf, 
  0xcf, 0xd7, 0xef, 0xef, 0xe7, 0xe7, 0xef, 0xef, 0xdf, 0xcf, 0xdf, 0xe7, 0xef, 0xef, 0xe3, 0xe7, 
  0xef, 0xef, 0xef, 0xeb, 0xeb, 0xef, 0xef, 0xf3, 0xef, 0xef, 0xf3, 0xf3, 0xf3, 0xf7, 0xeb, 0xf7, 
  0xfb, 0xff, 0xfb, 0xfb, 0xf7, 0xf3, 0xf3, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf3, 0xf3, 0xf7, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xf7, 0xef, 0xef, 0xf7, 0xf7, 0xef, 0xf7, 
  0xef, 0xef, 0xef, 0xe7, 0xdf, 0xcf, 0xdf, 0xcf, 0xb7, 0xbf, 0xdb, 0xcf, 0xe7, 0xe7, 0xe7, 0xdf, 
  0xcf, 0xdf, 0xd7, 0xdf, 0xdf, 0xef, 0xcf, 0xd7, 0xdf, 0xdf, 0xe7, 0xdf, 0xef, 0xe7, 0xd7, 0xe7, 
  0xef, 0xd7, 0xcf, 0xcf, 0xef, 0xe7, 0xc7, 0xe7, 0xe7, 0xe7, 0xef, 0xd7, 0xf7, 0xcf, 0xef, 0xef, 
  0xe7, 0xd7, 0xe7, 0xdf, 0xe7, 0xbf, 0xef, 0xff, 0xef, 0xcf, 0xbf, 0xef, 0xdf, 0xdf, 0xe7, 0xd7, 
  0xef, 0xf7, 0xf7, 0xd7, 0xd7, 0xef, 0xe7, 0xc7, 0xd7, 0xdf, 0xd7, 0xef, 0xe7, 0xd7, 0xdf, 0xe7, 
  0xef, 0xef, 0xd7, 0xe7, 0xef, 0xef, 0xd7, 0xc7, 0xcf, 0xcf, 0xef, 0xe7, 0xd7, 0xdf, 0xd7, 0xef, 
  0xdb, 0xd7, 0xcf, 0xef, 0xef, 0xef, 0xef, 0xe7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xf7, 0xff, 
  0xff, 0xf7, 0xf3, 0xff, 0xff, 0xff, 0xef, 0xf3, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xef, 0xf7, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xef, 
  0xf7, 0xf7, 0xef, 0xe3, 0xe7, 0xe7, 0xcf, 0xd7, 0xe7, 0xe7, 0xd7, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 
  0xdf, 0xe7, 0xef, 0xef, 0xdf, 0xd7, 0xdf, 0xef, 0xef, 0xdf, 0xef, 0xef, 0xe7, 0xf7, 0xef, 0xdf, 
  0xc7, 0xdb, 0xef, 0xe7, 0xbf, 0xe7, 0xef, 0xef, 0xe7, 0xd7, 0xef, 0xcf, 0xef, 0xdf, 0xdf, 0xe7, 
  0xdf, 0xdf, 0xdf, 0xcf, 0xef, 0xf7, 0xef, 0xd7, 0xe7, 0xef, 0xe7, 0xdf, 0xe7, 0xdf, 0xe7, 0xef, 
  0xef, 0xc7, 0xcf, 0xef, 0xef, 0xc7, 0xcf, 0xdf, 0xe7, 0xef, 0xdf, 0xd7, 0xdf, 0xd7, 0xef, 0xef, 
  0xd7, 0xe7, 0xef, 0xef, 0xd7, 0xc7, 0xcf, 0xd7, 0xeb, 0xdf, 0xdf, 0xcf, 0xcf, 0xef, 0xd7, 0xc7, 
  0xcf, 0xef, 0xef, 0xdf, 0xeb, 0xd7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xff, 0xf7, 0xff, 0xf7, 0xef, 
  0xef, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xf7, 0xff, 0xf7, 0xf7, 0xf3, 0xef, 0xf7, 0xf7, 0xef, 0xf7, 0xf3, 0xef, 0xef, 0xef, 
  0xdf, 0xdf, 0xdf, 0xdf, 0xc7, 0xd7, 0xd7, 0xcf, 0xc7, 0xdf, 0xe7, 0xdf, 0xcf, 0xe3, 0xe7, 0xdf, 
  0xe7, 0xcf, 0xdf, 0xc7, 0xdf, 0xdf, 0xdf, 0xe7, 0xe7, 0xef, 0xd7, 0xef, 0xef, 0xdf, 0xcf, 0xdf, 
  0xef, 0xdf, 0xc7, 0xe7, 0xf7, 0xef, 0xef, 0xc7, 0xf7, 0xe7, 0xef, 0xdf, 0xd7, 0xe7, 0xcf, 0xdf, 
  0xdf, 0xdf, 0xef, 0xef, 0xe7, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xd7, 0xe7, 0xf7, 0xef, 0xe7, 0xbf, 
  0xbf, 0xef, 0xe7, 0xc7, 0xd7, 0xdf, 0xef, 0xef, 0xdf, 0xcf, 0xdf, 0xe7, 0xef, 0xe7, 0xdf, 0xe7, 
  0xef, 0xef, 0xcf, 0xc7, 0xdf, 0xef, 0xef, 0xc7, 0xdf, 0xc7, 0xc7, 0xeb, 0xcf, 0xcf, 0xd7, 0xef, 
  0xef, 0xdf, 0xd7, 0xd7, 0xef, 0xd7, 0xe7, 0xef, 0xf7, 0xff, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xf7, 
  0xff, 0xf7, 0xef, 0xfb, 0xf7, 0xff, 0xff, 0xf7, 0xef, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 
  0xfb, 0xf7, 0xf3, 0xf7, 0xf7, 0xf3, 0xf7, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xcf, 0xc7, 
  0xd3, 0xdf, 0xa7, 0xc7, 0xcf, 0xb7, 0xbf, 0xdf, 0xdf, 0xe7, 0xc7, 0xef, 0xd7, 0xe7, 0xd7, 0xc7, 
  0xe7, 0xbf, 0xdb, 0xe7, 0xc7, 0xe7, 0xef, 0xe7, 0xdf, 0xdf, 0xef, 0xcf, 0xdf, 0xef, 0xf7, 0xdf, 
  0xd7, 0xe7, 0xef, 0xe7, 0xd7, 0xd7, 0xef, 0xe7, 0xef, 0xd7, 0xd7, 0xef, 0xcf, 0xe7, 0xcf, 0xf7, 
  0xff, 0xef, 0xdf, 0xe7, 0xd7, 0xef, 0xef, 0xe7, 0xd7, 0xef, 0xff, 0xef, 0xdf, 0xb7, 0xd7, 0xe7, 
  0xdf, 0xbf, 0xcf, 0xdf, 0xf7, 0xf7, 0xdf, 0xcf, 0xdf, 0xe7, 0xef, 0xe7, 0xd7, 0xef, 0xef, 0xef, 
  0xcf, 0xcf, 0xe7, 0xef, 0xef, 0xcf, 0xdf, 0xd7, 0xdf, 0xef, 0xd7, 0xcf, 0xe7, 0xef, 0xef, 0xe3, 
  0xcf, 0xd7, 0xef, 0xd7, 0xef, 0xef, 0xef, 0xff, 0xff, 0xf7, 0xff, 0xff, 0xff, 0xf7, 0xef, 0xef, 
  0xef, 0xf7, 0xf7, 0xf7, 0xf7, 0xf3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xfb, 
  0xf7, 0xfb, 0xf7, 0xef, 0xef, 0xf3, 0xf3, 0xf3, 0xf7, 0xef, 0xef, 0xef, 0xd3, 0xbf, 0xe3, 0xe7, 
  0xc3, 0xb7, 0xdb, 0xcf, 0xcb, 0xe7, 0xdb, 0xe7, 0xd3, 0xe7, 0xd3, 0xdb, 0xe7, 0xd7, 0xe3, 0xdb, 
  0xeb, 0xef, 0xcf, 0xef, 0xef, 0xef, 0xdf, 0xd7, 0xeb, 0xcf, 0xdf, 0xf3, 0xf7, 0xdf, 0xdb, 0xe7, 
  0xef, 0xdf, 0xbf, 0xef, 0xf7, 0xef, 0xeb, 0xc7, 0xd3, 0xdf, 0xdf, 0xd3, 0xc3, 0xf3, 0xfb, 0xf7, 
  0xe7, 0xe7, 0xdb, 0xef, 0xe7, 0xcf, 0xcf, 0xe7, 0xef, 0xef, 0xdf, 0xd7, 0xe7, 0xef, 0xd7, 0xcf, 
  0xc7, 0xe7, 0xef, 0xef, 0xdf, 0xdf, 0xe7, 0xef, 0xef, 0xd7, 0xdf, 0xef, 0xe7, 0xe7, 0xe7, 0xdf, 
  0xf7, 0xf7, 0xe7, 0xdf, 0xd7, 0xd7, 0xe3, 0xe7, 0xe7, 0xd7, 0xef, 0xef, 0xef, 0xd7, 0xc7, 0xdf, 
  0xef, 0xdf, 0xeb, 0xef, 0xef, 0xff, 0xf7, 0xf3, 0xf7, 0xff, 0xf7, 0xf7, 0xef, 0xef, 0xef, 0xef, 
  0xef, 0xf7, 0xf7, 0xfb, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xff, 
  0xf7, 0xf3, 0xef, 0xf7, 0xf3, 0xf3, 0xf3, 0xef, 0xef, 0xef, 0xdf, 0xbf, 0xe3, 0xeb, 0xc3, 0xbf, 
  0xe3, 0xdb, 0xcb, 0xe7, 0xdf, 0xeb, 0xe3, 0xeb, 0xd7, 0xe3, 0xeb, 0xe3, 0xe3, 0xd7, 0xeb, 0xef, 
  0xdf, 0xef, 0xeb, 0xe7, 0xdb, 0xdf, 0xef, 0xcf, 0xe3, 0xf3, 0xf7, 0xdf, 0xd3, 0xe3, 0xef, 0xe3, 
  0xb7, 0xef, 0xef, 0xf3, 0xeb, 0xd3, 0xdf, 0xdf, 0xeb, 0xc7, 0xcb, 0xf7, 0xfb, 0xf7, 0xe3, 0xe7, 
  0xdf, 0xef, 0xe3, 0xb7, 0xcf, 0xf3, 0xf7, 0xef, 0xe3, 0xdb, 0xf3, 0xeb, 0xbf, 0xbf, 0xd3, 0xeb, 
  0xf3, 0xeb, 0xe7, 0xef, 0xe7, 0xef, 0xef, 0xe3, 0xe7, 0xef, 0xe3, 0xe7, 0xe7, 0xd7, 0xef, 0xf3, 
  0xe7, 0xdf, 0xd7, 0xdf, 0xef, 0xef, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xc7, 0xbf, 0xef, 0xef, 0xe3, 
  0xef, 0xef, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 
  0xef, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xff, 0xfb, 0xef, 0xf7, 
  0xef, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xeb, 0xbf, 0xd7, 0xe3, 0xbf, 0xcb, 0xe7, 0xd7, 
  0xcf, 0xe7, 0xdf, 0xeb, 0xef, 0xef, 0xd7, 0xeb, 0xef, 0xe7, 0xe7, 0xd7, 0xef, 0xe7, 0xe3, 0xef, 
  0xe7, 0xdf, 0xdf, 0xe7, 0xe7, 0xcb, 0xdb, 0xe7, 0xeb, 0xdb, 0xb7, 0xdb, 0xef, 0xe7, 0xcf, 0xeb, 
  0xeb, 0xef, 0xef, 0xe3, 0xe7, 0xe7, 0xef, 0xc3, 0xdb, 0xfb, 0xfb, 0xef, 0xe7, 0xeb, 0xe3, 0xf3, 
  0xe3, 0xc7, 0xdb, 0xf7, 0xf3, 0xe7, 0xe3, 0xe7, 0xf3, 0xe3, 0xb3, 0xc7, 0xd7, 0xef, 0xef, 0xdf, 
  0xe7, 0xef, 0xeb, 0xef, 0xef, 0xdf, 0xd7, 0xef, 0xe7, 0xe7, 0xdf, 0xd7, 0xe7, 0xef, 0xdf, 0xd7, 
  0xd7, 0xdf, 0xeb, 0xe3, 0xcf, 0xc7, 0xef, 0xef, 0xef, 0xd3, 0xd7, 0xef, 0xef, 0xef, 0xf3, 0xf3, 
  0xf3, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf7, 0xf7, 0xf7, 0xf7, 0xef, 0xef, 0xef, 0xf7, 0xf7, 
  0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xfb, 0xf3, 0xef, 0xf3, 0xef, 0xf3, 
  0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xc7, 0xc7, 0xeb, 0xcb, 0xcf, 0xeb, 0xd3, 0xd3, 0xeb, 
  0xe3, 0xe3, 0xef, 0xeb, 0xdf, 0xef, 0xeb, 0xe7, 0xe3, 0xdf, 0xeb, 0xdb, 0xeb, 0xef, 0xe7, 0xe3, 
  0xe7, 0xe3, 0xdf, 0xc3, 0xdf, 0xe3, 0xe7, 0xcf, 0xa7, 0xd7, 0xe7, 0xe3, 0xd7, 0xe3, 0xeb, 0xe7, 
  0xd7, 0xeb, 0xe7, 0xef, 0xeb, 0xc3, 0xe3, 0xfb, 0xff, 0xe7, 0xdf, 0xef, 0xef, 0xf3, 0xeb, 0xd3, 
  0xdf, 0xf3, 0xef, 0xdf, 0xe7, 0xef, 0xf7, 0xd7, 0xbb, 0xc7, 0xdf, 0xef, 0xef, 0xdb, 0xe3, 0xeb, 
  0xef, 0xef, 0xeb, 0xdf, 0xd7, 0xef, 0xef, 0xe3, 0xdb, 0xdb, 0xdf, 0xeb, 0xd7, 0xdb, 0xd7, 0xdf, 
  0xeb, 0xdf, 0xc3, 0xbf, 0xef, 0xef, 0xef, 0xd3, 0xcf, 0xef, 0xef, 0xeb, 0xf3, 0xf3, 0xf7, 0xfb, 
  0xff, 0xf7, 0xff, 0xfb, 0xf7, 0xfb, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf3, 0xf3, 0xf3, 0xfb, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xf7, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0xef, 
  0xef, 0xef, 0xef, 0xef, 0xf3, 0xd7, 0xcb, 0xf7, 0xd3, 0xc7, 0xef, 0xd7, 0xdf, 0xeb, 0xe7, 0xe7, 
  0xef, 0xe3, 0xe7, 0xeb, 0xe7, 0xdb, 0xe3, 0xdf, 0xe7, 0xd3, 0xef, 0xef, 0xe7, 0xe3, 0xeb, 0xe7, 
  0xcf, 0xc7, 0xe7, 0xeb, 0xe7, 0xcf, 0xbb, 0xdb, 0xdf, 0xdb, 0xd3, 0xe7, 0xf3, 0xdf, 0xbb, 0xef, 
  0xe7, 0xe3, 0xe3, 0xbf, 0xdb, 0xfb, 0xf7, 0xe7, 0xcf, 0xeb, 0xf7, 0xef, 0xef, 0xdf, 0xdf, 0xf3, 
  0xe7, 0xdf, 0xe7, 0xf3, 0xfb, 0xcf, 0xcf, 0xd7, 0xeb, 0xef, 0xeb, 0xd7, 0xd7, 0xe7, 0xef, 0xeb, 
  0xe7, 0xdf, 0xdb, 0xeb, 0xeb, 0xd7, 0xd7, 0xe7, 0xe7, 0xe7, 0xd3, 0xdf, 0xdb, 0xd7, 0xeb, 0xdb, 
  0xc3, 0xcb, 0xef, 0xef, 0xef, 0xcf, 0xcf, 0xef, 0xef, 0xe7, 0xf3, 0xf7, 0xf7, 0xf7, 0xff, 0xfb, 
  0xff, 0xfb, 0xf3, 0xf3, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf3, 0xf7, 0xf3, 0xf7, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xf7, 0xf7, 0xf3, 0xf3, 0xf7, 0xf3, 0xef, 0xef, 0xf3, 
  0xef, 0xef, 0xf3, 0xe3, 0xdb, 0xef, 0xd7, 0xc7, 0xe7, 0xdb, 0xdf, 0xeb, 0xe7, 0xe3, 0xef, 0xe3, 
  0xe7, 0xe7, 0xe7, 0xdf, 0xeb, 0xdf, 0xe3, 0xcf, 0xef, 0xe7, 0xe3, 0xdf, 0xeb, 0xeb, 0xc3, 0xd3, 
  0xe7, 0xef, 0xe7, 0xd7, 0xd7, 0xe7, 0xe7, 0xdf, 0xdb, 0xef, 0xf3, 0xd7, 0xc3, 0xef, 0xdb, 0xdb, 
  0xdb, 0xcb, 0xe3, 0xef, 0xef, 0xeb, 0xcb, 0xe3, 0xf3, 0xe7, 0xe7, 0xe7, 0xe7, 0xf3, 0xdf, 0xdf, 
  0xeb, 0xf3, 0xf3, 0xd7, 0xdf, 0xe7, 0xef, 0xeb, 0xdb, 0xc7, 0xd7, 0xeb, 0xef, 0xe7, 0xeb, 0xdb, 
  0xd7, 0xeb, 0xe3, 0xcb, 0xd7, 0xeb, 0xf3, 0xe7, 0xd7, 0xe3, 0xdf, 0xdb, 0xef, 0xdb, 0xcb, 0xdb, 
  0xe7, 0xef, 0xef, 0xd3, 0xdf, 0xef, 0xef, 0xe7, 0xf7, 0xf7, 0xfb, 0xfb, 0xfb, 0xff, 0xfb, 0xfb, 
  0xfb, 0xf3, 0xf3, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf3, 0xf7, 0xef, 0xf7, 0xff, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xff, 0xf7, 0xfb, 0xf3, 0xf7, 0xf3, 0xef, 0xf3, 0xef, 0xef, 0xef, 0xf3, 0xef, 0xef, 
  0xef, 0xeb, 0xdf, 0xe3, 0xe3, 0xcb, 0xe3, 0xdf, 0xdf, 0xeb, 0xe7, 0xe3, 0xeb, 0xe3, 0xe3, 0xe3, 
  0xe7, 0xe7, 0xef, 0xdf, 0xdf, 0xd3, 0xeb, 0xe3, 0xe7, 0xe3, 0xe7, 0xeb, 0xd3, 0xdb, 0xe3, 0xeb, 
  0xeb, 0xdf, 0xe7, 0xef, 0xdf, 0xe7, 0xe3, 0xeb, 0xeb, 0xd7, 0xdb, 0xe7, 0xd3, 0xe7, 0xe3, 0xdb, 
  0xeb, 0xdb, 0xef, 0xef, 0xcf, 0xe3, 0xef, 0xdb, 0xdb, 0xef, 0xeb, 0xeb, 0xdf, 0xdf, 0xef, 0xef, 
  0xef, 0xe3, 0xeb, 0xef, 0xef, 0xe7, 0xc7, 0xcb, 0xe3, 0xef, 0xef, 0xe3, 0xef, 0xd7, 0xd7, 0xef, 
  0xe3, 0xcb, 0xdf, 0xeb, 0xf3, 0xeb, 0xdb, 0xe7, 0xe3, 0xe3, 0xf3, 0xe3, 0xd7, 0xdf, 0xe7, 0xef, 
  0xeb, 0xdb, 0xe3, 0xef, 0xf3, 0xeb, 0xf7, 0xf7, 0xfb, 0xfb, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xf7, 
  0xf3, 0xef, 0xef, 0xf3, 0xf3, 0xef, 0xf7, 0xfb, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xfb, 0xf3, 0xf7, 0xf7, 0xf7, 0xf3, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf3, 
  0xe3, 0xe7, 0xe3, 0xd3, 0xe3, 0xdf, 0xdf, 0xe7, 0xeb, 0xe7, 0xeb, 0xdf, 0xe3, 0xdf, 0xe7, 0xef, 
  0xeb, 0xe7, 0xe3, 0xdb, 0xe7, 0xe7, 0xe7, 0xdf, 0xe3, 0xe7, 0xdf, 0xe7, 0xe3, 0xe7, 0xef, 0xdf, 
  0xef, 0xeb, 0xcf, 0xeb, 0xeb, 0xef, 0xef, 0xdb, 0xeb, 0xdf, 0xdb, 0xe7, 0xef, 0xdf, 0xe7, 0xd3, 
  0xeb, 0xef, 0xdb, 0xef, 0xeb, 0xd3, 0xd7, 0xf3, 0xeb, 0xdf, 0xdb, 0xd7, 0xeb, 0xef, 0xe3, 0xe3, 
  0xe7, 0xef, 0xef, 0xd7, 0xb3, 0xdb, 0xeb, 0xeb, 0xef, 0xdf, 0xef, 0xcf, 0xdb, 0xeb, 0xe3, 0xd3, 
  0xd7, 0xeb, 0xf3, 0xe7, 0xdb, 0xe7, 0xe7, 0xdf, 0xef, 0xe7, 0xdf, 0xdf, 0xeb, 0xef, 0xeb, 0xdb, 
  0xdf, 0xef, 0xf3, 0xef, 0xf3, 0xf7, 0xf3, 0xfb, 0xff, 0xfb, 0xf7, 0xff, 0xfb, 0xf7, 0xf7, 0xef, 
  0xf3, 0xf7, 0xf3, 0xef, 0xf3, 0xf7, 0xfb, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 
  0xff, 0xf7, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xf7, 0xf7, 0xef, 0xf7, 0xf7, 0xef, 
  0xef, 0xe7, 0xef, 0xef, 0xdf, 0xdf, 0xf7, 0xf7, 0xef, 0xe7, 0xeb, 0xe7, 0xdf, 0xef, 0xdf, 0xdf, 
  0xe7, 0xdf, 0xe7, 0xef, 0xeb, 0xdf, 0xe7, 0xe7, 0xdf, 0xe7, 0xdb, 0xdb, 0xef, 0xe3, 0xeb, 0xe7, 
  0xcf, 0xe7, 0xe7, 0xf3, 0xef, 0xdb, 0xef, 0xdb, 0xe3, 0xd7, 0xe7, 0xdb, 0xdf, 0xcf, 0xdf, 0xef, 
  0xe7, 0xf7, 0xe3, 0xcb, 0xd7, 0xf3, 0xeb, 0xd7, 0xdb, 0xd7, 0xeb, 0xef, 0xd7, 0xdf, 0xe7, 0xf7, 
  0xef, 0xbf, 0x9f, 0xdb, 0xe7, 0xe7, 0xeb, 0xdf, 0xeb, 0xe3, 0xe7, 0xe7, 0xdb, 0xd3, 0xcb, 0xe7, 
  0xef, 0xdf, 0xdb, 0xef, 0xeb, 0xdb, 0xe3, 0xe3, 0xdf, 0xe7, 0xef, 0xef, 0xe3, 0xd3, 0xdf, 0xef, 
  0xf3, 0xef, 0xef, 0xef, 0xef, 0xfb, 0xff, 0xfb, 0xfb, 0xff, 0xfb, 0xf7, 0xf3, 0xef, 0xf3, 0xf3, 
  0xef, 0xef, 0xef, 0xf3, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xef, 0xf7, 0xef, 
  0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xf7, 0xef, 0xf7, 0xff, 0xf7, 0xef, 0xef, 0xef, 
  0xdf, 0xef, 0xdf, 0xef, 0xef, 0xf7, 0xf7, 0xe7, 0xef, 0xef, 0xef, 0xe7, 0xd7, 0xe7, 0xdf, 0xd7, 
  0xd7, 0xdf, 0xef, 0xef, 0xef, 0xdf, 0xe7, 0xe7, 0xdf, 0xdf, 0xef, 0xe7, 0xef, 0xdf, 0xb7, 0xe7, 
  0xe7, 0xef, 0xef, 0xe7, 0xef, 0xe7, 0xd7, 0xc7, 0xe7, 0xdf, 0xd7, 0xa7, 0xb7, 0xe7, 0xff, 0xef, 
  0xcf, 0xcf, 0xdf, 0xf3, 0xe7, 0xd7, 0xdb, 0xe7, 0xf3, 0xf3, 0xdb, 0xdb, 0xef, 0xff, 0xeb, 0xbb, 
  0xa3, 0xd7, 0xdf, 0xe7, 0xe7, 0xdb, 0xe7, 0xeb, 0xef, 0xdf, 0xd3, 0xd3, 0xcb, 0xe7, 0xe7, 0xdf, 
  0xdb, 0xeb, 0xef, 0xdf, 0xe7, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xd7, 0xcf, 0xe3, 0xef, 0xf3, 0xef, 
  0xf7, 0xf3, 0xf7, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf3, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 
  0xef, 0xf3, 0xf3, 0xef, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xef, 0xef, 0xef, 0xef, 
  0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xf7, 0xfb, 0xff, 0xf7, 0xff, 0xf7, 0xef, 0xf7, 0xef, 
  0xef, 0xef, 0xef, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xd7, 0xe7, 0xdf, 0xdf, 0xcf, 0xd7, 0xe7, 
  0xef, 0xef, 0xdf, 0xd7, 0xef, 0xf7, 0xdf, 0xd7, 0xef, 0xef, 0xdf, 0xcf, 0xcf, 0xf7, 0xdf, 0xdf, 
  0xd3, 0xdf, 0xdf, 0xdf, 0xcf, 0xcf, 0xe7, 0xe7, 0xcf, 0x9f, 0xbf, 0xe7, 0xef, 0xdf, 0xc7, 0xdf, 
  0xe7, 0xef, 0xcf, 0xdf, 0xdf, 0xff, 0xef, 0xef, 0xe7, 0xd7, 0xef, 0xf7, 0xe7, 0xd7, 0xd7, 0xef, 
  0xdf, 0xef, 0xe7, 0xd7, 0xdf, 0xef, 0xef, 0xcb, 0xbf, 0xdb, 0xdb, 0xe7, 0xdb, 0xd3, 0xd3, 0xeb, 
  0xef, 0xe7, 0xeb, 0xdf, 0xe3, 0xef, 0xef, 0xeb, 0xdb, 0xd7, 0xeb, 0xef, 0xef, 0xef, 0xf7, 0xf3, 
  0xff, 0xfb, 0xff, 0xff, 0xfb, 0xff, 0xf7, 0xf7, 0xf3, 0xf3, 0xef, 0xef, 0xef, 0xf3, 0xef, 0xf7, 
  0xef, 0xef, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 
  0xef, 0xef, 0xef, 0xef, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xf7, 0xef, 0xef, 0xf7, 0xe7, 
  0xe7, 0xe7, 0xef, 0xef, 0xef, 0xdf, 0xe7, 0xe7, 0xef, 0xcf, 0xdf, 0xd7, 0xe7, 0xef, 0xef, 0xdf, 
  0xe7, 0xe7, 0xe7, 0xe7, 0xd7, 0xcf, 0xe7, 0xef, 0xef, 0xd7, 0xe7, 0xdf, 0xd7, 0xd7, 0xe7, 0xef, 
  0xe7, 0xd7, 0xcf, 0xc7, 0xe7, 0xdf, 0xe7, 0xaf, 0xdf, 0xf7, 0xe7, 0xc7, 0xc7, 0xdf, 0xef, 0xe7, 
  0xdf, 0xe7, 0xe7, 0xef, 0xff, 0xdf, 0xe7, 0xef, 0xef, 0xff, 0xe7, 0xd7, 0xe7, 0xef, 0xef, 0xef, 
  0xdf, 0xd7, 0xdf, 0xef, 0xd7, 0xaf, 0xaf, 0xdf, 0xef, 0xe7, 0xd7, 0xd7, 0xdf, 0xef, 0xe7, 0xdf, 
  0xdb, 0xdf, 0xe3, 0xef, 0xeb, 0xe3, 0xe7, 0xe7, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xf3, 0xf7, 0xff, 
  0xfb, 0xff, 0xfb, 0xff, 0xf3, 0xf7, 0xf7, 0xf3, 0xef, 0xef, 0xef, 0xf3, 0xef, 0xf3, 0xef, 0xef, 
  0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xef, 0xf7, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xef, 
  0xef, 0xf7, 0xf7, 0xef, 0xf7, 0xfb, 0xf7, 0xf7, 0xff, 0xff, 0xf3, 0xef, 0xf7, 0xe7, 0xe7, 0xef, 
  0xef, 0xe7, 0xef, 0xdf, 0xef, 0xdf, 0xef, 0xcf, 0xcf, 0xcf, 0xe7, 0xdf, 0xef, 0xd7, 0xe7, 0xe7, 
  0xef, 0xef, 0xdf, 0xdf, 0xef, 0xe7, 0xe7, 0xdf, 0xeb, 0xdf, 0xc7, 0xd7, 0xe7, 0xe3, 0xef, 0xd7, 
  0xd7, 0xd7, 0xdf, 0xdf, 0xcf, 0xbf, 0xdf, 0xf7, 0xdf, 0xbf, 0xbf, 0xdf, 0xef, 0xe7, 0xe7, 0xef, 
  0xf7, 0xf7, 0xf7, 0xe7, 0xe7, 0xf7, 0xff, 0xff, 0xe7, 0xe7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xd7, 
  0xe7, 0xef, 0xc7, 0xbf, 0xcf, 0xe7, 0xef, 0xdf, 0xdf, 0xd7, 0xd7, 0xef, 0xdf, 0xe7, 0xdf, 0xdf, 
  0xef, 0xf7, 0xe7, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xff, 0xff, 0xfb, 0xf7, 0xf3, 0xff, 0xfb, 0xff, 
  0xff, 0xff, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf3, 0xf3, 0xef, 0xf7, 0xff, 
  0xff, 0xff, 0xff, 0xff, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xff, 0xf3, 
  0xff, 0xf7, 0xff, 0xf7, 0xff, 0xf7, 0xff, 0xff, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xd7, 0xdf, 0xef, 
  0xe7, 0xe7, 0xe7, 0xdf, 0xef, 0xdf, 0xcf, 0xe3, 0xef, 0xd7, 0xef, 0xdf, 0xef, 0xef, 0xd7, 0xef, 
  0xef, 0xef, 0xe7, 0xd7, 0xe7, 0xdf, 0xef, 0xdf, 0xcf, 0xef, 0xdf, 0xdf, 0xe7, 0xd7, 0xdf, 0xe7, 
  0xdf, 0xd7, 0xdf, 0xd7, 0xdf, 0xdf, 0xd7, 0xbf, 0xd7, 0xe7, 0xdf, 0xdf, 0xdf, 0xe7, 0xef, 0xef, 
  0xf7, 0xef, 0xef, 0xf7, 0xf7, 0xef, 0xe7, 0xef, 0xef, 0xef, 0xe7, 0xdf, 0xef, 0xdf, 0xe7, 0xe7, 
  0xc7, 0xc7, 0xdf, 0xef, 0xe7, 0xd7, 0xdf, 0xdb, 0xd7, 0xef, 0xdf, 0xcf, 0xe7, 0xf7, 0xef, 0xef, 
  0xdf, 0xdf, 0xe7, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xf7, 0xff, 0xff, 0xf7, 0xff, 0xff, 
  0xf7, 0xef, 0xf3, 0xef, 0xef, 0xf3, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xf7, 0xff, 0xff, 0xff, 
  0xff, 0xf7, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xf7, 0xef, 0xfb, 0xf7, 
  0xff, 0xff, 0xef, 0xef, 0xf7, 0xff, 0xf7, 0xef, 0xf7, 0xef, 0xe7, 0xef, 0xdf, 0xdf, 0xe7, 0xe7, 
  0xef, 0xef, 0xef, 0xdf, 0xcf, 0xef, 0xe3, 0xd7, 0xe7, 0xe7, 0xdf, 0xdf, 0xcf, 0xe7, 0xef, 0xef, 
  0xdf, 0xcf, 0xdf, 0xef, 0xeb, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xef, 0xdf, 0xe7, 0xe7, 0xdf, 0xd7, 
  0xd7, 0xdf, 0xef, 0xdf, 0xdf, 0xdf, 0xe7, 0xe7, 0xdf, 0xdf, 0xdf, 0xef, 0xe7, 0xe7, 0xf7, 0xdf, 
  0xf7, 0xf7, 0xef, 0xd7, 0xdf, 0xef, 0xe7, 0xe7, 0xd7, 0xcf, 0xe7, 0xe3, 0xef, 0xdf, 0xc7, 0xd7, 
  0xdf, 0xef, 0xdf, 0xcf, 0xd7, 0xdf, 0xef, 0xef, 0xdf, 0xd7, 0xcf, 0xef, 0xef, 0xdf, 0xd7, 0xdf, 
  0xdf, 0xef, 0xef, 0xff, 0xf7, 0xef, 0xff, 0xef, 0xff, 0xff, 0xf7, 0xff, 0xff, 0xf3, 0xef, 0xf7, 
  0xef, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xf7, 0xff, 0xff, 0xff, 0xf7, 0xef, 
  0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xf7, 0xf3, 0xef, 0xff, 0xff, 0xef, 0xf7, 0xff, 0xf7, 
  0xf7, 0xfb, 0xef, 0xf7, 0xef, 0xef, 0xfb, 0xef, 0xe7, 0xef, 0xe7, 0xef, 0xef, 0xdf, 0xe7, 0xef, 
  0xef, 0xdf, 0xe7, 0xef, 0xcf, 0xd7, 0xef, 0xef, 0xdf, 0xef, 0xe7, 0xdf, 0xef, 0xe7, 0xd3, 0xc7, 
  0xe7, 0xef, 0xe7, 0xe7, 0xe7, 0xef, 0xe7, 0xe7, 0xd7, 0xdf, 0xef, 0xef, 0xdf, 0xd7, 0xd7, 0xe7, 
  0xef, 0xef, 0xdf, 0xe7, 0xef, 0xdf, 0xcf, 0xe7, 0xef, 0xef, 0xdf, 0xe7, 0xef, 0xd7, 0xef, 0xe7, 
  0xe7, 0xcf, 0xe7, 0xe7, 0xd7, 0xe7, 0xcf, 0xdf, 0xef, 0xef, 0xe7, 0xcf, 0xcf, 0xe7, 0xef, 0xef, 
  0xcf, 0xd7, 0xdf, 0xe7, 0xef, 0xe7, 0xdf, 0xcf, 0xd7, 0xf7, 0xef, 0xd7, 0xdf, 0xdf, 0xd7, 0xef, 
  0xef, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xff, 0xef, 0xff, 0xff, 0xf7, 0xff, 0xef, 0xef, 0xef, 
  0xf7, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xf7, 0xef, 0xf3, 0xff, 0xff, 0xff, 0xf7, 0xf3, 0xf7, 0xef, 
  0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xff, 0xff, 0xff, 0xf3, 0xff, 0xef, 0xf7, 0xf7, 
  0xf3, 0xf7, 0xff, 0xf7, 0xf7, 0xef, 0xe7, 0xef, 0xe7, 0xef, 0xd7, 0xe7, 0xdf, 0xef, 0xef, 0xe7, 
  0xef, 0xef, 0xdf, 0xdf, 0xef, 0xd7, 0xd7, 0xeb, 0xd7, 0xe7, 0xef, 0xdf, 0xcf, 0xd7, 0xe7, 0xef, 
  0xe7, 0xdf, 0xe7, 0xef, 0xdf, 0xe7, 0xdf, 0xdf, 0xe7, 0xf7, 0xd7, 0xbf, 0xcf, 0xe7, 0xef, 0xef, 
  0xdf, 0xdf, 0xf7, 0xdf, 0xcf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xd7, 0xef, 0xef, 0xdf, 0xe7, 
  0xef, 0xdf, 0xdf, 0xe7, 0xcf, 0xdf, 0xef, 0xef, 0xd7, 0xcf, 0xcf, 0xe7, 0xef, 0xef, 0xcf, 0xdf, 
  0xcf, 0xdf, 0xef, 0xd7, 0xdf, 0xdf, 0xe7, 0xef, 0xd7, 0xc7, 0xdb, 0xd7, 0xef, 0xef, 0xef, 0xef, 
  0xf7, 0xef, 0xff, 0xef, 0xf7, 0xff, 0xf7, 0xff, 0xff, 0xff, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xf7, 
  0xef, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xff, 0xff, 0xff, 0xf7, 0xf7, 0xef, 0xef, 0xef, 0xef, 
  0xef, 0xef, 0xef, 0xf7, 0xf7, 0xf3, 0xff, 0xf7, 0xff, 0xf7, 0xff, 0xf7, 0xf7, 0xff, 0xef, 0xf7, 
  0xff, 0xf7, 0xf7, 0xef, 0xef, 0xe7, 0xef, 0xef, 0xef, 0xdf, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xe7, 
  0xe7, 0xef, 0xdf, 0xc7, 0xd7, 0xef, 0xe7, 0xef, 0xe7, 0xdf, 0xd3, 0xdf, 0xdf, 0xef, 0xd7, 0xdf, 
  0xef, 0xef, 0xdf, 0xdf, 0xeb, 0xdf, 0xe7, 0xef, 0xd7, 0xbf, 0xc7, 0xef, 0xf7, 0xef, 0xdf, 0xe7, 
  0xef, 0xdf, 0xdf, 0xef, 0xe7, 0xef, 0xef, 0xef, 0xe7, 0xe7, 0xef, 0xe7, 0xdf, 0xef, 0xf7, 0xf7, 
  0xef, 0xe7, 0xdf, 0xe7, 0xef, 0xef, 0xc7, 0xcf, 0xd7, 0xef, 0xf7, 0xd7, 0xcf, 0xe7, 0xdf, 0xef, 
  0xe7, 0xcf, 0xd7, 0xdf, 0xe7, 0xdf, 0xcf, 0xe7, 0xd7, 0xd7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 
  0xf7, 0xff, 0xef, 0xff, 0xf7, 0xef, 0xf7, 0xff, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xff, 0xf7, 
  0xef, 0xff, 0xf7, 0xf3, 0xef, 0xff, 0xff, 0xff, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xfb, 
  0xef, 0xf7, 0xff, 0xf7, 0xff, 0xff, 0xf7, 0xf7, 0xff, 0xf7, 0xf7, 0xf7, 0xef, 0xef, 0xff, 0xf7, 
  0xf7, 0xff, 0xf7, 0xf7, 0xff, 0xef, 0xef, 0xef, 0xe7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xe7, 0xdf, 
  0xdf, 0xb7, 0xcf, 0xef, 0xdf, 0xef, 0xdf, 0xdf, 0xdf, 0xdf, 0xd7, 0xe7, 0xef, 0xef, 0xef, 0xef, 
  0xcf, 0xef, 0xdf, 0xe7, 0xe7, 0xdf, 0xd7, 0xd7, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xe7, 0xe7, 
  0xef, 0xef, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xdf, 0xf7, 0xf7, 0xf7, 0xef, 0xdf, 
  0xe7, 0xef, 0xef, 0xef, 0xcf, 0xd7, 0xe7, 0xef, 0xef, 0xcf, 0xcf, 0xe7, 0xef, 0xef, 0xdf, 0xcf, 
  0xdf, 0xef, 0xef, 0xd7, 0xd7, 0xdf, 0xc7, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xff, 0xf7, 
  0xf7, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xef, 0xef, 0xef, 0xff, 0xef, 0xff, 0xff, 0xff, 0xf7, 0xf7, 
  0xf3, 0xf7, 0xef, 0xff, 0xff, 0xff, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xff, 0xef, 0xfb, 0xf7, 
  0xf7, 0xff, 0xff, 0xf7, 0xef, 0xf7, 0xf7, 0xef, 0xef, 0xff, 0xef, 0xf7, 0xff, 0xef, 0xff, 0xf7, 
  0xef, 0xf7, 0xef, 0xf7, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xe7, 0xef, 0xd7, 0xd7, 0xeb, 0xcf, 
  0xcf, 0xdf, 0xd3, 0xe7, 0xdf, 0xdf, 0xe7, 0xdf, 0xd7, 0xe7, 0xdf, 0xef, 0xef, 0xdf, 0xd7, 0xe7, 
  0xef, 0xef, 0xdf, 0xd7, 0xd7, 0xdf, 0xe7, 0xd7, 0xef, 0xf7, 0xf7, 0xd7, 0xdf, 0xe7, 0xef, 0xd7, 
  0xdf, 0xef, 0xd7, 0xcf, 0xe7, 0xf7, 0xef, 0xcf, 0xc7, 0xf7, 0xf7, 0xef, 0xe3, 0xdf, 0xe7, 0xef, 
  0xdf, 0xdf, 0xc7, 0xdf, 0xe7, 0xef, 0xe7, 0xc7, 0xc7, 0xe7, 0xef, 0xdf, 0xcf, 0xbf, 0xcf, 0xef, 
  0xef, 0xc7, 0xcf, 0xe7, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xfb, 0xf7, 0xf7, 0xff, 
  0xff, 0xff, 0xff, 0xf7, 0xef, 0xef, 0xf7, 0xff, 0xff, 0xef, 0xef, 0xf7, 0xef, 0xf7, 0xf7, 0xf7, 
  0xef, 0xff, 0xff, 0xf7, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xfb, 0xff, 0xf7, 
  0xff, 0xff, 0xff, 0xef, 0xff, 0xef, 0xef, 0xff, 0xef, 0xf7, 0xef, 0xf7, 0xff, 0xff, 0xf7, 0xff, 
  0xff, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xe7, 0xdf, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xd7, 
  0xd7, 0xe7, 0xd7, 0xe7, 0xe7, 0xdf, 0xe7, 0xdf, 0xe7, 0xef, 0xe7, 0xe7, 0xd7, 0xf7, 0xe3, 0xe7, 
  0xd7, 0xe7, 0xdf, 0xef, 0xdf, 0xc7, 0xe7, 0xf7, 0xef, 0xdf, 0xef, 0xef, 0xef, 0xd7, 0xe7, 0xef, 
  0xd7, 0xc7, 0xe7, 0xf7, 0xdf, 0xcf, 0xd7, 0xef, 0xef, 0xdf, 0xdf, 0xe7, 0xef, 0xef, 0xdf, 0xd7, 
  0xcf, 0xe7, 0xef, 0xef, 0xdf, 0xcf, 0xd7, 0xef, 0xe7, 0xcf, 0xcf, 0xb7, 0xd3, 0xef, 0xf7, 0xc7, 
  0xb3, 0xc7, 0xdf, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xf3, 0xf7, 0xff, 0xef, 0xff, 0xff, 0xf7, 
  0xff, 0xff, 0xef, 0xef, 0xef, 0xff, 0xf7, 0xf7, 0xf7, 0xff, 0xef, 0xef, 0xef, 0xef, 0xef, 0xff, 
  0xff, 0xf7, 0xef, 0xef, 0xef, 0xf7, 0xf7, 0xef, 0xf7, 0xf7, 0xef, 0xff, 0xff, 0xf7, 0xff, 0xef, 
  0xfb, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xf3, 0xff, 0xff, 0xf7, 0xff, 0xff, 0xef, 
  0xf7, 0xef, 0xe7, 0xe7, 0xe7, 0xe7, 0xef, 0xef, 0xef, 0xe7, 0xdf, 0xe7, 0xd7, 0xef, 0xef, 0xef, 
  0xef, 0xe7, 0xdf, 0xe7, 0xef, 0xef, 0xdf, 0xdf, 0xdf, 0xdf, 0xcf, 0xe7, 0xe7, 0xd7, 0xd7, 0xe7, 
  0xe7, 0xdf, 0xdf, 0xcf, 0xef, 0xef, 0xe7, 0xe7, 0xef, 0xe7, 0xdf, 0xdf, 0xe7, 0xe7, 0xd7, 0xcf, 
  0xf7, 0xef, 0xd7, 0xdf, 0xe7, 0xef, 0xdf, 0xd7, 0xdf, 0xdf, 0xef, 0xe7, 0xdf, 0xdf, 0xe7, 0xef, 
  0xef, 0xe7, 0xcf, 0xbf, 0xdf, 0xef, 0xdf, 0xc7, 0xd7, 0xc7, 0xdf, 0xf7, 0xd7, 0xaf, 0x8f, 0xbf, 
  0xef, 0xef, 0xfb, 0xef, 0xff, 0xf7, 0xef, 0xef, 0xf7, 0xff, 0xef, 0xff, 0xff, 0xf7, 0xff, 0xff, 
  0xff, 0xef, 0xf7, 0xf7, 0xff, 0xf7, 0xff, 0xff, 0xfb, 0xef, 0xf7, 0xef, 0xef, 0xf7, 0xff, 0xef, 
  0xf7, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xfb, 0xef, 0xf7, 0xff, 0xf3, 0xff, 0xff, 0xef, 0xef, 0xef, 
  0xf7, 0xf7, 0xf7, 0xff, 0xf7, 0xef, 0xf7, 0xef, 0xf7, 0xff, 0xf7, 0xff, 0xff, 0xef, 0xff, 0xef, 
  0xef, 0xe7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xd7, 0xeb, 0xe7, 0xef, 0xf7, 0xef, 0xe7, 0xdf, 
  0xdf, 0xef, 0xef, 0xef, 0xd7, 0xdf, 0xef, 0xdf, 0xe7, 0xef, 0xe7, 0xdf, 0xe7, 0xef, 0xef, 0xff, 
  0xdf, 0xdf, 0xef, 0xef, 0xe7, 0xe7, 0xe7, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xe7, 0xef, 0xef, 0xef, 
  0xdf, 0xef, 0xe7, 0xef, 0xdf, 0xd7, 0xe7, 0xef, 0xdf, 0xdf, 0xdf, 0xe7, 0xe7, 0xff, 0xef, 0xe7, 
  0xcf, 0xcf, 0xef, 0xef, 0xe7, 0xc7, 0xd7, 0xef, 0xe7, 0xef, 0xcf, 0xc7, 0xbf, 0xe7, 0xef, 0xef, 
  0xff, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xef, 0xef, 
  0xf7, 0xfb, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xff, 0xef, 0xef, 0xf7, 
  0xef, 0xf7, 0xef, 0xef, 0xf7, 0xf7, 0xf7, 0xf7, 0xff, 0xf3, 0xf7, 0xef, 0xf7, 0xef, 0xef, 0xf7, 
  0xef, 0xf3, 0xf7, 0xef, 0xff, 0xef, 0xef, 0xef, 0xf7, 0xf7, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xe7, 
  0xef, 0xef, 0xef, 0xe3, 0xe7, 0xd7, 0xdf, 0xdf, 0xef, 0xe7, 0xef, 0xef, 0xe7, 0xdf, 0xdf, 0xe7, 
  0xef, 0xdf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xe7, 0xe7, 0xdf, 0xef, 0xe7, 0xdf, 0xef, 0xef, 0xdf, 
  0xe7, 0xef, 0xd7, 0xf7, 0xdf, 0xd7, 0xcf, 0xe7, 0xef, 0xd7, 0xe7, 0xef, 0xe7, 0xd7, 0xe7, 0xff, 
  0xe7, 0xdf, 0xdf, 0xdf, 0xe7, 0xef, 0xcf, 0xdf, 0xdf, 0xdf, 0xf7, 0xef, 0xef, 0xcf, 0xcf, 0xd7, 
  0xef, 0xef, 0xd7, 0xc7, 0xdf, 0xe3, 0xe7, 0xdf, 0xd7, 0xeb, 0xe7, 0xf7, 0xf7, 0xf7, 0xff, 0xf7, 
  0xf7, 0xf7, 0xef, 0xef, 0xf7, 0xef, 0xf3, 0xff, 0xf7, 0xff, 0xf7, 0xf7, 0xf7, 0xef, 0xef, 0xfb, 
  0xf7, 0xff, 0xf7, 0xff, 0xf7, 0xef, 0xef, 0xef, 0xf7, 0xff, 0xf7, 0xef, 0xef, 0xf7, 0xef, 0xef, 
  0xf7, 0xef, 0xef, 0xfb, 0xef, 0xf7, 0xf7, 0xef, 0xf7, 0xef, 0xff, 0xef, 0xfb, 0xff, 0xf7, 0xef, 
  0xef, 0xef, 0xff, 0xf7, 0xf3, 0xf7, 0xf7, 0xff, 0xf7, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xf7, 
  0xef, 0xef, 0xe7, 0xe7, 0xdf, 0xe7, 0xef, 0xef, 0xe7, 0xf7, 0xef, 0xef, 0xdf, 0xe7, 0xdf, 0xdf, 
  0xef, 0xe7, 0xf7, 0xf7, 0xdf, 0xe7, 0xe7, 0xef, 0xe7, 0xdf, 0xd7, 0xdf, 0xe7, 0xe7, 0xf7, 0xef, 
  0xef, 0xe7, 0xd7, 0xcf, 0xdf, 0xef, 0xe7, 0xd7, 0xef, 0xef, 0xdf, 0xcf, 0xef, 0xef, 0xd7, 0xd7, 
  0xd7, 0xdf, 0xef, 0xdf, 0xbf, 0xdf, 0xef, 0xe7, 0xe7, 0xe7, 0xdf, 0xd7, 0xdf, 0xdf, 0xeb, 0xdf, 
  0xd7, 0xd7, 0xdf, 0xe7, 0xe7, 0xd7, 0xdf, 0xdf, 0xdf, 0xef, 0xf7, 0xef, 0xf7, 0xef, 0xf7, 0xef, 
  0xef, 0xef, 0xf7, 0xf7, 0xff, 0xff, 0xf7, 0xf7, 0xff, 0xf7, 0xef, 0xef, 0xf3, 0xff, 0xff, 0xff, 
  0xff, 0xff, 0xf7, 0xef, 0xf7, 0xff, 0xef, 0xf7, 0xf7, 0xef, 0xef, 0xff, 0xef, 0xef, 0xef, 0xef, 
  0xf7, 0xf7, 0xef, 0xf7, 0xf7, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xff, 0xf7, 0xf7, 0xf7, 0xef, 0xf7, 
  0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xf7, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 
  0xef, 0xef, 0xef, 0xdf, 0xdf, 0xe7, 0xe7, 0xef, 0xef, 0xdf, 0xef, 0xdf, 0xdf, 0xdf, 0xe7, 0xe7, 
  0xef, 0xef, 0xdf, 0xe7, 0xef, 0xdf, 0xdf, 0xd7, 0xcf, 0xe7, 0xef, 0xdf, 0xf7, 0xef, 0xef, 0xf7, 
  0xcf, 0xdf, 0xef, 0xdf, 0xe7, 0xef, 0xef, 0xe7, 0xdf, 0xdf, 0xdf, 0xdf, 0xd7, 0xdf, 0xe7, 0xef, 
  0xef, 0xcf, 0xcf, 0xe7, 0xef, 0xef, 0xe7, 0xcf, 0xd7, 0xdf, 0xdf, 0xef, 0xcf, 0xc7, 0xdf, 0xd7, 
  0xdf, 0xdf, 0xdf, 0xe7, 0xef, 0xf7, 0xef, 0xf7, 0xef, 0xfb, 0xff, 0xf7, 0xff, 0xef, 0xef, 0xf7, 
  0xef, 0xef, 0xef, 0xff, 0xef, 0xf7, 0xf7, 0xf7, 0xef, 0xef, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 
  0xf7, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xf7, 0xf7, 0xef, 0xf7, 0xef, 0xef, 0xfb, 0xef, 0xef, 0xf7, 
  0xef, 0xf7, 0xf7, 0xff, 0xf7, 0xfb, 0xff, 0xef, 0xf7, 0xf3, 0xef, 0xf7, 0xf7, 0xef, 0xef, 0xff, 
  0xf7, 0xff, 0xf7, 0xf7, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 
  0xe7, 0xdf, 0xef, 0xef, 0xe7, 0xf7, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xe7, 0xe7, 0xdf, 0xdf, 0xdf, 
  0xe7, 0xef, 0xef, 0xdf, 0xd7, 0xd7, 0xc7, 0xe7, 0xef, 0xcf, 0xef, 0xf7, 0xef, 0xf7, 0xdf, 0xdf, 
  0xef, 0xe7, 0xdf, 0xe7, 0xe7, 0xef, 0xef, 0xef, 0xe7, 0xdf, 0xd7, 0xdf, 0xf7, 0xef, 0xef, 0xdf, 
  0xd7, 0xcf, 0xf7, 0xef, 0xe7, 0xd7, 0xdf, 0xef, 0xef, 0xef, 0xd7, 0xd7, 0xdf, 0xe7, 0xef, 0xe7, 
  0xcf, 0xe7, 0xef, 0xf7, 0xff, 0xef, 0xf7, 0xf7, 0xf7, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xf7, 0xff, 
  0xf7, 0xff, 0xef, 0xef, 0xf7, 0xf7, 0xef, 0xef, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 
  0xef, 0xf7, 0xf7, 0xf7, 0xf7, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xf7, 0xef, 0xf7, 0xef, 0xef, 0xef, 
  0xef, 0xff, 0xef, 0xff, 0xff, 0xef, 0xef, 0xfb, 0xef, 0xf7, 0xef, 0xf7, 0xf7, 0xf7, 0xef, 0xff, 
  0xf3, 0xef, 0xf7, 0xef, 0xef, 0xf7, 0xf7, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xf7, 0xe7, 0xef, 0xe7, 
  0xef, 0xef, 0xef, 0xef, 0xe7, 0xdf, 0xdf, 0xef, 0xe7, 0xef, 0xe7, 0xdf, 0xdf, 0xef, 0xef, 0xef, 
  0xdf, 0xd7, 0xe7, 0xdf, 0xd7, 0xef, 0xef, 0xdf, 0xef, 0xef, 0xef, 0xf7, 0xe7, 0xdf, 0xef, 0xdf, 
  0xe7, 0xe7, 0xdf, 0xe7, 0xef, 0xef, 0xef, 0xe7, 0xef, 0xdf, 0xf7, 0xff, 0xe7, 0xdf, 0xd7, 0xdf, 
  0xef, 0xe7, 0xdf, 0xd3, 0xdf, 0xf7, 0xf7, 0xdf, 0xcf, 0xdf, 0xdf, 0xef, 0xef, 0xdf, 0xe7, 0xef, 
  0xef, 0xf7, 0xff, 0xf7, 0xff, 0xf7, 0xef, 0xef, 0xfb, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xf7, 0xff, 
  0xef, 0xef, 0xff, 0xf7, 0xef, 0xef, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xf3, 0xf7, 0xef, 
  0xef, 0xef, 0xf3, 0xef, 0xef, 0xf7, 0xf3, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xff, 0xef, 
  0xef, 0xff, 0xf3, 0xf7, 0xf7, 0xff, 0xf3, 0xf7, 0xef, 0xf7, 0xff, 0xff, 0xef, 0xff, 0xef, 0xef, 
  0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 
  0xef, 0xef, 0xef, 0xef, 0xdf, 0xe7, 0xdf, 0xdf, 0xe7, 0xdf, 0xdf, 0xef, 0xe7, 0xe7, 0xd7, 0xef, 
  0xe7, 0xef, 0xdf, 0xef, 0xef, 0xe7, 0xf7, 0xf7, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xe7, 0xe7, 
  0xdf, 0xe7, 0xf7, 0xe7, 0xdf, 0xe7, 0xe7, 0xef, 0xe7, 0xe7, 0xd7, 0xdf, 0xdf, 0xdf, 0xe7, 0xcf, 
  0xd7, 0xbf, 0xe7, 0xff, 0xf7, 0xdb, 0xd7, 0xdf, 0xe7, 0xff, 0xf7, 0xdf, 0xf7, 0xff, 0xff, 0xf7, 
  0xef, 0xef, 0xfb, 0xf7, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xf7, 0xff, 0xef, 
  0xff, 0xff, 0xef, 0xf7, 0xef, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xf3, 0xf7, 0xf7, 0xef, 0xef, 0xef, 
  0xef, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xff, 0xf7, 0xf7, 0xf7, 
  0xff, 0xff, 0xef, 0xf7, 0xef, 0xef, 0xff, 0xf7, 0xf7, 0xf7, 0xef, 0xff, 0xf7, 0xf7, 0xef, 0xef, 
  0xef, 0xef, 0xef, 0xf7, 0xf7, 0xff, 0xf7, 0xef, 0xef, 0xff, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 
  0xf7, 0xef, 0xe7, 0xe7, 0xdf, 0xe7, 0xdf, 0xdf, 0xe7, 0xe7, 0xe7, 0xe7, 0xdf, 0xdf, 0xe7, 0xef, 
  0xdf, 0xef, 0xff, 0xef, 0xf7, 0xef, 0xff, 0xf7, 0xf7, 0xe7, 0xef, 0xdf, 0xe7, 0xe7, 0xe7, 0xf7, 
  0xf7, 0xe7, 0xef, 0xef, 0xef, 0xef, 0xe7, 0xe7, 0xdf, 0xe7, 0xdf, 0xeb, 0xe7, 0xd7, 0xdf, 0xcf, 
  0xdf, 0xef, 0xe7, 0xcf, 0xdf, 0xdf, 0xf7, 0xff, 0xf7, 0xe7, 0xef, 0xf3, 0xff, 0xef, 0xef, 0xff, 
  0xff, 0xf7, 0xef, 0xf7, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xf7, 0xff, 0xf7, 0xef, 0xf7, 
  0xff, 0xf7, 0xf7, 0xff, 0xf3, 0xff, 0xff, 0xef, 0xfb, 0xef, 0xf7, 0xff, 0xf3, 0xff, 0xef, 0xef, 
  0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xff, 
  0xff, 0xf7, 0xf7, 0xff, 0xef, 0xff, 0xff, 0xff, 0xf7, 0xf7, 0xff, 0xff, 0xf7, 0xef, 0xef, 0xef, 
  0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xf7, 0xf7, 0xef, 0xef, 0xef, 
  0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xef, 0xdf, 0xe7, 0xdf, 0xef, 0xef, 0xe3, 0xdf, 0xe7, 0xe7, 
  0xdf, 0xe7, 0xef, 0xef, 0xef, 0xff, 0xef, 0xe7, 0xdf, 0xdf, 0xe7, 0xef, 0xef, 0xef, 0xf7, 0xef, 
  0xef, 0xef, 0xef, 0xe7, 0xdf, 0xdf, 0xdf, 0xef, 0xdf, 0xdf, 0xdf, 0xcf, 0xdf, 0xef, 0xef, 0xef, 
  0xe7, 0xef, 0xef, 0xef, 0xef, 0xff, 0xef, 0xef, 0xef, 0xef, 0xff, 0xf7, 0xf7, 0xff, 0xf7, 0xf7, 
  0xf7, 0xef, 0xef, 0xef, 0xef, 0xff, 0xf7, 0xf7, 0xf7, 0xff, 0xff, 0xff, 0xf7, 0xf3, 0xff, 0xef, 
  0xf7, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xf7, 0xef, 0xf7, 0xfb, 0xef, 0xef, 
};
